lxc (1:5.0.3-2ubuntu7.2) noble; urgency=medium

  * d/p/0016-set-container-ttys-env-var.patch: fix setting the
    container_ttys environment variable for container's init process.
    Fixes `lxc-console` without explicitly specified TTY.
    (LP: #2109890)

 -- Roman Azarenko <rocko@ubuntu.com>  Sun, 11 May 2025 01:36:45 +0200

lxc (1:5.0.3-2ubuntu7.1) noble; urgency=medium

  * d/p/0015-lxc-avoid-null-pointer.patch: Use upstream patch to avoid
    null pointer dereference. (LP: #2081762) 

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 30 Oct 2024 17:20:06 +0000

lxc (1:5.0.3-2ubuntu7) noble; urgency=medium

  * Fixup typo in Depends field in time64_t transition

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Apr 2024 23:07:01 +0200

lxc (1:5.0.3-2ubuntu6) noble; urgency=medium

  * Manually apply the changes from 1:5.0.3-2.1 in Debian (the renaming for
    the 64-bit time_t transition) which somehow never got merged into the
    Ubuntu packaging.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 17 Apr 2024 15:06:46 +1200

lxc (1:5.0.3-2ubuntu5) noble; urgency=medium

  * Temporarily skip some buggy tests (LP: #2059550)
    - debian/tests/exercise: skip "lxc-test-unpriv" test (attempt #2)

 -- Alexander Mikhalitsyn <aleksandr.mikhalitsyn@canonical.com>  Wed, 10 Apr 2024 17:23:26 +0200

lxc (1:5.0.3-2ubuntu4) noble; urgency=medium

  * Temporarily skip some buggy tests (LP: #2059550)
    - d/tests/control: remove "unprivileged-containers" autopkgtest
    - debian/tests/exercise: skip "lxc-test-unpriv" test
  * debian/rules
    - apply Ubuntu-specific patches in override_dh_auto_configure
      step instead of override_dh_clean. Otherwise, debuild fails
      to build source package if run from Ubuntu.

 -- Alexander Mikhalitsyn <aleksandr.mikhalitsyn@canonical.com>  Tue, 09 Apr 2024 20:37:44 +0200

lxc (1:5.0.3-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:01:40 +0000

lxc (1:5.0.3-2ubuntu2) noble; urgency=medium

  * Merge with unrelated Debian packaging, remaining changes:
    - debian/control: Add transitional packages
      This is to allow for upgrades from 23.10 to 24.04.
      Those changes can go away once 24.10 opens.
  * The changes below are those that are set to be included in the next
    Debian upload.

  [ Aleksandr Mikhalitsyn ]
  * debian/tests: Addition of the "no-devel" test
  * debian/tests/unprivileged-containers: Fix and make work on Ubuntu

  [ Mathias Gibbens ]
  * d/control:
    - Update Build-Depends from systemd -> systemd-dev (Closes: #1060614)
    - Update Build-Depends from pkg-config -> pkgconf
  * Cherry-pick upstream fixes for d/tests/test-usernic
  * Update years in d/copyright

  [ Michael Biebl ]
  * Install PAM modules into /usr. (Closes: #1061490)
  * Drop Build-Depends on dh-exec, no longer necessary.

  [ Stéphane Graber ]
  * Cherry-pick upstream bugfixes:
    - 0013-cherry-pick-remove-broken-cgroup-tests.patch
    - 0014-cherry-pick-lxc-copy-apparmor.patch
  * Add Ubuntu-specific patch (for now):
    - Handle AppArmor ABI 4 with userns extension
  * debian/rules
    - Add lxc-copy apparmor profile
    - Apply Ubuntu-specific patch

 -- Stéphane Graber <stgraber@stgraber.org>  Thu, 21 Mar 2024 12:54:38 -0400

lxc (1:5.0.3-2ubuntu1) noble; urgency=medium

  [ Aleksandr Mikhalitsyn ]
  * Merge with Debian, remaining changes:
    - debian/control: Add transitional packages
      This is to allow for upgrades from 23.10 to 24.04.
      Those changes can go away once 24.10 opens.
    - debian/patches:
      - 1000-ubuntu-apparmor-userns.patch
        Handles Ubuntu-specific divergance in userns behavior.
      - 1001-test-usernic-fixes.patch
        Remove deprecated logic from usernic test.
    - debian/tests: Addition of the "no-devel" test

 -- Stéphane Graber <stgraber@stgraber.org>  Tue, 13 Feb 2024 10:19:47 -0500

lxc (1:5.0.3-2) unstable; urgency=medium

  * Switch default branch to debian/sid
  * Add criu as a Suggests for bin:lxc (Closes: #947334)
  * Cherry-pick upstream fix for creating ephemeral copies (Closes: #1001713)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 30 Nov 2023 01:04:13 +0000

lxc (1:5.0.3-1) unstable; urgency=medium

  [ Ceppo ]
  * Add Italian debconf translation (Closes: #1050106)

  [ Gioele Barabucci ]
  * d/tests/control: Remove unnecessary dependency on lsb-release

  [ Helmut Grohne ]
  * Fix FTBFS when systemdsystemunitdir changes in systemd.pc (Closes: #1052379)

  [ Mathias Gibbens ]
  * New upstream release
  * Add translator information to d/copyright
  * d/control:
    - Remove liblua5.2-dev from Build-Depends (Closes: #1050519)
    - Remove lsb-base from Depends
  * Add d/clean to fix failing to build twice in a row (Closes: #1046733)

  [ Remus-Gabriel Chelu ]
  * Add Romanian debconf translation (Closes: #1032345)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 22 Sep 2023 14:53:31 +0000

lxc (1:5.0.2-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2022-47952
    - Drop glibc 2.36 patch applied upstream
  * Bump Standards-Version in d/control (no changes needed)
  * Refresh d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 17 Jan 2023 02:53:00 +0000

lxc (1:5.0.1-2) unstable; urgency=medium

  * d/control:
    - Add myself to Uploaders
    - Bump Standards-Version (no changes needed)
    - Set minimum required meson version in Build-Depends (Closes: #1016523)
    - Update list of architectures missing libseccomp-dev
    - Add Rules-Requires-Root: binary-targets
  * Add myself to d/copyright
  * d/liblxc1.symbols:
    - Avoid build failure due to missing symbols on architectures without
      libseccomp-dev (Closes: #922545)
  * Drop d/patches/0006-adjust-pam-dir.patch and modify d/libpam-cgfs.install
    to directly install pam_cgfs.so
  * Cherry-pick upstream fixes for building with glibc 2.36 (Closes: #1023437)
  * Add d/upstream/metadata
  * Remove asterisk from NEWS file to silence lintian tag

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Nov 2022 19:54:47 +0000

lxc (1:5.0.1-1) unstable; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * New upstream release 5.0.1 (Closes: #1005099, #1010843, #1006353)
    - Switch to meson build system and update d/rules as needed
    - Update Build-Depends and Depends in d/control
    - Drop patches no longer needed / applied upstream
    - Add patch to fix installed location of libpam_cgfs.so
    - Update d/liblxc-common.lintian-overrides
    - Update d/liblxc1.symbols

  [ Antonio Terceiro ]
  * debian/rules: drop handling of bash completion links

  [ Pierre-Elliott Bécue ]
  * Apply Janitor's changes on d/control constraints.
  * Fix debian/liblxc1.symbols
  * d/p/0004: Add a patch to make systemd security features working in nesting
    apparmor profile.
    This can cause security risks in privileged containers, so it's only in
    nesting profile. (Closes: #995350)

 -- Mathias Gibbens <mathias@calenhad.com>  Mon, 01 Aug 2022 22:46:52 +0200

lxc (1:5.0.1-0ubuntu8) noble; urgency=medium

  * Fix the LXC_DEVEL value to be 0 (LP: #2039873)
    - d/p/0003-meson-Set-DEVEL-flag-post-release.patch was dropped
      as it should not be in the production builds
  * Added autopkgtest to ensure that LXC_DEVEL is always 0
    - debian/tests/no-devel: add "no-devel" autopkgtest script
    - debian/tests/control: declare "no-devel" autopkgtest
  * d/lxc-utils.install: Fixed lib/systemd path (to usr/lib/systemd)

 -- Alexander Mikhalitsyn <aleksandr.mikhalitsyn@canonical.com>  Thu, 18 Jan 2024 16:20:47 +0100

lxc (1:5.0.1-0ubuntu7) mantic; urgency=medium

  * Update apparmor profile to support new userns feature (LP: #2035315)
    - d/p/apparmor-userns.patch: Add userns permission to
      start-container abstraction and declare new 4.0 ABI in
      the usr.bin.lxc-start apparmor profile
    - debian/control: Declare Breaks on anything less than apparmor
      4.0.0~alpha2-0ubuntu4 for liblxc-common to ensure if apparmor is
      installed that it supports the new 4.0 ABI and add systemd-dev to
      Build-Depends to fix local build failure.

 -- Alex Murray <alex.murray@canonical.com>  Mon, 18 Sep 2023 13:28:16 +0930

lxc (1:5.0.1-0ubuntu6) lunar; urgency=medium

  * debian/control: add libcap-dev, libselinux1-dev, and libseccomp-dev to
    depends for liblxc-dev, to fix go-lxc autopktest failure.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 19 Jan 2023 17:53:14 -0600

lxc (1:5.0.1-0ubuntu5) lunar; urgency=medium

  * disable lxc-test-fuzzers - the test is failing to download external
    artifacts

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 17 Jan 2023 21:44:40 -0600

lxc (1:5.0.1-0ubuntu4) lunar; urgency=medium

  * Fix meson build in debian/tests/exercise: specify the rest of the
    required configuration parameters.
  * d/p/test-usernic-fixes:
    - drop the hunks dealing with cgroups.  lxc uses the systemd api
      to do that.
    - ifconfig is not available, use ip

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 16 Jan 2023 21:32:01 -0600

lxc (1:5.0.1-0ubuntu3) lunar; urgency=medium

  * fix meson reconfiguration usage: the build/ directory doesn't exist
    yet when tests/exercise runs, so use meson setup to create it.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Sun, 15 Jan 2023 22:53:15 -0600

lxc (1:5.0.1-0ubuntu2) lunar; urgency=medium

  * Fix autopkg tests to use meson instead of autoconf

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 10 Jan 2023 16:21:26 -0600

lxc (1:5.0.1-0ubuntu1) lunar; urgency=medium

  * Update to lxc-5.0.1 (using the orig tarball from debian)
  * d/p: add all patches up to current git master
  * d/control: add libsystemd-dev and meson
  * d/rules: follow guidance from daily packaging
  * remove d/.git-dpm
  * update paths in liblxc1.install and liblxc.lintian-overrides

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 16 Nov 2022 09:31:08 -0600

lxc (1:5.0.0~git2209-g5a7b9ce67-0ubuntu3) kinetic; urgency=medium

  * d/p/ppc64el-gcc12-warning.patch: refine the patch to be less brittle in
    case of upstream changes

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 07 Sep 2022 10:19:55 +0200

lxc (1:5.0.0~git2209-g5a7b9ce67-0ubuntu2) kinetic; urgency=medium

  * d/p/lp1987625/*.patch: cherry-picked to fix FTBFS against glibc 2.36
    (LP: #1987625)
  * d/p/ppc64el-gcc12-warning.patch: work around a false positive warning in
    GCC 12 on ppc64el due to it defaulting to -O3

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 26 Aug 2022 11:18:18 +0200

lxc (1:5.0.0~git2209-g5a7b9ce67-0ubuntu1) jammy; urgency=medium

  * Pre-release snapshot of LXC 5.0 LTS (LP: #1967620)
    - New configuration keys:
      - lxc.cgroup.dir.monitor.pivot
      - lxc.cgroup.dir.monitor
      - lxc.cgroup.dir.container.inner
      - lxc.cgroup.dir.container
      - lxc.time.offset.boot
      - lxc.time.offset.monotonic
      - veth.n_rxqueues
      - veth.n_txqueues
      - veth.vlan.id
      - veth.vlan.tagged.id
  * Drop patches (now upstreamed):
    - 0002-lxc-checkconfig-Fix-bashism.patch
    - 0003-doc-Fix-reverse-allowlist-denylist.patch
  * Update lintian overrides for current lintian version
  * debian/control: Switch to debhelper-compat

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 05 Apr 2022 18:07:22 -0400

lxc (1:4.0.12-0ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:06:54 +0000

lxc (1:4.0.12-0ubuntu1) jammy; urgency=medium
  * Cherry-pick upstream bugfixes (stable-4.0):
    - 0002-lxc-checkconfig-Fix-bashism.patch
    - 0003-doc-Fix-reverse-allowlist-denylist.patch (LP: #1957934)

  * New upstream bugfix release (4.0.12):
    (https://discuss.linuxcontainers.org/t/lxc-4-0-12-has-been-released/13288)
    - Fixed CRIU restoration of containers with pre-created veth interfaces
    - Fixed issue with kernels lacking SMT support
    - Extended cgroup2 config options in lxc.mount.auto (cgroup2)
    - lxc-download now relies on HTTPS for validation (avoids GPG issues)

  * New upstream bugfix release (4.0.11)
    (LP: #1943441, LP: #1938771, LP: #1891903):
    (https://discuss.linuxcontainers.org/t/lxc-4-0-11-has-been-released/12427)
    - Core scheduling support (lxc.sched.core)
    - riscv64 support in lxc.arch
    - Significantly improved bash completion profile
    - Greater use of the new VFS mount API (when supported by the kernel)
    - Fix containers with empty network namespaces
    - Handle kernels that lack TIOCGPTPEER
    - Improve CPU bitmask/id handling (handle skipped CPU numbers)
    - Reworked the tests to run offline

  * Bump to debhelper 12 (allows focal SRUs)
  * Bump standards to 4.6.0.1
  * Add lintian overrides for incorrect bashism detection
  * Remove bash completion install logic (now done upstream)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 02 Feb 2022 20:48:39 -0500

lxc (1:4.0.11-1) unstable; urgency=medium

  * Backporting changes from experimental to unstable
  * d/control: Move from Conflicts + Breaks to Breaks + Replaces

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 14 Feb 2022 00:22:35 +0100

lxc (1:4.0.11-1~exp4) experimental; urgency=medium

  * d/copyright: Clean the mess and extract as much as possible from the files
    in the repo (Closes: #1004978)
  * wrap-and-sort

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 04 Feb 2022 23:06:35 +0100

lxc (1:4.0.11-1~exp3) experimental; urgency=medium

  * d/control: Update the dependency of lxc from liblxc1 to liblxc-common.

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 02 Feb 2022 22:37:20 +0100

lxc (1:4.0.11-1~exp2) experimental; urgency=medium

  * d/control:
    - Fix some architecture screwups on liblxc-common
  * d/{liblxc-common,lxc}.install: Move /usr/lib/*/lxc/rootfs to the former

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 29 Jan 2022 11:10:23 +0100

lxc (1:4.0.11-1~exp1) experimental; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 4.0.11
  * d/control:
    - Remove bridge-utils from lxc's dependencies and prioritize nftables over
      iptables as a firewalling dependency (Closes: #908050)
    - Bumps Standards-Version to 4.6.0
  * Create a new binary package liblxc-common to host the shared components
    needed by both bin:lxc and a potential future bin:lxd (Closes: #1002564)
  * d/liblxc1.symbols: updated
  * d/README.Debian: fix a misleading comment
  * d/copyright: updated years, and added missing copyright holders

  [ Antonio Terceiro ]
  * d/rules: re-enable installation of lxc-top (Closes: #1003591)

  [ Diederik de Haas ]
  * d/lxc.postinst: replace the use of which by a call to command -v

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 28 Jan 2022 20:23:34 +0100

lxc (1:4.0.10-2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/rules: re-enable installation of lxc-top (Closes: #1003591)
  * Drop dependency on bridge-utils (Closes: #1004733)
  * lxc-net: don't start by default inside lxc
  * autopkgtest: add basic create/destroy test

  [ Diederik de Haas ]
  * Replace deprecated 'which' with 'command -v'

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 Feb 2022 15:45:10 -0300

lxc (1:4.0.10-1) unstable; urgency=medium

  * New upstream version 4.0.10
    - Builds fine against autoconf 2.70 (Closes: #978862)
  * Refresh patches.
    0007-conf-fix-containers-retaining-CAP_NET_ADMIN.patch dropped, applied
    upstream.
  * Update debian/liblxc1.symbols

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 27 Aug 2021 09:15:30 -0300

lxc (1:4.0.10-0ubuntu5) impish; urgency=medium

  * d/t/exercise: Skip tests that are incompatible with cgroups v2
    (LP: #1943704)

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 17 Sep 2021 15:00:26 +0200

lxc (1:4.0.10-0ubuntu4) impish; urgency=medium

  * Cherry-pick upstream bugfixes (stable-4.0):
    - 0002-cgroups-populate-hierarchy-for-device-cgroup.patch
    - 0003-cgroups-remove-unneeded-variables-from-cgroup_tree_c.patch
    - 0004-lxc_setup_ttys-Handle-existing-ttyN-file-without-und.patch
    - 0005-bpf-bpf_devices_cgroup_supported-should-check-if-bpf.patch
    - 0006-conf-use-new-mount-api-for-devpts-setup.patch
    - 0007-terminal-ttyname_r-returns-an-error-number-on-failur.patch
    - 0008-conf-ensure-devpts_fd-is-set-to-EBADF.patch
    - 0009-Fix-typos.patch
    - 0010-conf-surface-failures-to-setup-console.patch
    - 0011-conf-set-source-property-for-devpts.patch
    - 0012-conf-attach-devpts-mount-directly-when-new-mount-api.patch
    - 0013-conf-s-lxc_setup_devpts_parent-lxc_recv_devpts_from_.patch
    - 0014-conf-use-a-relative-path-in-symlinkat.patch
    - 0015-conf-update-comment.patch
    - 0016-conf-add-and-use-mount_beneath_fd.patch
    - 0017-terminal-don-t-use-ttyname_r-for-native-terminal-all.patch
    - 0018-conf-merge-devpts-setup-and-move-before-pivot-root.patch
    - 0019-string_utils-cast-__s64-to-long-long-signed-int.patch
    - 0020-terminal-split-out-lxc_devpts_terminal-helper.patch
    - 0021-conf-move-lxc_create_ttys-before-pivot-root.patch
    - 0022-conf-stash-pty_nr-in-struct-lxc_terminal.patch
    - 0023-mount_utils-add-mount_fd.patch
    - 0024-conf-use-mount_fd-helper-when-mounting-ttys.patch
    - 0025-conf-use-mount_fd-in-lxc_setup_dev_console.patch
    - 0026-conf-use-mount_fd-during-console-mounting.patch
    - 0027-file_utils-add-open_at_same.patch
    - 0028-conf-rework-console-setup.patch
    - 0029-terminal-remove-unused-argument-from-lxc_devpts_term.patch
    - 0030-start-allow-containers-to-use-a-native-console.patch
    - 0031-conf-handle-kernels-without-TIOCGPTPEER.patch
    - 0032-terminal-move-native-terminal-allocation-from-error-.patch
    - 0033-terminal-fail-on-unknown-error-during-TIOCGPTPEER.patch
    - 0034-mount_utils-introduce-mount_at.patch
    - 0035-conf-fix-logging-in-lxc_idmapped_mounts_child.patch
    - 0036-conf-refactor-lxc_recv_ttys_from_child.patch
    - 0037-conf-log-failure-to-create-tty-mountpoint.patch
    - 0038-conf-let-parse_vfs_attr-handle-legacy-mount-flags-as.patch
    - 0039-mount_utils-make-some-mount-helpers-static-inline.patch
    - 0040-conf-allow-mount-options-for-rootfs-when-using-new-m.patch
    - 0041-tests-add-test-for-rootfs-mount-options.patch
    - 0042-network-fix-container-with-empty-network-namespaces.patch
    - 0043-lsm-apparmor-log-failure-to-write-AppArmor-profile.patch
    - 0044-lsm-apparmor-use-cleanup-macro.patch
    - 0045-doc-api-extensions-Grammar-fix.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 09 Aug 2021 13:45:59 -0400

lxc (1:4.0.10-0ubuntu3) impish; urgency=medium

  * debian/rules: Fix setuid bit handling for lxc-user-nic

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 30 Jul 2021 14:52:48 -0400

lxc (1:4.0.10-0ubuntu2) impish; urgency=medium

  * debian/patches: Re-introduce default lxcbr0 configuration.
    0001-Ubuntu-default-lxcbr0-configuration.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Jul 2021 17:42:39 -0400

lxc (1:4.0.10-0ubuntu1) impish; urgency=medium

  * New upstream bugfix release (4.0.10):
    - Fix issues with less common architectures
    - Support for additional idmap mounts
    - nft support in lxc-net
    - Cleaner mount entries for sys:mixed
    - Switched GPG server to keyserver.ubuntu.com

  * New upstream bugfix release (4.0.9):
    - Fix incorrect personality setting when running 32bit containers on 64bit

  * New upstream bugfix release (4.0.8):
    - Fix CGroup attach against older running containers

  * New upstream bugfix release (4.0.7):
    - Testing improvements including fixes from oss-fuzz
    - Rework of the attach codepath
    - Cgroup handling rework

  * Drop all patches:
    - Cherry-picks are all now included
    - "Allocate new lxcbr0 subnet at startup time" is no longer needed
      as LXC isn't pre-installed in Ubuntu images, so going with the
      upstream init script simplifies maintenance.

  * Bump standards to 4.5.1
    - Tweak lintian overrides (renames, cleanups, ...)
    - Drop --with systemd (built-in now)
    - Update debian/watch regexp and version

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Jul 2021 15:42:28 -0400

lxc (1:4.0.6-2) unstable; urgency=medium

  * d/contrib/lxc-net: Add a commented dnsmasq reference for the users to be
    able to use this configuration if needed.
  * d/contrib/bin/lxc-unpriv-{start,attach} helper scripts to make
    unprivileged containers easier to start manually
  * d/README.Debian: Added some intel about how to handle properly
    unprivileged containers and systemd user sessions, and potential
    filesystem ACL issues/implications
    (Closes: #989317, 987293)
  * d/p/0007: Makes the containers able to have /proc/sys/net rw
    (Closes: #981980)

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 11 Jun 2021 21:43:41 +0200

lxc (1:4.0.6-1) unstable; urgency=medium

  * New upstream version 4.0.6
  * Refresh patches; drop patches applied upstream
  * Remove unreliable test for unprivileged containers
  * Move lxc-net dependencies from Recommends to Depends
    - Moved from Recommends: to Depends bridge-utils, dnsmasq-base,
      iptables, iproute2
    - Recommends: drop nftables; lxc-net uses iptables only, and nothing in
      lxc even references nftables.
  * Document and add new autopkgtest for unprivileged containers
  * Recommends: add wget, needed by the download template

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 31 Jan 2021 14:29:40 -0300

lxc (1:4.0.6-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix release (4.0.6):
    - Improve handling for compatibility architectures for seccomp
    - Harden seccomp notifier implementation
    - Rework parsing of /proc/<pid>/mountinfo to handle kernel regression
    - Improve network device restoration
    - Significantly cleanup and harden config file parsing
    - Support new capabilities CAP_PERFORM, CAP_BPF, and CAP_CHECKPOINT_RESTORE
    - Harden containers started without CAP_NET_ADMIN
  * New upstream bugfix release (4.0.5):
    - Support allocating PTS devices from within the container
    - Harden more path/mount handling logics
    - Rework LSM logic to limit initializer use
  * Cherry-pick upstream fixes:
    - 0002-commands-fix-check-for-seccomp-notify-support.patch
    - 0003-configure-skip-libseccomp-tests-if-it-is-disabled.patch
    - 0004-conf-fix-containers-retaining-CAP_NET_ADMIN.patch
    - 0005-cgroups-fix-cgroup-mounting.patch
    - 0006-lsm-remove-obsolute-comment-about-constructor.patch
    - 0007-lxc_attach-include-rexec-conditionally.patch
    - 0008-tree-wide-fix-some-header-inclusions.patch
    - 0009-initutils-fix-missing-includes.patch
    - 0010-configure-support-static-binaries.patch
    - 0011-autotools-enable-static-builds-for-tools.patch
    - 0012-autotools-enable-static-builds-for-commands.patch
    - 0013-tree-wide-fix-compilation-with-Wstrict-prototypes-Wo.patch
    - 0014-config-update-ax_pthread.m4.patch
    - 0015-configure-add-AC_SYS_LARGEFILE-checking.patch
    - 0016-autotools-update-build.patch
    - 0017-file_utils-introduce-read_file_at.patch
    - 0018-string_utils-add-must_make_path_relative.patch
    - 0019-cgroups-coding-style-fixes.patch
    - 0020-cgroups-rework-cg_unified_init.patch
    - 0021-cgroups-detect-and-record-cgroup2-freezer-support.patch
    - 0022-criu-handle-cgroup2-freezer.patch
    - 0023-mkdir-p-proc-sys-on-container-startup.patch
    - 0024-conf-fix-coding-style.patch
    - 0025-conf-coding-style-fixes.patch
    - 0026-conf-move-proc-and-sys-mountpoint-creation-int-lxc_m.patch
    - 0027-attach-invert-child-parent-handling.patch
    - 0028-attach-use-__do_free-cleanup-macro-for-cwd.patch
    - 0029-attach-tweak-logging.patch
    - 0030-attach-use-__do_close-for-labelfd.patch
    - 0031-attach-coding-style-fixes.patch
    - 0032-attach-use-free_disarm.patch
    - 0033-attach-s-attach_child_main-do_attach-g.patch
    - 0034-attach-mark-do_attach-as-__noreturn.patch
    - 0035-attach-make-do_attach-void.patch
    - 0036-attach-use-close_prot_errno_disarm.patch
    - 0037-attach-add-some-DEBUG-logging-to-stdfd-dpulication.patch
    - 0038-cgroups-fix-cgroup-mounting.patch
    - 0039-utils-fix-mount_at.patch
    - 0040-configure-fix-static-builds-with-clang-12-and-LTO.patch
    - 0041-cgroups-bpf-fixes.patch
    - 0042-croups-improve-__do_bpf_program_free.patch
    - 0043-cgroups-coding-style-fixes.patch
    - 0044-cgroups-don-t-initiliaze-NULL-log.patch
    - 0045-cgroups-ensure-all-memory-is-zeroed.patch
    - 0046-cgroups-use-zalloc.patch
    - 0047-cgroups-tweak-cgroup-initialization.patch
    - 0048-log-remove-pointless-inline.patch
    - 0049-log-add-lxc_log_get_fd.patch
    - 0050-seccomp-use-lxc_log_get_fd.patch
    - 0051-log-rework-lxc_log_get_level.patch
    - 0052-seccomp-use-lxc_log_get_level.patch
    - 0053-cgroups-use-bpf-log-when-logging-at-trace-level.patch
    - 0054-log-add-lxc_log_trace-helper.patch
    - 0055-cgroups-use-PTR_TO_U64.patch
    - 0056-cgroups-align-methods.patch
    - 0057-utils-use-SYSTRACE-when-logging-stdio-permission-fix.patch
    - 0058-attach-log-failues-to-dup2-with-SYSDEBUG.patch
    - 0059-attach-fix-logging-for-stdfd-replacement.patch
    - 0060-attach-fix-error-checking-for-dup2.patch
    - 0061-cgroups-initialize-variable.patch
    - 0062-commands_utils-don-t-leak-memory.patch
    - 0063-conf-use-lxc_log_trace.patch
    - 0064-confile_utils-use-lxc_log_trace.patch
    - 0065-rexec-check-lseek-return-value.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 11 Feb 2021 16:34:13 -0500

lxc (1:4.0.5-2) unstable; urgency=medium

  * Add upstream patch to fix reboots in autopkgtest under cgroupv2
    (Closes: #978425)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 30 Dec 2020 10:17:51 -0300

lxc (1:4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5
  * Refresh patches; drop patches already applied upstream
  * Add upstream patch to fix container startup on Linux 5.10 (Closes: #977923)
  * liblxc1.symbols: update

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 22 Dec 2020 21:50:20 -0300

lxc (1:4.0.4-6) unstable; urgency=medium

  * autopkgtest: switch unpriv test to the new Architecture: field

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 28 Oct 2020 16:59:41 -0300

lxc (1:4.0.4-5) unstable; urgency=medium

  * Team upload.
  * d/tests/unpriv: skip on arm64 as the test (right now) only works on amd64

 -- Johannes 'josch' Schauer <josch@debian.org>  Fri, 02 Oct 2020 21:34:46 +0200

lxc (1:4.0.4-4) unstable; urgency=medium

  * d/tests/unpriv: Adds dnsmasq-base to the qemu VM filesystem hosting the
    unprivileged containers tested

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 01 Oct 2020 18:54:52 +0200

lxc (1:4.0.4-3) unstable; urgency=medium

  * d/p/0007: patch to avoid compilers complaints regarding short writes in
    the cgroup cgfsng, mitigating security risks of a buffer overrun.
  * d/control: For liblxc1: demote cgroupfs-mount | systemd from Depends to
    Suggests. Closes: #968404

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 25 Sep 2020 14:12:38 +0200

lxc (1:4.0.4-2) unstable; urgency=medium

  * d/p/0005: patch to avoid lxc_stop failure if cgroup unfreeze fails
    Closes: #961584
  * d/lxc.lintian-overrides: Drop postinst-has-useless-call-to-ldconfig which
    is not a valid tag anymore

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 19 Sep 2020 23:18:02 +0200

lxc (1:4.0.4-1) unstable; urgency=medium

  * New upstream release 4.0.4-1
    Closes: #969229, #966998
  * d/p/0003: Remove obsolete configurations from lxc.service.
    Closes: #968169
  * d/liblxc1.symbols: updated
  * d/lxc-test.lintian-overrides updated

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 05 Sep 2020 23:21:40 +0200

lxc (1:4.0.4-0ubuntu3) groovy; urgency=medium

  * Cherry-pick upstream bugfix:
    - cgroups: fix armhf builds

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 25 Aug 2020 09:45:30 -0400

lxc (1:4.0.4-0ubuntu2) groovy; urgency=medium

  * Cherry-pick upstream bugfix:
    - cgfsng: fix cgroup attach cgroup creation

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 21 Aug 2020 14:09:35 -0400

lxc (1:4.0.4-0ubuntu1) groovy; urgency=medium

  * New upstream bugfix release (4.0.4):
    - Support for new Linux clone flags (clone into cgroup)
    - Support for new Linux VFS system calls
    - Internal symbols are now properly hidden from external consumers
  * New upstream bugfix release (4.0.3):
    - Improvement to cgroupv1/cgroupv2 handling
    - Various improvements and tests for lxc-usernsexec

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 20 Aug 2020 18:07:53 -0400

lxc (1:4.0.2-1) unstable; urgency=medium

  * Rebuild for unstable

  [ Pierre-Elliott Bécue ]
  * Enable lxc-test-apparmor in autopkgtest (Closes: #958406)
  * Bump debhelper-compat level to 13
  * Add a debian-branch entry in debian/gbp.conf

  [ Antonio Terceiro ]
  * Enable LXC networking by default

  [ Johannes Schauer ]
  * Add autopkgtest testing unprivileged containers

  [ Camaleón ]
  * Add Spanish translation for the Debconf template (Closes: #959080)

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 25 May 2020 18:15:10 +0200

lxc (1:4.0.2-1~1) experimental; urgency=medium

  * New upstream release 4.0.2 (Closes: #956014)
    - CGroup2 support (Closes: #944389, #946172, #947335)
    - Infrastructure for system call interception
    - PIDfd support
    - Improved network handling
    - Hardening and refactoring throughout the codebase, fixing very many issues

    + Patches rebased accordingly
  * Bump Standards-Version to 4.5.0
  * Labels liblxc1 and libpam-cgfs as Multi-Arch: same

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 19 Apr 2020 00:31:46 +0200

lxc (1:4.0.2-0ubuntu1) focal; urgency=medium

  * New ypstream bugfix release (4.0.2):
    - RISC-V 64bit support
    - Better group handling in lxc-user-nic
    - Seccomp syscall interception fix for newer kernels
    - CGroup v1 limits are now automatically skipped on v2 systems
    - Fix a variety of issues identified by the Coverity Scan service

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Apr 2020 15:52:36 -0400

lxc (1:4.0.1-0ubuntu2) focal; urgency=medium

  * Cherry-pick upstream fixes:
    - 0001-Allocate-new-lxcbr0-subnet-at-startup-time.patch
    - 0002-start-ensure-all-file-descriptors-are-closed-during-.patch
    - 0003-syscall_numbers-handle-riscv.patch
    - 0004-lxc_user_nic-simplify-group-retrieval.patch
    - 0005-lxc_user_nic-continue-when-we-failed-to-find-a-group.patch
    - 0006-cgroups-whitespace-fixes.patch
    - 0007-seccomp-newer-kernels-require-the-buffer-to-be-zeroe.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Apr 2020 23:33:44 -0400

lxc (1:4.0.1-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release (4.0.1):
    - Tweak systemd ordering (start after remote-fs.target)
    - Fix various issues around attach and cgroups
    - Fix shutdown timeout not working on pidfd systems
    - Fix cgroup issue on 4.9 kernel
    - Fix write issues in /dev/stdout
  * Fix upgrade ordering (LP: #1870483)
  * Update lintian overrides:
    - Drop epoch bump override (no longer detecting it)
    - Add /usr/libexec override (LXC only uses /usr/lib)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 06 Apr 2020 16:24:28 -0400

lxc (1:4.0.0-0ubuntu2) focal; urgency=medium

  * Cherry-pick upstream bugfixes:
    - 0036-fix-non-root-user-cannot-write-dev-stdout.patch
    - 0037-cgroups-fix-uninitialized-transient_len-warning.patch
    - 0038-utils-rework-fix_stdio_permissions.patch
    - 0039-utils-use-setres-u-g-id-in-lxc_switch_uid_gid.patch
    - 0040-cgroups-fix-build-warning-on-GCC-7.patch
    - 0041-lxccontainer-poll-takes-millisecond-not-seconds.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Apr 2020 12:25:20 -0400

lxc (1:4.0.0-0ubuntu1) focal; urgency=medium

  * Bump epoch to match Debian. (LP: #1837537)
  * New upstream release (4.0.0):
    - Fixes (LP: #1867535, LP: #1861880, LP: #1858799, LP: #1831258)
    - cgroups: Full cgroup2 support
    - cgroups: Freezer support in CGroup2
    - cgroups: eBPF device controller support in CGroup2
    - config: Add lxc.autodev.tmpfs.size configuration key
    - config: Add lxc.selinux.context.keyring key
    - config: Add lxc.keyring.session
    - file utils: Add fopen_cached() and fdopen_cached
    - api: Add new init_pidfd() member
    - memory utils: Add new cleanup api
    - lxc-usernsexec: Make it easy to map own uid
    - seccomp: Add s390 support
    - syscalls: Improve manual syscall implementations
    - network: Improved network device creation and removal
    - network: Allow moving wireless devices
  * Cherry-pick upstream bugfixes:
    - 0002-lxc_init-move-main-down.patch
    - 0003-lxc_init-add-missing-O_CLOEXEC.patch
    - 0004-lxc.service-Starts-after-remote-fs.target-to-allow-c.patch
    - 0005-tree-wide-harden-mount-option-parsing.patch
    - 0006-dir-use-cleanup-macro-in-dir_mount.patch
    - 0007-dir-improve-dir-backend.patch
    - 0008-cgroups-fix-attaching-to-the-unified-cgroup.patch
    - 0009-conf-rework-and-fix-leak-in-userns_exec_1.patch
    - 0010-commands-log-actual-errno-when-lxc_cmd_get_cgroup2_f.patch
    - 0011-cgroups-move-pointer-dereference-after-check.patch
    - 0012-cgroups-rework-__cg_unified_attach.patch
    - 0013-attach-use-close_prot_errno_disarm.patch
    - 0014-cgroups-remove-unused-variable.patch
    - 0015-cgroups-fix-unified-cgroup-attach.patch
    - 0016-fixup-i-o-handler-return-values.patch
    - 0017-Revert-cgroups-fix-unified-cgroup-attach.patch
    - 0018-conf-introduce-and-use-userns_exec_minimal.patch
    - 0019-conf-simplify-userns_exec_minimal.patch
    - 0020-cgroups-use-hidden-directory-for-attaching-cgroup.patch
    - 0021-cgroups-please-compilers.patch
    - 0022-monitor-process-exited-by-signal-SIGKILL-clean-cgrou.patch
    - 0023-cgroups-move-check-for-valid-monitor-process-up.patch
    - 0024-cgroups-better-helper-naming.patch
    - 0025-tree-wide-s-recursive_destroy-lxc_rm_rf-g.patch
    - 0026-verify-cgroup-controller-name.patch
    - 0027-cgroups-handle-older-kernels-e.g.-v4.9.patch
    - 0028-start-log-error-when-failing-to-create-cgroup.patch
    - 0029-cgroups-send-two-attach-fds.patch
    - 0030-cgroups-send-two-fds-to-attach-to-unified-cgroup.patch
    - 0031-start-remove-unnecessary-check-for-valid-cgroup_ops.patch
    - 0032-init-add-ExecReload-to-lxc.service-to-only-reload-pr.patch
    - 0033-apparmor-generate-ro-bind-remount-rule-list.patch
    - 0034-autotools-don-t-install-run-coccinelle.sh.patch
    - 0035-systemd-Add-Documentation-key.patch
  * Bump to new standards (4.5.0)
  * Move manpages to the correct packages (libpam-cgfs, libpam-common)
  * Refresh lintian overrides (lxc-utils)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 01 Apr 2020 17:35:58 -0400

lxc (1:3.1.0+really3.0.4-3) unstable; urgency=medium

  * Apply upstream patch to fix removal of containers that contain imutable
    files when using the plain directory backend.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 11 Apr 2020 17:20:29 -0300

lxc (1:3.1.0+really3.0.4-2) unstable; urgency=medium

  * 0009-lxc-attach-make-sure-exit-status-of-command-is-retur.patch: ensure
    lxc-attach returns the exit status of executed command (Closes: 934983)
  * debian/rules: fix dh_fixperms exception for lxc-user-nic (Closes: #934155)
  * debian/liblxc1.symbols: fix versioning information for sha1sum_file

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 19 Aug 2019 21:42:25 -0300

lxc (1:3.1.0+really3.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * cgroups: Properly handle cpuset initialization
    d/p/0007: cgroups: hande cpuset initialization race
    d/p/0008: cgroups: initialize cpuset properly
   (Closes: #934387)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 14 Aug 2019 16:40:03 +0200

lxc (1:3.1.0+really3.0.4-1) unstable; urgency=medium

  * New upstream release 3.0.4
    + Drop patches 0004 and 0005 as the fix for runC CVE-2019-5736 is now
      upstream.
    + Fixes lxc-cgroup giving no output. (Closes: #929926)
  * d/p/0004: Prevent access to /proc/acpi via apparmor. (Closes: #906805)
  * d/p/0005: lxc.service: starts after remote-fs.target to avoid some
    failures for containers with their FS accessible via a remote fs
  * d/p/0006: Strips a non-expanded tag from lxc.pc.in
  * d/control:
    - Bump Standards-Version to 4.4.0
    - Update debheler-compat to 12
  * d/rules: Drop dh_strip override as it's not needed anymore.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 06 Aug 2019 15:33:36 +0200

lxc (1:3.1.0+really3.0.3-8) unstable; urgency=medium

  * d/control:
    - bin:lxc sets AppArmor as a Recommend instead of a Dependency
  * d/README.Debian:
    - Update the documentation to explain how to manage containers not
      starting if AppArmor is missing.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 14 Apr 2019 15:46:47 +0200

lxc (1:3.1.0+really3.0.3-7) unstable; urgency=medium

  * d/control:
    - Add a dependency to AppArmor for lxc package as the default.conf file
      includes an AppArmor profile.
  * d/{NEWS,README.Debian}:
    - Add appropriate documentation for unprivileged containers
      (Closes: #925899)

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 09 Apr 2019 02:03:05 +0200

lxc (1:3.1.0+really3.0.3-6) unstable; urgency=medium

  * d/patches/0005: Tweaks the 0004 patch for CVE-2019-5736 (Closes: #923932)
  * d/NEWS: summary of the important changes since LXC2.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 09 Mar 2019 15:49:21 +0100

lxc (1:3.1.0+really3.0.3-5) unstable; urgency=medium

  [ Christian Kastner ]
  * /etc/default/lxc.conf Change back to lxc.net.0.type
    (Closes: #923395)

  [ Frans Spiesschaert ]
  * debian/po/nl.po: Add Dutch translation of debconf messages
    (Closes: #923328)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 02 Mar 2019 12:33:08 -0300

lxc (1:3.1.0+really3.0.3-4) unstable; urgency=medium

  [ Lev Lamberov ]
  * d/po/ru.po: Add russian translation for debconf templates (Closes: #920916)

  [ Américo Monteiro ]
  * d/po/pt.po: Add portuguese translation for debconf templates (Closes:
    #919221)

  [ Adriano Rafael Gomes ]
  * d/po/pr_BR.po: Add brazilian portuguese translation for debconf templates
    (Closes: #920543)

  [ Pierre-Elliott Bécue ]
  * d/patches/0004: Import the fix for CVE-2019-5736. (Closes: #922169)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 16 Feb 2019 16:21:41 +0100

lxc (1:3.1.0+really3.0.3-3) unstable; urgency=medium

  * d/lxc.postinst:
    - Add a fallback method to handle the cases where apparmor_parser may
      fail while present. (nested virt or whatever else) (Closes: #921667)
  * d/patches:
    - Backports 3 patches from lxc 3.1 to have Apparmor confinement working
      properly with systemd 240. (Closes: #916639)
  * d/tests/exercise:
    - Update the configuration to match lxc 3 standards
  * d/contrib/default.conf:
    - Provide a minimalist default.conf including appropriate apparmor
      parameters.

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 11 Feb 2019 23:03:53 +0100

lxc (1:3.1.0+really3.0.3-2) unstable; urgency=medium

  [ Chris Leick ]
  * d/po/de.po:
    - Added German Debconf translation (Closes: #916263)

  [ Pierre-Elliott Bécue ]
  * d/lxc.postinst:
    - Add a call to apparmor_parser if present to ensure lxc containers work
      with apparmor after an upgrade. (Closes: #918842)
    - Add a check to make sure we're on a proper upgrade or a proper install
      to decide whether or not some code blocks are executed.
  * d/lxc.config:
    - Asks for the upgrade of configuration only when lxc is actually upgraded
      and not installed.

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 11 Jan 2019 01:12:41 +0100

lxc (1:3.1.0+really3.0.3-1) unstable; urgency=medium

  * Rollback to version 3.0.3 as this is a LTS release.
  * Revert symbols file.
  * d/control:
    - Bump Standards-Version to 4.3.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 10 Jan 2019 23:26:47 +0100

lxc (1:3.1.0-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 3.1.0

  [ Shengjing Zhu ]
  * d/liblxc1.symbols: Fix liblxc1 symbol version, missing the Debian epoch.
    Closes: #916362

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 22 Dec 2018 22:56:16 +0100

lxc (1:3.0.3-1) unstable; urgency=medium

  * New upstream version: 3.0.3
  * d/liblxc1.symbols: Updated symbols table
  * d/lxc.postinst: no absolute path for lxc-update-config (it's in the PATH)
  * d/copyright: remove statement for src/includes/ifaddrs.{c, h} as they're
    not shipped anymore
  * Release to unstable.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 04 Dec 2018 08:04:18 +0100

lxc (1:3.0.2-1~exp+4) experimental; urgency=medium

  * d/rules: strip unnecessary DPKG_EXPORT_BUILDFLAGS and include that are not
    needed since dh compat 9
  * d/templates, d/po/*: updated templates and translation
  * d/lxc.config: refactor the config script a little

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 29 Nov 2018 22:24:03 +0100

lxc (1:3.0.2-1~exp+3) experimental; urgency=medium

  * d/control:
    - Update Recommends to suggest more recent tools.
      Replaces iptables => nftables | iptables
      Add iproute2 for more precise bridge manipulation
  * d/lxc{.config,.postinst}, d/templates, d/po/*
    - Implement a maintainer script allowing an auto-upgrade of lxc
      configuration files

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 29 Nov 2018 01:07:02 +0100

lxc (1:3.0.2-1~exp+2) experimental; urgency=medium

  * d/control:
    - Add explicit Recommend on lxc-templates
    - Version the Recommends
    - Update the Breaks on liblxc1
    - Add myself to uploaders

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 18 Nov 2018 23:57:26 +0100

lxc (1:3.0.2-1~exp+1) experimental; urgency=medium

  * Team upload
  * New upstream release: 3.0.2
  * d/p/000[1-3]*:
    - Dropped because Debian template got out of lxc release
  * d/p/000[4-7]*:
    - Upstream fixes taken into account into this release
  * d/control:
    - Drop packages lua-lxc and python3-lxc, as they got extracted from there
      by upstream
    - Raise debhelper dependency to 11
    - Bump Standards-Version to 4.2.1. No change required
    - Update VCS fields
    - Add libpam-cgfs that was previously in src:lxcfs
  * d/compat raised to 11
  * d/copyright:
    - Use HTTPS url for the copyright format link
    - Updated copyrights
  * d/watch:
    - Updated version and regex
  * d/libpam-cgfs* d/pam-cgfs.config added with pam-cgfs inclusion in the
    package
  * d/liblxc1.symbols added

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 17 Nov 2018 09:23:20 +0100

lxc (1:2.0.9-7) unstable; urgency=medium

  * debian/rules: pass --disable-werror to ./configure. Fixes FTBFS against
    python3 3.7

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 27 Nov 2018 14:53:56 -0200

lxc (1:2.0.9-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * autodev: adapt to changes in Linux 4.18 (Closes: #908223)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 22 Oct 2018 23:18:55 +0200

lxc (1:2.0.9-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * utils: add LXC_PROC_PID_FD_LEN
  * CVE 2018-6556: verify netns fd in lxc-user-nic (Closes: #905586)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 29 Aug 2018 15:22:46 +0200

lxc (1:2.0.9-6) unstable; urgency=medium

  * 0004-debian-Use-iproute2-instead-of-iproute.patch: fix creation of
    containers after the iproute binary has been removed.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 27 Jan 2018 12:44:36 -0200

lxc (1:2.0.9-5) unstable; urgency=medium

  * Drop installation of disable-apparmor.conf. The issue that prevented lxc
    containers from starting with apparmor was fixed in apparmor 2.11.1-4.
  * debian/rules: drop --with autotools_dev in favor of debhelper built-in
    support for updating autotools files during build
  * Bump Standards-Version to 4.1.2; no changes needed
  * Drop debian/lxc-dev.lintian-overrides; false positive has been fixed in
    lintian.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 19 Dec 2017 10:02:34 -0200

lxc (1:2.0.9-4) unstable; urgency=medium

  * Install disable-apparmor.conf disabling apparmor for all containers, until
    we can make it work. See #880502

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 02 Nov 2017 12:49:57 -0200

lxc (1:2.0.9-3) unstable; urgency=medium

  * 0002-lxc-debian-don-t-write-C.-locales-to-etc-locale.gen.patch: don't add
    C.UTF-8 to /etc/locale.gen (Closes: #879595)
  * 0003-lxc-debian-don-t-hardcode-valid-releases.patch: don't hardcode list
    of valid Debian releases

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 28 Oct 2017 09:12:47 -0200

lxc (1:2.0.9-2) unstable; urgency=medium

  * Add patch 0001-lxc-debian-allow-creating-testing-and-unstable.patch to
    allow creating `testing` and `unstable` containers.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 26 Oct 2017 20:50:14 -0200

lxc (1:2.0.9-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * New upstream version 2.0.9
  * track LTS release
  * drop use-lxc-stop-to-stop-systemd-service.patch, applied upstream
  * drop cgroups-workaround-gcc-7-bug.patch, applied upstream
  * drop the symbols file again

  [ Nicholas D Steeves ]
  * Update Suggests: btrfs-tools to btrfs-progs (Closes: #878908)

 -- Evgeni Golov <evgeni@debian.org>  Sat, 21 Oct 2017 17:20:45 +0200

lxc (1:2.0.8-3) unstable; urgency=medium

  * Rebuild against python 3.6 (Closes: #878246)
  * Drop build-dependency on the deprecated dh-systemd package
  * Bump Standards-Version to 4.1.1; no changes needed
  * Add symbols file for liblxc1

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 11 Oct 2017 19:57:54 -0300

lxc (1:2.0.8-2) unstable; urgency=medium

  * Add cgroups-workaround-gcc-7-bug.patch from upstream to make lxc build
    against gcc 7 (Closes: #853531)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 25 Aug 2017 18:20:29 -0300

lxc (1:2.0.8-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * New upstream version 2.0.8
    + Make lxc-net return non-zero on failure (Closes: #854591)
  * drop old patches, all were cherry-picks from upstream
  * Use lxc-stop to stop systemd service (Closes: #863850)

  [ Baptiste Jonglez ]
  * Increase the maximum number of inotify listeners (Closes: #860974)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 18 Jun 2017 15:33:06 +0200

lxc (1:2.0.7-2) unstable; urgency=high

  * use bash-completion's pkg-config support and don't move files around
  * ignore lxc-test-cloneconfig if kernel has no overlay support
  * CVE-2017-5985: Ensure target netns is caller-owned (Closes: #857295)

 -- Evgeni Golov <evgeni@debian.org>  Sat, 11 Mar 2017 09:47:20 +0100

lxc (1:2.0.7-1) unstable; urgency=medium

  * New upstream version 2.0.7
    + Closes: #847909, #847894, #847466

 -- Evgeni Golov <evgeni@debian.org>  Mon, 23 Jan 2017 22:03:24 +0100

lxc (1:2.0.6-1) unstable; urgency=high

  * New upstream version 2.0.6
    + attach: do not send procfd to attached process
      Closes: #845465
      CVE-2016-8649
  * liblxc1: add depends on cgroupfs-mount | systemd (Closes: #844086)
  * drop patches applied/imported upstream
  * debian/tests: add iptables to tests depends

 -- Evgeni Golov <evgeni@debian.org>  Thu, 24 Nov 2016 08:07:02 +0100

lxc (1:2.0.5-3) unstable; urgency=medium

  * add python3:Depends for lxc, so it gets a depends on python3
  * lxc-tests replace lxc-dev, not lxc
  * add a lintian override that the tests do not have a manpage
  * register lxc-dev docs with doc-base
  * add lintian override for ldconfig-trigger in lua-lxc
  * s/LUA/Lua/g in d/control

 -- Evgeni Golov <evgeni@debian.org>  Sun, 06 Nov 2016 14:33:14 +0100

lxc (1:2.0.5-2) experimental; urgency=medium

  * split lua and python3 bindings in their own packages
  * split tests into their own package
  * only add bash completion links for commands we actually complete
  * backport two patches from Ubuntu
  * kill all the .la files, we do not need them
  * enable ALL the hardening flags
  * autopkgtest: only reboot if the memory cgroup is not activated yet
  * replace our lxc-dbg package by the autogenerated dbgsym one

 -- Evgeni Golov <evgeni@debian.org>  Sun, 30 Oct 2016 17:59:32 +0100

lxc (1:2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5
  * drop cgmanager support
    it's orphaned and upstream does recommend lxcfs instead
  * fix execution of tests on systems which do not have overlay.ko
  * add depends on lsb-base, thanks lintian

 -- Evgeni Golov <evgeni@debian.org>  Sat, 08 Oct 2016 14:03:16 +0200

lxc (1:2.0.4-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/rules: create symlinks for each lxc-* binary in
    /usr/share/bash-completion/completions/ so that bash completion actually
    works

  [ Evgeni Golov ]
  * Imported Upstream version 2.0.4
    + Uses SIGRTMIN+3 for systemd containers (Closes: #831691, #799541)
    + The debian template properly generates locaes (Closes: #806746)
  * drop 0020-fix-regression-when-creating-wheezy-containers.patch
  * rebase patches ontop of 2.0.4
  * add gnupg and dirmngr to recommends
  * improve autopkgtest execution, making most autopkgtest run properly

 -- Evgeni Golov <evgeni@debian.org>  Thu, 25 Aug 2016 19:52:33 +0200

lxc (1:2.0.3-1) unstable; urgency=medium

  * Imported Upstream version 2.0.3
    - Fixes Inconsistent settings in lxc@.service (Closes: #826100)
  * drop patch hunks that were applied in 2.0.3
  * document how to change passwords in the container (Closes: #829239)

 -- Evgeni Golov <evgeni@debian.org>  Sat, 16 Jul 2016 11:52:47 +0200

lxc (1:2.0.1-3) unstable; urgency=medium

  * 0020-lxc-debian-make-sure-init-is-installed.patch: update to fix
    regression when creating wheezy containers.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 29 Jun 2016 15:10:57 -0300

lxc (1:2.0.1-2) unstable; urgency=medium

  * 0020-lxc-debian-make-sure-init-is-installed.patch: make sure init is
    included in Debian containers, since as of 1.34 it is not Essential
    anymore.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 18 Jun 2016 09:16:43 -0300

lxc (1:2.0.1-1) unstable; urgency=medium

  * Imported Upstream version 2.0.1
  * drop patches applied upstream:
  * demote apparmor to suggests (Closes: #824120)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 22 May 2016 22:04:19 +0200

lxc (1:2.0.0-3) unstable; urgency=medium

  * drop lxcinitdir.patch
  * replace all patches by the versions accepted upstream
  * cherry-pick fix for creating unpriv container on non-systemd systems
  * add gbp.conf

 -- Evgeni Golov <evgeni@debian.org>  Sun, 01 May 2016 13:00:16 +0200

lxc (1:2.0.0-2) unstable; urgency=medium

  [ Evgeni Golov ]
  * add lxcfs and libpam-cgfs to recommends
  * Standards-Version: 3.9.8

  [ Antonio Terceiro ]
  * Refresh patches
  * debian/patches/0018-lxc-create-fix-B-best-option.patch: Fix `-B best`
    option to lxc-create

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 11 Apr 2016 14:19:45 -0300

lxc (1:2.0.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0
  * set Maintainer to pkg-lxc, Antonio and me as Uploaders
  * re-enable seccomp on almost all arches again

 -- Evgeni Golov <evgeni@debian.org>  Wed, 06 Apr 2016 21:26:24 +0200

lxc (1:2.0.0~rc15-1) experimental; urgency=medium

  * Team upload.

  [ Evgeni Golov ]
  * Imported Upstream version 2.0.0~rc15
    + Updates supported Debian releases in template (Closes: #816710)
    + Does not enable non-free by default anymore (Closes: #793598)
    + Uses httpredir.debian.org (Closes: #805085)
  * add uidmap to Recommends (Closes: #817796)
  * Standards-Version: 3.9.7

  [ Reiner Herrmann ]
  * use the date from the latest changelog entry when building manpages
    (Closes: #807837)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 03 Apr 2016 16:09:25 +0200

lxc (1:2.0.0~rc13-1) experimental; urgency=medium

  * Team upload.

  [ Antonio Terceiro ]
  * debian/tests/control: require isolation-machine to run; the tests can't
    run under lxc themselves.
  * debian/control: add Vcs-* fields pointing fields to the new repository
    location on https://anonscm.debian.org/cgit/pkg-lxc/lxc.git

  [ Evgeni Golov ]
  * Add debian/NEWS entry about lxc.aa_allow_incomplete = 1
    Closes: #813954
  * Imported Upstream version 2.0.0~rc13
  * refresh patches for LXC 2.0.0
  * install hooks from /usr/lib too

 -- Evgeni Golov <evgeni@debian.org>  Fri, 25 Mar 2016 16:44:25 +0100

lxc (1:1.1.5-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * Imported Upstream version 1.1.5
  * drop patches either applied or obsoleted upstream
  * refresh patches
  * call dh_installinit for lxc-net
  * drop useless lintian override
  * add autopkgtests from Ubuntu
    - fix up some tests for Debian
  * add dnsmasq-base to test depends
  * debian/watch: updated to look for all LXC releases
  * use dh_apparmor
  * do not restart LXC on upgrades when using systemd
  * build-depend on gnutls-dev
  * update Depends/Recommends/Suggests based on the packaging in Ubuntu
  * properly pass the systemd unit dir to configure

  [ Antonio Terceiro ]
  * 0014-Fix-520-multiple-instances-of-agetty-on-systemd.patch: add
    upstream patch to avoid multiple instances of agetty on each console.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 31 Jan 2016 18:22:40 -0200

lxc (1:1.0.8-1) unstable; urgency=medium

  * New upstream release
    - Includes fixes for CVE-2015-1335 (Closes: #800471)
    - Patches dropped for being already applied upstream:
      - CVE-2015-1331.patch
      - CVE-2015-1334.patch
      - lxc-clone-rsync-hardlinks.patch
      - lxc-clone-rsync-capabilities.patch
      - big-big-login-delays-in-CentOS-7-systemd.patch
      - lxc-debian-skip-security-updates-for-unstable-sid.patch
      - lxc-debian-support-stretch-Debian-9-images.patch
      - CVE-2015-1335.patch
    - Renumbered patches
    - Add cgmanager do Recommends:. Without it, lxc will always print a
      warning, which seems to be harmless but for example will break
      autopkgtest because of the unexpected output to stderr.
  * debian/watch: added
  * debian/upstream/signing-key.asc: added upstream signing key.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 24 Nov 2015 19:10:28 -0200

lxc (1:1.0.7-12) unstable; urgency=high

  * Added 0025-CVE-2015-1335.patch from the final version of the fix for
    CVE_2015-1335 from the Ubuntu package (Closes: #800471)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 13 Nov 2015 08:37:41 -0200

lxc (1:1.0.7-11) unstable; urgency=medium

  * New maintainer (myself)
    - Thanks Daniel Baumann for his previous efforts in maintaing lxc
  * Added patches (all already applied upstream):
    - 0019-big-big-login-delays-in-CentOS-7-systemd.patch
    - 0020-Centos7-systemd.patch
    - 0022-lxc-debian-skip-security-updates-for-unstable-sid.patch
    - 0023-lxc-debian-support-stretch-Debian-9-images.patch
    - 0024-lxc-debian-allow-not-including-contrib-non-free.patch

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 08 Nov 2015 10:52:37 -0200

lxc (1:1.0.7-10) unstable; urgency=low

  * Adding build-depends to dh-python.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 18 Aug 2015 14:12:31 +0200

lxc (1:1.0.7-9) unstable; urgency=low

  * Adjusting breaks (Closes: #795799).
  * Correcting email address in previous changelog entry.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 17 Aug 2015 06:42:20 +0200

lxc (1:1.0.7-8) unstable; urgency=low

  * Adding patch from upstream to preserve hardlinks in lxc-clone.
  * Adding patch from upstream to preserve capabilities in lxc-clone
    (Closes: #795422).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 16 Aug 2015 13:46:24 +0200

lxc (1:1.0.7-7) unstable; urgency=low

  * Moving shared library to dedicated package for future upload of lxd
    (#768073).
  * Re-adding lxc-dev which is now allowed again having the shared library
    split out (Closes: #774085, #793202).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 12 Aug 2015 18:03:23 +0200

lxc (1:1.0.7-6) unstable; urgency=low

  * Using misc:Pre-depends variable instead of hardcoding multiarch-
    support.
  * Moving bash-completion integration from /etc/bash-completion.d to
    /usr/share/bash-completion/completions.
  * Dropping obsolete syslog target from systemd service file.
  * Adding patch from upstream to fix errors in lxc-debian if dbus is not
    installed (Closes: #794207).
  * Updating lintian overrides.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 12 Aug 2015 17:25:44 +0200

lxc (1:1.0.7-5) unstable; urgency=low

  * Updating homepage field.
  * Updating debian copyright string.
  * Dropping conditionals for lua-alt-getopt, not needed anymore.
  * Dropping enforcing of xz compression, not needed anymore.
  * Dropping vcs fields in control for the time being.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 12 Aug 2015 11:09:50 +0200

lxc (1:1.0.7-4) unstable; urgency=high

  * Adding backported patch from upstream to prevent an unprivileged user
    to use LXC to create arbitrary file on the filesystem [CVE-2015-1331]
    (Closes: #793298).
  * Adding backported patch from upstream to prevent an user to use LXC
    to over-mount /proc which can be used to unconfined code execution
    [CVE-2015-1334] (Closes: #793298).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 22 Jul 2015 18:33:48 +0200

lxc (1:1.0.7-3) unstable; urgency=low

  * Building with cgmanager (Closes: #773421).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 Apr 2015 22:01:41 +0200

lxc (1:1.0.7-2) unstable; urgency=low

  * Dropping pre-jessie upgrade handling.
  * Dropping pre-jessie conflicts/replaces.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 25 Apr 2015 08:10:48 +0200

lxc (1:1.0.7-1) experimental; urgency=low

  * Merging upstream version 1.0.7.
  * Removing apparmor.patch, not needed anymore.
  * Removing lxc-create-manpage.patch, included upstream.
  * Removing lxc-debian-systemd.patch, included upstream.
  * Removing lxc-debian-init.patch, included upstream.
  * Renumbering patches.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 06 Dec 2014 13:11:57 +0100

lxc (1:1.0.6-5) unstable; urgency=low

  * Mounting /sys read-only in lxc-debian to prevent (one way of) escaping
    containers (Closes: #770901).
  * Adding patch from lxc 1.0.7 to make lxc-debian work with systemd
    (Closes: #766216).
  * Adding patch from lxc 1.0.7 to make lxc-debian handle switch of
    initsystem better.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 06 Dec 2014 13:00:36 +0100

lxc (1:1.0.6-4) unstable; urgency=low

  * Marking -t option in lxc-create manpage as required (Closes: #768778).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Nov 2014 19:57:58 +0100

lxc (1:1.0.6-3) unstable; urgency=low

  * Preserving setuid on lxc-user-nic (Closes: #764815).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 13 Oct 2014 20:44:15 +0200

lxc (1:1.0.6-2) unstable; urgency=low

  * Correcting automatic lua:Suggests generation.
  * Adding openssl to recommends since upstreams lxc-debian template
    uses openssl for mac generation.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 07 Oct 2014 09:42:36 +0200

lxc (1:1.0.6-1) unstable; urgency=low

  * Merging upstream version 1.0.6.
  * Refreshing sysvinit-lsb-functions.patch.
  * Updating to standards version 3.9.6.
  * Setting options for systemd in debian.common.conf (Closes: #761196,
    #761197).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Sep 2014 12:04:40 +0200

lxc (1:1.0.5-3) unstable; urgency=low

  * Dropping fixes for prefix in systemd unit file, not needed anymore.
  * Moving debootstrap to recommends.
  * Moving lua to suggests.
  * Adding lua suggests for non-debian system.
  * Showing warning when lxc is used on systemd with cgroups mounted in
    /etc/fstab (Closes: #760357).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 04 Sep 2014 04:30:47 +0200

lxc (1:1.0.5-2) unstable; urgency=low

  * Using and build-depending on dh-systemd (Closes: #758628).
  * Rewording changelog entry about merging upstream version 1.0.5.
  * Marking removal of lxc-top due to missing lua-alt-getopt in rules as
    debian only.
  * Dropping special handling of lxc-debian on progress-linux.
  * Renaming debian-config.patch to lxc-debian-fuse.patch.
  * Renaming lxc-sysvinit.patch to sysvinit-directory.patch.
  * Renaming lsb-init-headers.patch to sysvinit-lsb-headers.patch.
  * Renaming lsb-init-functions.patch to sysvinit-lsb-functions.patch.
  * Renaming lxc-init-lock.patch to sysvinit-lsb-lock.patch.
  * Renaming lxc-sigint.patch to lxc-attach-sigint.patch.
  * Adding references to upstreams bug tracker in all patches.
  * Adding patch from Ondřej Surý <ondrej@debian.org> to change
    PermitRootLogin yes to PermitRootLogin without-password in sshd_config
    (Closes: #758647).
  * Adding patch to set random root password in lxc-debian (Closes:
    #758643).
  * Removing /etc/default/lxc for upgrades of wheezy to jessie (Closes:
    #758800).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 21 Aug 2014 15:54:58 +0200

lxc (1:1.0.5-1) unstable; urgency=low

  * Due to 'popular demand', dropping Debian custom additions and shipping
    an (almost) vanilla lxc package in Debian from now on.
  * Removing Jonas from uploaders, thanks for your past support.
  * Dropping lxc-dev, according to ftp-master this is not acceptable
    anymore without having split out library package.
  * Merging upstream version 1.0.5 (Closes: #757326).
  * Refreshing lsb-init-functions.patch.
  * Refreshing debian-config.patch.
  * Adding debootstrap to suggests.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Aug 2014 12:55:27 +0200

lxc (3.0.4-0ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:35 +0100

lxc (3.0.4-0ubuntu2) focal; urgency=medium

  * Cherry-pick upstream bugfixes (LP: #1848587):
    - tests: use /dev/loop-control instead of /dev/network_latency

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 26 Nov 2019 12:22:37 -0500

lxc (3.0.4-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (3.0.4).
  * Cherry-pick upstream bugfixes:
    - cgfsng: fix memory leak in lxc_cpumask_to_cpulist
    - cgroups: use __do_free
    - cgroups: move variables into tighter scope
    - cgroups: simplify cgfsng_setup_limits()
    - cgroups: use __do_free in cgfsng_attach()
    - cgroups: move variable into tighter scope
    - cgroups: move variable into tighter scope
    - cgroups: simplify cgfsng_nrtasks()
    - cgroups: move variable into tighter scope
    - cgroups: correctly order variables
    - cgroups: move variable into tighter scope
    - fix memory leak in do_storage_create
    - Move code/variable in smaller scope
    - start: expose LXC_PID to network hooks too
    - cgroups: hande cpuset initialization race
    - pidf_send_signal: fix return value
    - cgroup: check for non-empty conf
    - typo fix
    - Suppress hardcoded table sizes
    - lxc/log: add error_log_errno macro
    - pidfds: don't print a scary warning on ENOSYS
    - cgroups: initialize cpuset properly
    - lxccontainer: fix detaching wlan devices
    - utils: fix wrong integer of a function parameter
    - lxc.pc: Fix invalid @DLOG_LIBS@
  * debian/control: Set Rules-Requires-Root to no
  * debian/control: Bump standards to 4.4.0
  * debian/upstream: Reduce size of GPG key
  * debian/source: Remove unused lintian override

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 07 Oct 2019 19:24:07 -0400

lxc (3.0.3-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (LP: #1804755):
    - CONTRIBUTING: Update reference to kernel coding style
    - CONTRIBUTING: Link to latest online kernel docs
    - CONTRIBUTING: Direct readers to CODING_STYLE.md
    - CODING_STYLE: Mention kernel style in introduction
    - CONTRIBUTING: Add 'be' to fix grammar
    - CODING_STLYE: Simplify explanation for use of 'extern'
    - CODING_STLYE: Remove sections implied by 'kernel style'
    - CODING_STYLE: Fix non-uniform heading level
    - CODING_STYLE: Update section header format
    - cmd: Use parenthesis around complex macro
    - cmd: Use 'void' instead of empty parameter list
    - cmd: Do not use braces for single statement block
    - cmd: Fix whitespace issues
    - cmd: Use 'const' for static string constant.
    - cmd: Remove unnecessary whitespace in string
    - cmd: Put trailing */ on a separate line
    - cmd: Remove typo'd semicolon
    - cmd: Do not use comparison to NULL
    - lxc_init: s/SYSDEBUG()/SYSERROR()/g in remove_self
    - tools: lxc-attach: add default log priority & cleanups
    - tools: lxc-cgroup: add default log priority & cleanups
    - tools: lxc-checkpoint: add default log priority & cleanups
    - tools: lxc-console: add default log priority & cleanups
    - tools: lxc-create: add default log priority & cleanups
    - tools: lxc-destroy: add default log priority & cleanups
    - tools: lxc-device: add default log priority & cleanups
    - tools: lxc-execute: add default log priority & cleanups
    - tools: lxc-start: add default log priority & cleanups
    - tools: lxc-stop: add default log priority & cleanups
    - tools: lxc-freeze: add default log priority & cleanups
    - tools: lxc-unfreeze: add default log priority & cleanups
    - storage_utils: move duplicated function from tools
    - tools: fix lxc-execute command parsing
    - lseek - integer overflow
    - cmd: lxc-user-nic: change log macro & cleanups
    - cmd: lxc-usernsexec reorder includes
    - cmd: move declarations to macro.h
    - cmd: use utils.{c,h} helpers in lxc-usernsexec
    - cmd: simplify lxc-usernsexec
    - cmd: use safe number parsers in lxc-usernsexec
    - macro: add missing headers
    - macro: add macvlan properties
    - tools: Indicate container startup failure
    - storage: exit() => _exit(). when exec is failed
    - tools: lxc-wait: add default log priority & cleanups
    - conf: fix path/lxcpath mixups in tty setup
    - cmd: use goto for cleanup in lxc-usernsexec
    - cmd: Do not reassign variable before it is used
    - cmd: Reduce scope of 'count' variable
    - cmd: Fix format issues found by clang-format
    - list: fix indent
    - utils: split into {file,string}_utils.{c,h}
    - pam_cgfs: build from the same sources as liblxc
    - conf: fix devpts mounting when fully unprivileged
    - macro: s/rexit()/_exit()/g
    - attach: move struct declaration to top
    - macro: move macros from attach.c
    - Makefile: don't allow undefined symbols
    - autotools: check if compiler is new enough
    - log: handle strerror_r() versions
    - autotools: add --{disable,enable}-thread-safety
    - log: fail build on ENFORCE_THREAD_SAFETY error
    - {file,string}_utils: remove NO_LOG
    - initutils: remove useless comment
    - string_utils: remove unnecessary include
    - string_utils: remove unused headers
    - string_utils: add remove_trailing_slashes()
    - Makefile: remove last pam_cgfs special-casing
    - conf: add missing headers
    - Fix typo
    - ifaddrs: add safe implementation of getifaddrs()
    - Makefile: conditionalize ifaddrs.h inclusion
    - execute: skip lxc-init logging when unprivileged
    - execute: pass /proc/self/fd/<nr>
    - tests: cleanup get_item.c
    - build: fix musl
    - configure: reorder header checks
    - compiler: add compiler.h header
    - commands: return -1 on lxc_cmd_get_init_pid() err
    - tests: add basic.c
    - tests: cleanup Makefile
    - commands: ensure -1 is sent on EPIPE for init pid
    - macro: add LXC_AUDS_ADDR_LEN
    - macro: move LXC_CMD_DATA_MAX from commands.h
    - macro: add PTR_TO_INT() and INT_TO_PTR()
    - macro: add INTTYPE_TO_STRLEN()
    - caps: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - cgfsng: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - confile: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - log: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - lsm: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - macro: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - lxccontainer: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - monitor: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - network: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - string_utils: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - utils: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - tools: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - conf: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - tests: s/LXC_NUMSTRLEN64/INTTYPE_TO_STRLEN()/
    - macro: final INTTYPE_TO_STRLEN() related cleanups
    - macro: coding style fixes
    - Makefile: correctly add ifaddrs to noinst_HEADERS
    - start: remove duplicate macros
    - caps: move macros to macro header
    - string_utils: use UINT64_MAX macro
    - tree-wide: use sizeof on static arrays
    - Revert "tree-wide: use sizeof on static arrays"
    - commands: pass around intmax_t
    - commands: assign before converting to pointer
    - macro: calculate buffer lengths correctly
    - Revert "Revert "tree-wide: use sizeof on static arrays""
    - macro: move MS_* macros
    - caps: fix illegal access to array bound
    - utils: defensive programming
    - nl: remove duplicated define
    - syntax error: mismatch brace
    - commands: better error message
    - file_utils: add lxc_recv_nointr()
    - commands: switch to setting errno and returning -1
    - log: do not clobber errno
    - log: save errno on strerror_r()
    - tree-wide: s/recv()/lxc_recv_nointr()/g
    - file_utils: add lxc_send_nointr()
    - tree-wide: s/send()/lxc_send_nointr()/g
    - nl: save errno on lxc_netns_set_nsid()
    - log: log_append_logfile() add new error path
    - lxccontainer: fix dereferenced pointer
    - lxc: fix build with --disable-werror
    - utils: improve get_ns_uid() and add get_ns_gid()
    - utils: improve lxc_switch_uid_gid()
    - log: support dlog
    - attach: handle id switching smarter
    - start: avoid unnecessary syscalls
    - utils: make lxc_setgroups() return bool
    - utils: make lxc_switch_uid_gid() return bool
    - lxccontainer: use correct pid_t type
    - conf: remove extra MS_BIND with sysfs:mixed
    - network: use correct type in lxc_netns_set_nsid()
    - network: add lxc_netns_get_nsid()
    - remove unused variables
    - file_utils: remove unused function
    - network: minor tweaks
    - add compile flags for dlog
    - log: add common functions
    - log: add additional info of dlog
    - attach: don't shutdown ipc socket in child
    - security: fix too wide or inconsistent non-owner permissions
    - attach: report standard shell exit codes
    - af_unix: add function to remove duplicated codes for set sockaddr
    - lxccontainer: remove locks from set_cgroup_item()
    - lxccontainer: remove locks from get_cgroup_item()
    - apparmor: account for specified rootfs path (closes #2617)
    - conf: realpath() uses null as second parameter to prevent buffer overflow
    - start: s/backgrounded/daemonize/g
    - cgfsng: mark ops with \_\_cgfsng_ops\_\_ attribute
    - autotools: add -Wimplicit-fallthrough
    - cgroup: rename container specific cgroup functions
    - cgroups: s/fullcgpath/container_full_path/g
    - cgroups: add missing string.h include
    - cgroups: s/base_cgroup/container_base_path/g
    - autotools: fix wrong AX_CHECK_COMPILE_FLAG test
    - compiler: s/\_\_fallthrough\_\_/\_\_fallthrough/g
    - compiler: s/\_\_noreturn\_\_/\_\_noreturn/g
    - cgfsng: s/\_\_cgfsng_ops\_\_/\_\_cgfsng_ops/g
    - macro: add STRLITERALLEN() and STRARRAYLEN()
    - tree-wide: replace sizeof() with SIZEOF2STRLEN()
    - compiler: \_\_attribute\_\_((noreturn)) on bionic
    - autotools: support -Wcast-align
    - autotools: support -Wstrict-prototypes
    - network: add netns_getifaddrs() implementation
    - tree_wide: switch to netns_getifaddrs()
    - netns_ifaddrs: mark casts as safe
    - autotools: fix lxc_user_nic build
    - stop: Only freeze if freezer is available
    - doc: tweak documentation a little
    - cgfsng: set errno to ENOENT on get_hierarchy()
    - cgfsng: s/cgfsng_destroy/cgfsng_payload_destroy/g
    - cgfsng: s/25/INTTYPE_TO_STRLEN(pid_t)/g
    - compiler: fix \_\_noreturn on bionic
    - compiler: add \_\_hot attribute
    - netns_ifaddrs: fix missing include
    - autools: prevent dlog build on stable branch
    - tree-wide: fix includes to fix bionic builds
    - template: oci template supports for char user info
    - btrfs: fix btrfs containers
    - oci-template: Add logic for no /etc/passwd, group
    - configure: fix -Wimplicit-fallthrough check
    - utils: add lxc_setup_keyring()
    - autotools: support -z relro and -z now
    - netns_ifaddrs: handle IFLA_STATS{64} correctly
    - syscall_wrappers: add pivot_root()
    - raw_syscalls: add lxc_raw_execveat()
    - raw_syscalls: add lxc_raw_clone{_cb}()
    - raw_syscalls: add lxc_raw_getpid()
    - autotools: fix lxc init build
    - autotools: fix lxc-monitord build
    - autotools: fix lxc-user-nic build
    - autotools: fix lxc-usernsexec build
    - tests: add missing build dependencies
    - netns_ifaddrs: only use struct rtnl_link_stats64
    - cgroups: remove unnecessary line
    - netns_iaddrs: remove unused functions
    - parse: prefault config file with MAP_POPULATE
    - cgfsng: avoid tiny race window
    - utils: fix lxc_set_death_signal()
    - cgfsng: handle v1 cpuset hierarchy first
    - syscall_wrappers: move memfd_create()
    - syscall_wrappers: move setns()
    - syscall_wrappers: move sethostname()
    - syscall_wrappers: move unshare()
    - syscall_wrappers: move signalfd()
    - raw_syscalls: move lxc_raw_gettid()
    - tools: lxc-start: remove unused argument
    - tools: lxc-unshare: remove unnecessary initialization
    - parse: remove access() check
    - parse: report errors when failing config parsing
    - macro: add PATH_MAX
    - cmd: s/MAXPATHLEN/PATH_MAX/g
    - conf: s/MAXPATHLEN/PATH_MAX/g
    - confile: s/MAXPATHLEN/PATH_MAX/g
    - log: s/MAXPATHLEN/PATH_MAX/g
    - lxccontainer: s/MAXPATHLEN/PATH_MAX/g
    - macro: s/MAXPATHLEN/PATH_MAX/g
    - network: s/MAXPATHLEN/PATH_MAX/g
    - pam: s/MAXPATHLEN/PATH_MAX/g
    - start: s/MAXPATHLEN/PATH_MAX/g
    - terminal: s/MAXPATHLEN/PATH_MAX/g
    - utils: s/MAXPATHLEN/PATH_MAX/g
    - storage: s/MAXPATHLEN/PATH_MAX/g
    - tools: s/MAXPATHLEN/PATH_MAX/g
    - attach: reset signal mask
    - start: change log level
    - file_utils: fix too wide or inconsistent non-owner permissions
    - attach: fix missing pthread.h include
    - macro: add NETLINK_DUMP_STRICT_CHK
    - macro: add SOL_NETLINK
    - netns_ifaddrs: check for NETLINK_DUMP_STRICT_CHK
    - parse: do not mask failed parse
    - test: test invalid config keys
    - confile: remove unused variable
    - parse: fix uninitialized pointer access
    - fix rpm packaging error for static library
    - fix post section script error for rpm install
    - conf: log prlimit setup
    - conf: verify_start_hooks() after lxc.mount.entry
    - checkpoint: fix running do_dump()
    - monitor: log cleanups
    - monitor: checking name too long to make monitor sock name
    - commands_utils: improve code redundancy to make abstract unix socket name
    - monitor: fix coding standard
    - autools: use -fno-strict-aliasing
    - checkconfig: Handle missing kernel version
    - lxc-init: log to /dev/console
    - autotools: fix --disable-commands builds
    - string_utils: fix global buffer overflow issue
    - include: simplify strlcpy()
    - raw_syscalls: ensure function always returns value
    - confile: fix append_unexp_config_line()
    - parse: protect against config updates during parse
    - parse: fix uninitialized value
    - tree-wide: coding style fixes
    - start: simplify
    - autotools: compiler based hardening
    - coverity: update .travis.yml
    - coverity: update .travis.yml
    - coverity: update .travis.yml
    - coverity: update .travis.yml
    - coverity: update .travis.yml
    - confile: do not overwrite global variable
    - commands: simplify
    - cgfsng: move increment out of branch
    - monitord: do not hide global variable
    - tools/lxc_copy: do not hide global variable
    - tools/lxc_top: do not hide global variable
    - tools/lxc_info: do not hide global variable
    - state: remove tautological check
    - conf: remove tautological check
    - conf: use O_CLOEXEC in lxc_pivot_root()
    - conf: remove tautological check
    - lxccontainer: remove check from goto target
    - start: prevent values smaller 0
    - tools/lxc_stop: use correct check
    - cmd/lxc_init: do not hide global variable
    - coverity: #1440391
    - coverity: #1440389
    - coverity: #1426130
    - storage_utils: add error handling
    - storage_utils: cleanups
    - storage_utils: use _exit() instead of exit() in child process
    - parse: cleanups
    - dlog: inherit dlog fds
    - spelling: allocate
    - spelling: ambiguous
    - spelling: answer
    - spelling: architecture
    - spelling: array
    - spelling: asynchronous
    - spelling: backingstorage
    - spelling: capabilities
    - spelling: character
    - spelling: checkpoint
    - spelling: comma
    - spelling: command
    - spelling: committer
    - spelling: configuration
    - spelling: constant
    - spelling: container
    - spelling: control
    - spelling: convenience
    - spelling: could
    - spelling: describing
    - spelling: device
    - spelling: exiting
    - spelling: explicitly
    - spelling: feature
    - spelling: github
    - spelling: hierarchy
    - spelling: hoops
    - spelling: ifindices
    - spelling: implementations
    - spelling: inherited
    - spelling: initialize
    - spelling: javascript
    - spelling: keepdata
    - spelling: libraries
    - spelling: loglevel
    - spelling: namespace
    - spelling: otherwise
    - spelling: output
    - spelling: overlayfs
    - spelling: overridden
    - spelling: override
    - spelling: passphrase
    - spelling: perhaps
    - spelling: pertains
    - spelling: portion
    - spelling: potentially
    - spelling: returns
    - spelling: root
    - spelling: securityfs
    - spelling: snapshotting
    - spelling: specified
    - spelling: specify
    - spelling: subtracting
    - spelling: successfully
    - spelling: syscall
    - spelling: timeout
    - spelling: unsigned
    - spelling: userns
    - spelling: without
    - lxcmntent: coding rules
    - string_utils: coding rules
    - log: fix too wide or inconsistent non-owner permissions
    - coverity: move to separate branch
    - include: correctly include macro.h
    - Fix spacing error in namespace.c
    - caps: replace read with lxc_read_nointr
    - log: replace write with lxc_write_nointr
    - dlog: move match_dlog_fds()
    - conf: s/ty/tty/g
    - pam_cgfs: remove redundancy file utils
    - cgfs: remove redundancy utils
    - pam_cgfs: remove dependency from cap & log
    - utils: fix coding styles
    - utils: add errno logs for exception case
    - Adds -qq flags to lvcreate commands
    - utils: make keyring allocation failure non-fatal
    - autotools: fix lxc-{create,copy} build
    - cgfsng: remove freezer requirement
    - start: don't call cgroup_exit() twice

  * Bump standards to 4.2.0
    - Update lintian overrides

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Nov 2018 23:49:34 -0500

lxc (3.0.2-0ubuntu4) cosmic; urgency=medium

  * Cherry-pick upstream fixes:
    - 0024-commands-return-1-on-lxc_cmd_get_init_pid-err.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 25 Aug 2018 00:49:17 -0400

lxc (3.0.2-0ubuntu3) cosmic; urgency=medium

  * Run autoreconf during autopkgtest.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 24 Aug 2018 15:24:19 -0400

lxc (3.0.2-0ubuntu2) cosmic; urgency=medium

  * Cherry-pick upstream fixes:
    - 0022-execute-skip-lxc-init-logging-when-unprivileged.patch
    - 0023-execute-pass-proc-self-fd-nr.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 23 Aug 2018 12:33:49 -0400

lxc (3.0.2-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release (LP: #1788457):
    - CVE 2018-6556: verify netns fd in lxc-user-nic
    - fixed a range of bugs found by Coverity
    - lxc-usernsexec: cleanup and bugfixes
    - log: add CMD_SYSINFO()
    - log: add CMD_SYSERROR()
    - state: s/sleep()/nanosleep()/
    - lxclock: improve file locking
    - lxccontainer: improve file locking
    - lxccontainer: fix F_OFD_GETLK checks
    - netlink: add __netlink_{send,recv,transaction}
    - netns: allocate network namespace id
    - MAINTAINERS: add Wolfgang Bumiller
    - pam_cgfs: cleanups
    - log: add default log priority
    - tree-wide: pass unsigned long to prctl()
    - macro: add new macro header
    - conf: mount devpts without “max” on EINVAL
    - tree-wide: handle EINTR in read() and write()
    - tree-wide: replace pipe() with pipe2()
    - confile: split mount options into flags and data
    - conf: improve rootfs setup
    - autotools: default to -Wvla -std=gnu11
    - tree-wide: remove VLAs
    - tree-wide: replace strtok_r() with lxc_iterate_parts()
    - utils: add lxc_iterate_parts()
    - apparmor: allow start-container to change to lxc-**
    - apparmor: update current profiles
    - apparmor: Allow /usr/lib* paths for mount and pivot_root
    - conf: the atime flags are locked in userns
    - conf: handle partially functional device nodes
    - conf: create /dev directory
    - autotools: build both a shared and static liblxc
    - namespace: add api to convert namespaces to standard identifiers
    - tree-wide: set MSG_NOSIGNAL
    - tree-wide: use mknod() to create dummy files
    - cgfsng: respect lxc.cgroup.use
    - cgroups: remove is_crucial_cgroup_subsystem()
    - tree-wide: remove unneeded log prefixes
    - tests: cleanup all tests
    - terminal: set FD_CLOEXEC on pty file descriptors
    - conf: simplify lxc_setup_dev_console()
    - tools: rework tools
    - autodev: adapt to changes in Linux 4.18
    - log: change DEBUG, INFO, TRACE, NOTICE macro using strerror to SYS* macro
    - log: add lxc_log_strerror_r macro
    - network: unpriv lxc will run lxc.net.[i].script.up now
    - conf: only use newuidmap and newgidmap when necessary
    - autotools: support tls in cross-compile

  * Cherry-pick upstream fixes:
    - 0002-tools-fix-lxc-execute-command-parsing.patch
    - 0003-lseek-integer-overflow.patch
    - 0004-cmd-lxc-usernsexec-reorder-includes.patch
    - 0005-cmd-move-declarations-to-macro.h.patch
    - 0006-cmd-use-utils.-c-h-helpers-in-lxc-usernsexec.patch
    - 0007-cmd-simplify-lxc-usernsexec.patch
    - 0008-cmd-use-safe-number-parsers-in-lxc-usernsexec.patch
    - 0009-tools-Indicate-container-startup-failure.patch
    - 0010-conf-fix-path-lxcpath-mixups-in-tty-setup.patch
    - 0011-cmd-use-goto-for-cleanup-in-lxc-usernsexec.patch
    - 0012-utils-split-into-file-string-_utils.-c-h.patch
    - 0013-pam_cgfs-build-from-the-same-sources-as-liblxc.patch
    - 0014-conf-fix-devpts-mounting-when-fully-unprivileged.patch
    - 0015-macro-s-rexit-_exit-g.patch
    - 0016-Makefile-don-t-allow-undefined-symbols.patch
    - 0017-autotools-check-if-compiler-is-new-enough.patch
    - 0018-log-handle-strerror_r-versions.patch
    - 0019-autotools-add-disable-enable-thread-safety.patch
    - 0020-log-fail-build-on-ENFORCE_THREAD_SAFETY-error.patch
    - 0021-macro-add-missing-headers.patch

  * Bump standards to 4.2.0
    - Update lintian overrides
  * Include new .a file into liblxc-dev
  * Override GPG keyserver in autopkgtest

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 22 Aug 2018 11:26:07 -0400

lxc (3.0.1-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release:
    - tools: fix unitialized variable
    - storage: fix lvm fs uuid generation
    - lxc-oci: fix Cmd/Entrypoint parsing
    - lxc-oci: make umoci less verbose
    - lxclock: use thread-safe OFD fcntl() locks
    - locktests: fix test suite
    - conf: ensure umounts don’t propagate to host
    - doc: Tweak Japanese translation in lxc.container.conf(5)
    - fix signal sending in lxc.init
    - rootfs pinning: On NFS, make file hidden but don’t delete it
    - conf: fix temporary file creation
    - ringbuf: fix temporary file creation
    - Fix compilation with static libcap and shared gnutls
    - attach: always drop supplementary groups
    - lxc init: remove dead code
    - storage/rsync: free memory on error
    - tools/utils: free memory on error
    - lxc init: coding style
    - utils: define __NR_setns if missing on old glibcs
    - attach: try to always drop supplementary groups
    - conf: ret-try devpts mount without gid=5 on error
    - execute: fix app containers without root mapping
    - conf: fix net type checks in run_script_argv()
    - seccomp: handle arch inversion
    - seccomp: handle all errors
    - seccomp: cleanup compat architecture handling
    - seccomp: improve logging
    - tools: document -d/–daemonize for lxc-execute
    - seccomp: non-functional changes
    - seccomp: handle arch inversion II
    - lxc-oci: mkdir the download directory
    - do_lxcapi_create: set umask
    - lxc/tools/lxc_monitor: include missing <stddef.h>
    - pam-cgfs: ignore the system umask when creating the cgroup hierarchy
    - Also pass action scripts to CRIU on checkpointing
    - Fix the memory leak in cgfsng_attach
    - Fix memory leak in list_active_containers
    - Fix tool_utils.c build when HAVE_SETNS is unset
    - coverity: #1435210
    - coverity: #1435208
    - coverity: #1435207
    - coverity: #1435206
    - coverity: #1435205
    - coverity: #1435203
    - coverity: #1435200
    - coverity: #1435198
    - coverity: #1426734
    - lxccontainer: non-functional changes
    - lxccontainer: use thread-safe OFD locks
    - lxccontainer: non-functional changes
    - lxccontainer: do_lxcapi_is_running()
    - lxccontainer: do_lxcapi_freeze()
    - lxccontainer: do_lxcapi_unfreeze()
    - lxccontainer: non-functional changes
    - lxccontainer: use thread-safe open() + write()
    - lxccontainer: non-functional changes
    - lxccontainer: non-functional changes
    - lxccontainer: non-functional changes
    - coverity: #1435263
    - fix logic for execute log file
    - utils: add LXC_PROC_PID_FD_LEN
    - execute: use static buffer
    - execute: do not check inherited fds again
    - add some TRACE/ERROR reporting
    - execute: account for -o path option count
    - execute: set init_path when existing init is found
    - genl: remove
    - coverity: #1248104
    - coverity: #1248105
    - coverity: #1425744
    - utils: account for terminating \0 byte
    - confile: satisfy gcc-8
    - network: silence gcc-8
    - network: adhere to IFNAMSIZ limit
    - support case ignored suffix for sizes
    - utils: fix parse_byte_size_string() coding style
    - strlcpy: add strlcpy() implementation
    - tree-wide: s/strncpy()/strlcpy()/g
    - CODING_STYLE: add section about using strlcpy()
    - tools: s/strncpy()/strlcpy()/g
    - Revert “tools: s/strncpy()/strlcpy()/g”
    - tools: s/strncpy()/memcpy()/
    - doc: Add “-d/–daemon” option to Japanese lxc-execute(1)
    - doc: Fix size unit style in Japanese lxc.container.conf(5)
    - coverity: #1435604
    - coverity: #1435603
    - coverity: #1435602
    - coverity: #1425844
    - config: allow read-write /sys in user namespace
    - coverity: #1425836
    - coverity: #1248106
    - capabilities: raise ambient capabilities
    - coverity: #1425802
    - cgroups: refactor cgroup handling
    - cgroups: remove freezer_state()
    - seccomp: #ifdef SCMP_ARCH_AARCH64
    - conf: simplify write_id_mapping()
    - log: enable per-thread container name prefix
    - lxc-init: skip signals that can’t be caught
    - execute: use execveat() syscall if supported
    - tools: only create log file when requested
    - seccomp: fix off-by-one error in array allocation for sscanf
    - seccomp: remove confusing comment line
    - seccomp: remove unnecessary memset
    - seccomp: fix type mismatch when parsing syscall arguments filters
    - lxcseccomp: cleanup header
    - seccomp: parse_config_v1()
    - utils: add remove_trailing_newlines()
    - seccomp: get_v2_default_action()
    - seccomp: get_action_name()
    - seccomp: get_v2_action()
    - seccomp: fix get_seccomp_arg_value()
    - seccomp: parse_v2_rules()
    - seccomp: move #ifdefines
    - seccomp: get_hostarch()
    - seccomp: scmp_filter_ctx get_new_ctx()
    - seccomp: do_resolve_add_rule()
    - seccomp: parse_config_v2()
    - seccomp: parse_config()
    - seccomp: lxc_read_seccomp_config()
    - tree-wide: s/sigprocmask/pthread_sigmask()/g
    - utils: fix task_blocking_signal()
    - lxccontainer: fix fd leaks when sending signals
    - confile: order architectures
    - start: log setns() failure
    - seccomp: leak fixup
    - seccomp: re-add action parse error handling
    - seccomp: refactor line handling of parse_config
    - seccomp: error on unrecognized actions
    - seccomp: lxc_read_seccomp_config()
    - seccomp: parse_v2_rules()
    - seccomp: make do_resolve_add_rule() more strict
    - tools: fix lxc-create with global config value
    - tools: fix lxc-create with global config value II
    - coverity: #1435806
    - coverity: #1435805
    - coverity: #1435803
    - coverity: #1435747
    - conf: non-functional changes
    - conf: make is_execute a boolean
    - conf: non-functional changes
    - conf: make close_all_fds a boolean
    - conf: reshuffle mount members
    - conf: simplify tty handling
    - conf: pts -> pty_max
    - conf: non-functional changes
    - utils: fix task_blocking_signal()
    - network: fix socket handle leak
    - start: do not init ns_clone_flags to -1
    - conf: ensure lxc_delete_tty() does not crash
    - start: add reboot macros
    - conf: make root idmap structs const
    - conf: make tmp_umount_proc bool
    - conf: non-functional changes
    - conf: va_end was not called.
    - confile: improve strprint()
    - change defines for return value of handlers
    - start: fix waitpid() blocking issue
    - start: log unknown info.si_code
    - tree-wide: fix mode of some files
    - confile_utils: apply strprint()
    - templates: actually create DOWNLOAD_TEMP directory
    - templates: fix download template
    - Patch lxc-update-config

  * Bump standard to 4.1.4

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 05 Jun 2018 17:05:49 -0400

lxc (3.0.0-0ubuntu2) bionic; urgency=medium

  * Add missing breaks/replaces for lxc-init moving from lxc1 to
    liblxc-common (LP: #1760609).

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 02 Apr 2018 11:56:45 -0400

lxc (3.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream LTS release:
    - LXC 3.0 will be supported until June 2023.
    - Announcement: https://linuxcontainers.org/lxc/news/

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Mar 2018 00:07:48 -0400

lxc (3.0.0~beta4-0ubuntu1) bionic; urgency=medium

  * New upstream beta (3.0.0~beta4)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Mar 2018 23:40:44 -0400

lxc (3.0.0~beta3-0ubuntu1) bionic; urgency=medium

  * New upstream beta (3.0.0~beta3)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 23 Mar 2018 16:25:55 -0400

lxc (3.0.0~beta2-0ubuntu2) bionic; urgency=medium

  * Move LXC's init and init.static to liblxc-common

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Mar 2018 18:36:31 -0400

lxc (3.0.0~beta2-0ubuntu1) bionic; urgency=medium

  * New upstream beta (3.0.0~beta2)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Mar 2018 17:43:49 -0400

lxc (3.0.0~beta1-0ubuntu3) bionic; urgency=medium

  * Make liblxc-common conflicts/replaces lxc-common rather than
    breaks/replaces.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Mar 2018 04:31:40 -0500

lxc (3.0.0~beta1-0ubuntu2) bionic; urgency=medium

  * Fix autopkgtest
    - Record timing of tests in autopkgtest.
    - Disable the lxc-test-state-server test due to broken busybox.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2018 17:20:11 -0500

lxc (3.0.0~beta1-0ubuntu1) bionic; urgency=medium

  * New upstream beta (3.0.0~beta1)
  * Remove lxc-templates, now its own source
    - Move lxc-templates from recommends to suggests
    - liblxc-common now replaces part of lxc-templates
  * Remove python3-lxc, now its own source
  * Add libpam-cgfs (moved from lxcfs)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 01 Mar 2018 14:02:28 -0500

lxc (2.1.1-0ubuntu4) bionic; urgency=medium

  * Loosen dependency on lxc-templates ahead of LXC 3.0.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Feb 2018 18:33:11 -0500

lxc (2.1.1-0ubuntu3) bionic; urgency=medium

  * Drop lxc-utils dependency on python3-lxc.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Feb 2018 18:26:35 -0500

lxc (2.1.1-0ubuntu2) bionic; urgency=medium

  * Drop some packages ahead of LXC 3.0:
    - lxc-tests (not needed for autopkgtests anymore)
    - lua-lxc (unused and moved out of tree upstream)

  * Rename packages:
    - lxc1 to lxc-utils (lxc1 becomes transitional)
    - lxc-common to liblxc-common
    - lxc-dev to liblxc-dev (lxc-dev becomes transitional)

  * Update debian/tests/exercise
    - Make it build the test binaries

  * Drop backward compatibility code for pre-16.04 Ubuntu

  * Update to current standards
    - Fix trailing whitespaces in debian/changelog
    - Move debian/source.lintian-overrides to debian/lintian-overrides
    - Update all URLs in debian/changelog to https
    - Bump compat to 10
    - Bump standards to 4.1.3
    - Drop --with autotools_dev from debian/rules
    - Bump debhelper dependency to 10 or higher
    - Drop dh-autoreconf, autotools-dev and dh-systemd build-dependencies
    - Drop un-needed lintian source overrides

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Feb 2018 16:01:23 -0500

lxc (2.1.1-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release (LXC 2.1.1)
    - apparmor: Drop useless apparmor denies
    - cgfsng: Check whether we have a conf
    - cgfsng: Fail when limits fail to apply
    - conf: Error out on too many mappings
    - conf: Ignore lxc.kmsg and lxc.pivotdir
    - conf: Make update warning opt-in
    - conf: Preserve newlines in configuration file
    - conf: Remove dead assignments in parse_idmaps()
    - conf: Remove unnecessary zeroing
    - conf: Use the proper type for rlim_t, fixing build failure on x32.
    - console: Clean tty state + return 0 on peer exit
    - console: Remove dead assignments
    - core: Introduce userns_exec_full() and port the codebase to it
    - criu: Use correct check initialization check
    - doc: Add lxc.cgroup.dir to Japanese lxc.container.conf(5)
    - doc: Add lxc-update-config manpage
    - doc: Document missing env variables
    - doc: Fix regex-typo in Japanese and Korean lxc-monitor(1)
    - doc: Fix regex-typo in lxc-monitor.sgml.in
    - doc: Translate lxc(7) into Japanese
    - doc: Translate lxc-update-config(1) into Japanese
    - execute: Enable console & standard /dev symlinks
    - init: Become session leader
    - log: Fix a format string build failure on x32.
    - log: Prevent stack smashing
    - monitor: Remove dead assignment
    - network: Add missing checks for empty links
    - network: Clear ifindeces
    - network: Non-functional changes
    - network: Remove dead assignments
    - network: Use single helper to delete networks
    - start: Don't close inherited namespace fds
    - start: Move env setup before container setup
    - start: Pass LXC_LOG_LEVEL to hooks
    - start: Remove dead variable
    - start: Set environment variables correctly
    - start: Switch ids at last possible instance
    - storage: Avoid segfault on missing lxc.rootfs.path
    - storage: Fix typo in error message
    - storage/lvm: Fix thinpool logical volumes
    - storage/overlay: Do not write to invalid memory
    - storage/overlay: Fix use after free()
    - storage/zfs: Return error directly when zfs creation fails
    - template/alpine: Change file check to also check file size (-f => -s)
    - template/archlinux: Change locale "en-US.UTF-8" to "en_US.UTF-8"
    - template/debian: Don't force getty@ configuration
    - template/plamo: Delete unnecessary process during container shutdown
    - tests: Avoid NULL pointer dereference
    - tests: Remove dead assignments
    - tests: Support systemd hybrid cgroups
    - tools: Print "-devel" when LXC_DEVEL is true
    - tools/lxc-unshare: Do not pass NULL pointer
    - tools/lxc-update-config: Remove lxc.pivotdir and lxc.kmsg entries
    - tools/lxc-update-config: Strip lxc.rootfs.backend and handle IPv4 addrs
    - tools/lxc-user-nic: Remove double initialization
    - tools/lxc-usernsexec: Remove dead assignments
    - utils: Do not write to 0 sized buffer
    - utils: Duplicate stderr as well in lxc_popen()
    - utils: Fix lxc_popen()/lxc_pclose()
    - utils: Remove dead assignments in lxc_popen()

  * Drop all patches, now upstream.
  * Use upstream manpage for lxc-update-config.
  * Refresh lintian overrides.
  * Bump standards to 4.1.1.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 31 Oct 2017 18:59:59 -0400

lxc (2.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release (LXC 2.1): (LP: #1715278)
    - https://linuxcontainers.org/lxc/news

    - This is an intermediary release between LXC 2.0 (LTS) and LXC 3.0 (LTS).
      LXC 2.1 supports both the older configuration keys and the newer ones.
      A number of options and commands will also now issue deprecation
      warning before they completely go away in LXC 3.0.

      It is recommended that you run "lxc-update-config" for your
      containers and make sure that there is no leftover warnings.

  * Cherry-pick fixes from upstream:
    - 0002-Fix-typo.patch
    - 0003-network-add-missing-checks-for-empty-links.patch
    - 0004-cleanup-remove-unnecessary-zeroing.patch
    - 0005-console-clean-tty-state-return-0-on-peer-exit.patch
    - 0006-tools-fix-lxc-upate-config.patch
    - 0007-criu-use-correct-check-initialization-check.patch
    - 0008-storage-overlay-do-not-write-to-invalid-memory.patch
    - 0009-utils-do-not-write-to-0-sized-buffer.patch
    - 0010-overlay-fix-use-after-free.patch
    - 0011-lxc-unshare-do-not-pass-NULL-pointer.patch
    - 0012-lxc-user-nic-remove-double-initialization.patch
    - 0013-execute-enable-console-standard-dev-symlinks.patch
    - 0014-start-switch-ids-at-last-possible-instance.patch
    - 0015-storage-avoid-segfault.patch
    - 0016-tests-Support-systemd-hybrid-cgroups.patch

  * Build depend on python3-setuptools.
  * Bump standard to 4.0.0.
  * Drop upstart jobs on artful and higher.
  * Update lintian overrides.
  * Build a manpage with help2man for lxc-update-config.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 18 Sep 2017 18:32:38 -0400

lxc (2.0.8-0ubuntu7.1) artful; urgency=medium

  * Cherrypick fixes for netplan to fix release-regressed autopkgtests and
    unblock proposed migration of reverse-dependencies.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 06 Sep 2017 17:10:01 +0100

lxc (2.0.8-0ubuntu7) artful; urgency=medium

  * Cherry-pick upstream fix:
    - 0014-templates-ubuntu-conditionally-move-upstart-ssh-job-.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 29 Aug 2017 14:40:49 -0400

lxc (2.0.8-0ubuntu6) artful; urgency=medium

  * Cherry-pick upstream fix:
    - 0012-cgroups-handle-hybrid-cgroup-layouts.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 22 Aug 2017 18:43:41 -0400

lxc (2.0.8-0ubuntu5) artful; urgency=medium

  * debian/patches/0012-gcc-7-workaround.patch: workaround for gcc-7 bug
    that causes lxc to FTBFS. LP: #1711449. Closes: #853531.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 17 Aug 2017 20:29:29 +0000

lxc (2.0.8-0ubuntu4) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:57 +0000

lxc (2.0.8-0ubuntu3) artful; urgency=medium

  * Cherry-pick upstream workaround for ppc64el failure:
    - 0011-utils-fix-ppc64le-builds.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 29 May 2017 13:15:38 -0400

lxc (2.0.8-0ubuntu2) artful; urgency=medium

  * Cherry-pick some upstream fixes:
    - conf{,ile}: allow one to clear all config items
    - start: pin rootfs when privileged
    - conf: fix build without libcap
    - start: don't call lxc_map_ids() without id map
    - lxc-attach: allow for situations without /dev/tty
    - utils: fix num parsing functions
    - tests: lxc_safe_{u}int() add corner-case tests

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 16 May 2017 13:35:34 -0400

lxc (2.0.8-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release (2.0.8):
    - Security fix for CVE-2017-5985 (previously fixed in Ubuntu)

    - All templates have been updated to not set default passwords anymore,
      instead requiring lxc-attach be used to configure users.

      This may affect some automated environments that were relying on our
      default (very much insecure) users.

    - Make lxc-start-ephemeral Python 3.2-compatible
    - Fix typo
    - Allow build without sys/capability.h
    - lxc-opensuse: fix default value for release code
    - util: always malloc for setproctitle
    - util: update setproctitle comments
    - confile: clear lxc.network..ipv{4,6} when empty
    - lxc_setup_tios(): Ignore SIGTTOU and SIGTTIN signals
    - Make lxc-net return non-zero on failure
    - seccomp: allow x32 guests on amd64 hosts.
    - Add HAVE_LIBCAP
    - c/r: only supply --ext-mount-map for bind mounts
    - Added 'mkdir -p' functionality in create_or_remove_cgroup
    - Use LXC_ROOTFS_MOUNT in clonehostname hook
    - squeeze is not a supported release anymore, drop the key
    - start: dumb down SIGCHLD from WARN() to NOTICE()
    - log: fix lxc_unix_epoch_to_utc()
    - cgfsng: make trim() safer
    - seccomp: set SCMP_FLTATR_ATL_TSKIP if available
    - lxc-user-nic: re-order #includes
    - lxc-user-nic: improve + bugfix
    - lxc-user-nic: delete link on failure
    - conf: only try to delete veth when privileged
    - Fix lxc-containers to support multiple bridges
    - Fix mixed tab/spaces in previous patch
    - lxc-alpine: use dl-cdn.a.o as default mirror instead of random one
    - lxc-checkconfig: verify new[ug]idmap are setuid-root
    - [templates] archlinux: resolve conflicting files
    - [templates] archlinux: noneed default_timezone variable
    - python3: Deal with potential NULL char*
    - lxc-download.in / allow setting keyserver from env
    - lxc-download.in / Document keyserver change in help
    - Change variable check to match existing style
    - tree-wide: include directly
    - conf/ile: make sure buffer is large enough
    - tree-wide: include directly
    - tests: Support running on IPv6 networks
    - tests: Kill containers (don't wait for shutdown)
    - Fix opening wrong file in suggest_default_idmap
    - do not set the root password in the debian template
    - do not set insecure passwords
    - don't set a default password for altlinux, gentoo, openmandriva and pld
    - tools: exit with return code of lxc_execute()
    - Keep veth.pair.name on network shutdown
    - Makefile: fix static clang init.lxc build
    - Avoid waiting for bridge interface if disabled in sysconfig/lxc
    - Increased buffer length in print_stats()
    - avoid assigning to a variable which is not POSIX shell proof (bug #1498)
    - remove obsolete note about api stability
    - conf: less error prone pointer access
    - conf: lxc_map_ids() non-functional changes
    - caps: add lxc_{proc,file}_cap_is_set()
    - conf: check for {filecaps,setuid} on new{g,u}idmap
    - conf: improve log when mounting rootfs
    - ls: simplify the judgment condition when list active containers
    - fix typo introduced in #1509
    - attach|unshare: fix the wrong comment
    - caps: skip file capability checks on android
    - autotools: check for cap_get_file
    - caps: return false if caps are not supported
    - conf: non-functional changes to setup_pts()
    - conf: use bind-mount for /dev/ptmx
    - conf: non-functional changes
    - utils: use loop device helpers from LXD
    - create ISSUE_TEMPLATE.md
    - cgroups: improve cgfsng debugging
    - issue template: fix typo
    - conf: close fd in lxc_setup_devpts()
    - conf: non-functional changes
    - utils: tweak lxc_mount_proc_if_needed()
    - Change sshd template to work with Ubuntu 17.04
    - conf: order mount options
    - conf: add MS_LAZYTIME to mount options
    - monitor: report errno on exec() error
    - af unix: allow for maximum socket name
    - commands: avoid NULL pointer dereference
    - commands: non-functional changes
    - lxccontainer: avoid NULL pointer dereference
    - monitor: simplify abstract socket logic
    - precise is not the latest LTS, let's use xenial instead
    - fix the wrong exit status
    - conf: non-functional changes lxc_fill_autodev()
    - conf: remove /dev/console from lxc_fill_autodev()
    - conf: non-functional changes lxc_setup()
    - conf: non-functional changes to console functions
    - conf: improve lxc_setup_dev_console()
    - conf: lxc_setup_ttydir_console()
    - config: remove /dev/console bind mount
    - doc: document console behavior
    - utils: add lxc_unstack_mountpoint()
    - conf: unstack all mounts atop /dev/console
    - console: fail when we cannot allocate peer tty
    - start: remove umount2()
    - conf: non-functional changes
    - utils: handle > 2^31 in lxc_unstack_mountpoint()
    - Install systemd units for CentOS
    - Merge ubuntu and debiancase
    - start: add crucial details about lxc_spawn()

  * Fix broken proxy detection in debian/tests/exercise
  * Only move lxc bash completion from /etc if we installed it there

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 12 May 2017 12:30:47 -0400

lxc (2.0.7-0ubuntu4) artful; urgency=medium

  * Update test-suite to skip 'hybrid' (v1 & v2 mounted simultaniously)
    cgroups for now. LP: #1690125

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 May 2017 12:01:33 +0100

lxc (2.0.7-0ubuntu2) zesty-security; urgency=medium

  * SECURITY UPDATE: lxc-user-nic doesn't check netns ownership (LP: #1654676)
    - Ensure target netns is caller-owned
    - CVE-2017-5985

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Mar 2017 14:33:46 -0500

lxc (2.0.7-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (2.0.7):
    - attach: Close lsm label file descriptor
    - attach: Non-functional changes
    - attach: Simplify lsm_openat()
    - caps: Add lxc_cap_is_set()
    - conf: attach: Save errno across call to close
    - conf: Clearly report to either use drop or keep
    - conf: criu: Add make_anonymous_mount_file()
    - conf: Fix suggest_default_idmap()
    - configure: Add --enable-gnutls option
    - configure: Check for memfd_create()
    - configure: Check whether gettid() is declared
    - configure: Do not allow variable length arrays
    - configure: Remove -Werror=vla
    - configure: Use AC_HEADER_MAJOR to detect major()/minor()/makedev()
    - conf: Non-functional changes
    - conf: Remove thread-unsafe strsignal + improve log
    - init: Add cgroupfs-mount to Should-Start/Stop sysvinit LSB headers
    - log: Add lxc_unix_epoch_to_utc()
    - log: Annotate lxc_unix_epoch_to_utc()
    - log: Drop all timezone conversion functions
    - log: Make sure that date is correctly formatted
    - log: Use lxc_unix_epoch_to_utc()
    - log: Use N/A if getpid() != gettid() when threaded
    - log: Use thread-safe localtime_r()
    - lvm: Suppress warnings about leaked files
    - lxccontainer: Log failure to send sig to init pid
    - monitor: Add more logging
    - monitor: Close mainloop on exit if we opened it
    - monitor: Improve log + set log level to DEBUG
    - monitor: Log which pipe fd is currently used
    - monitor: Make lxc-monitord async signal safe
    - monitor: Non-functional changes
    - python3-lxc: Fix api_test.py on s390x
    - start: Check for CAP_SETGID before setgroups()
    - start: Fix execute and improve setgroups() calls
    - state: Use async signal safe fun in lxc_wait()
    - templates: lxc-debian: Don't try to read /usr/lib/systemd on the host
    - templates: lxc-debian: Fix getty service startup
    - templates: lxc-debian: Fix typo with dpkg --print-foreign-architectures
    - templates: lxc-debian: Handle ppc hostarch -> powerpc
    - templates: lxc-opensuse: Change openSUSE default release to Leap 42.2
    - templates: lxc-opensuse: Remove libgcc_s1
    - templates: lxc-opensuse: Remove poweroff.target -> sigpwr.target copy
    - templates: lxc-opensuse: Set to be unconfined by AppArmor
    - templates: lxc-opensuse: Update for Leap 42.2
    - tests; Don't cause test failures on cleanup errors
    - tests: Skip unpriv tests on broken overlay module
    - tools: Improve logging
    - tools: lxc-start: Remove c->is_defined(c) check
    - tools: lxc-start: Set configfile after load_config
    - tools: Only check for O_RDONLY
    - tree-wide: Random macro cleanups
    - tree-wide: Remove any variable length arrays
    - tree-wide: Sic semper assertis!
    - utils: Add macro __LXC_NUMSTRLEN
    - utils: Add uid, gid, group convenience wrappers

  * Cherry-pick upstream bugfix:
    - 0002-Make-lxc-start-ephemeral-Python-3.2-compatible.patch

  * Resolve lintian warnings
    - Drop un-needed overrides
    - Fix typos in debian/control

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 27 Jan 2017 17:21:52 -0500

lxc (2.0.6-0ubuntu5) zesty; urgency=medium

  * Cherry-pick upstream bugfix:
    - 0003-tools-only-check-for-O_RDONLY.patch (LP: #1653725)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Jan 2017 14:11:45 -0500

lxc (2.0.6-0ubuntu4) zesty; urgency=medium

  * Cherry-pick upstream bugfix:
    - tests: Don't cause test failures on-cleanup errors

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 01 Dec 2016 18:37:52 -0500

lxc (2.0.6-0ubuntu3) zesty; urgency=medium

  * Properly escape the dirmngr command so it doesn't end up being an
    empty string...

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 01 Dec 2016 16:08:30 -0500

lxc (2.0.6-0ubuntu2) zesty; urgency=medium

  * Workaround autopkgtest failure when using gpg2 with dirmngr.
  * Restrict tests to run on standalone systems.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 01 Dec 2016 12:27:51 -0500

lxc (2.0.6-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (2.0.6):
    - Security fix for CVE-2016-8649
    - utils: make detect_ramfs_rootfs() return bool
    - tests: add test for detect_ramfs_rootfs()
    - add Documentation entries to lxc and lxc@ units
    - mark the python examples as having utf-8 encoding
    - log: sanity check the returned value from snprintf()
    - lxc-alpine: mount /dev/shm as tmpfs
    - archlinux: Do DHCP on eth0
    - archlinux: Fix resolving
    - Drop leftover references to lxc_strerror()
    - tests: fix image download for s390x
    - tools: fix coding style in lxc_attach
    - tools: make overlay valid backend
    - tools: better error reporting for lxc-start
    - alpine: Fix installing extra packages
    - lxc-alpine: do not drop setfcap
    - s390x: Fix seccomp handling of personalities
    - tools: correct the argument typo in lxc_copy
    - Use libtool for liblxc.so
    - c/r: use --external instead of --veth-pair
    - c/r: remember to increment netnr
    - c/r: add checkpoint/restore support for macvlan interfaces
    - ubuntu: Fix package upgrades requiring proc
    - c/r: drop duplicate hunk from macvlan case
    - c/r: use snprintf to compute device name
    - Tweak libtool handling to work with Android
    - tests: add lxc_error() and lxc_debug()
    - container start: clone newcgroup immediately
    - use python3_sitearch for including the python code
    - fix rpm build, include all built files, but only once
    - cgfs: fix invalid free()
    - find OpenSUSE's build also as obs-build
    - improve help text for --fancy and --fancy-format
    - improve wording of the help page for lxc-ls
    - cgfs: add print_cgfs_init_debuginfo()
    - cgfs: skip empty entries under /proc/self/cgroup
    - cgfs: explicitly check for NULL
    - tools: use correct exit code for lxc-stop
    - c/r: explicitly emit bind mounts as criu arguments
    - log: bump LXC_LOG_BUFFER_SIZE to 4096
    - conf: merge network namespace move & rename on shutdown
    - c/r: save criu's stdout during dump too
    - c/r: remove extra \ns from logs
    - c/r: fix off-by-one error
    - c/r: check state before doing a checkpoint/restore
    - start: CLONE_NEWCGROUP after we have setup cgroups
    - create symlink for /var/run
    - utils: add lxc_append_string()
    - cgroups: remove isolated cpus from cpuset.cpus
    - Update Ubuntu release name: add zesty and remove wily
    - templates: add squashfs support to lxc-ubuntu-cloud.in
    - cgroups: skip v2 hierarchy entry
    - also stop lxc-net in runlevels 0 and 6
    - add lxc.egg-info to gitignore
    - install bash completion where pkg-config tells us to
    - conf: do not use %m format specifier
    - debian: Don't depend on libui-dialog-perl
    - cgroups: use %zu format specifier to print size_t
    - lxc-checkpoint: automatically detect if --external or --veth-pair
    - cgroups: prevent segfault in cgfsng
    - utils: add lxc_preserve_ns()
    - start: add netnsfd to lxc_handler
    - conf: use lxc_preserve_ns()
    - attach: use lxc_preserve_ns()
    - lxc_user_nic: use lxc_preserve_ns()
    - conf, start: improve log output
    - conf: explicitly remove veth device from host
    - conf, start: be smarter when deleting networks
    - start, utils: improve preserve_ns()
    - start, error: improve log + non-functional changes
    - start, namespace: move ns_info to namespace.{c,h}
    - attach, utils: bugfixes
    - attach: use ns_info[LXC_NS_MAX] struct
    - namespace: always attach to user namespace first
    - cgroup: improve isolcpus handling
    - cgroups: handle non-existent isolcpus file
    - utils: add lxc_safe_uint()
    - tests: add unit tests for lxc_safe_uint()
    - utils: add lxc_safe_int()
    - tests: add unit tests for lxc_safe_int()
    - conf/ile: get ip prefix via lxc_safe_uint()
    - confile: use lxc_safe_u/int in config_init_{u,g}id
    - conf/ile: use lxc_safe_uint() in config_pts()
    - conf/ile: use lxc_safe_u/int() in config_start()
    - conf/ile: use lxc_safe_uint() in config_monitor()
    - conf/ile: use lxc_safe_uint() in config_tty()
    - conf/ile: use lxc_safe_uint() in config_kmsg()
    - conf/ile: avoid atoi in config_lsm_aa_incomplete()
    - conf/ile: use lxc_safe_uint() in config_autodev()
    - conf/ile: avoid atoi() in config_ephemeral()
    - utils: use lxc_safe_int()
    - lxc_monitord: use lxc_safe_int() && use exit()
    - start: use lxc_safe_int()
    - conf: use lxc_safe_{u}int()
    - tools/lxc_execute: use lxc_safe_uint()
    - tools/lxc_stop: use lxc_safe_uint()
    - utils: add lxc_safe_long()
    - tests: add unit tests for lxc_safe_long()
    - tools/lxc_stop: use lxc_safe_long()
    - tools/lxc_top: use lxc_safe_int()
    - tools/lxc_ls: use lxc_safe_uint()
    - tools/lxc_autostart: use lxc_safe_{int,long}()
    - tools/lxc_console: use lxc_safe_uint()
    - tools: replace non-standard namespace identifiers
    - Configure a static MAC address on the LXC bridge
    - tests: remove overflow tests
    - attach: do not send procfd to attached process
  * Remaining patches:
    - 0001-Allocate-new-lxcbr0-subnet-at-startup-time.patch
  * Re-enable lxc-test-ubuntu on yakkety/zesty (template was fixed).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 23 Nov 2016 23:56:02 -0500

lxc (2.0.5-0ubuntu4) zesty-security; urgency=medium

  * SECURITY UPDATE: Escape through ptrace and inherited fd (LP: #1639345)
    - attach: Do not send procfd to attached process
    - CVE-2016-8649

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 22 Nov 2016 00:49:00 -0500

lxc (2.0.5-0ubuntu3) zesty; urgency=medium

  * Also skip lxc-test-ubuntu on zesty
    (LXC still doesn't support squashfs cloud images)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 21 Oct 2016 22:40:14 -0400

lxc (2.0.5-0ubuntu2) zesty; urgency=medium

  * Cherry-pick bugfix from upstream:
    - s390x: Fix seccomp handling of personalities (LP: #1635639)
    - Setup libtool (LP: #1620313)
  * Build-depend on dpkg-dev (>= 1.16.1~) | hardening-wrapper. LP: #1620313.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 21 Oct 2016 13:44:19 -0400

lxc (2.0.5-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release (2.0.5):
    - Fix .gitignore after /tools/ split
    - Add lxc-test-utils to .gitignore
    - bdev: use correct overlay module name
    - cleanup: tools: remove --name from lxc-top usage message
    - cleanup: whitespaces in option alignment for lxc-execute
    - Use full GPG fingerprint instead of long IDs.
    - tools: move --rcfile to the common options list
    - tools: set configfile after load_config
    - doc: add --rcfile to common opts
    - doc: Update Korean lxc-attach(1)
    - doc: Add --rcfile to Korean common opts
    - doc: Add --rcfile to Japanese common opts
    - tools: use exit(EXIT_*) everywhere
    - tools: unify exit() calls outside of main()
    - utils: Add mips signalfd syscall numbers
    - seccomp: Implement MIPS seccomp handling
    - seccomp: Add mips and mips64 entries to lxc_config_parse_arch
    - seccomp: fix strerror()
    - confile: add more archs to lxc_config_parse_arch()
    - seccomp: add support for s390x
    - seccomp: remove double include and order includes
    - seccomp: non functional changes
    - templates: use fd 9 instead of 200
    - templates: fedora requires openssl binary
    - tools: use boolean for ret in lxc_device.c
    - c/r: use /proc/self/tid/children instead of pidfile
    - c/r: Fix pid_t on some arches
    - templates: Add mips hostarch detection to debian
    - cleanup: replace tabs wth spaces in usage strings
    - remove extra 'ret'
    - c/r: write status only after trying to parse the pid
    - set FULL_PATH_NAMES=NO in doc/api/Doxyfile
    - templates: rm halt.target -> sigpwr.target symlink
    - templates: remove creation of bogus directory
    - console: use correct log name
    - configure: add --disable-werror
    - tests: fix get_item tests
    - templates: use correct cron version in alpine template
    - c/r: zero a smaller than known migrate_opts struct
    - lxczfs: small fixes
    - c/r: free valid_opts if necessary
    - make rsync deal with sparse files efficiently
    - lxc-create -t debian fails on ppc64el arch
    - c/r: fix typo in comment
    - cgroup: add new functions for interacting with hierachies
    - utils: add lxc_deslashify
    - c/r: pass --cgroup-roots on checkpoint
    - cgroup: get rid of weird hack in cgfsng_escape
    - cgroup: drop cgroup_canonical_path
    - c/r: check that cgroup_num_hierarchies > 0
    - tools: do not add trailing spaces on lxc-ls -1
    - conf: retrieve mtu from netdev->link
    - conf: try to retrieve mtu from veth
    - c/r: detatch from controlling tty on restore
    - Fix null derefence if attach is called without access to any tty
    - utils: fix lxc_string_split()
    - tools: lxc_deslashify() handle special cases
    - tests: add unit tests for lxc_deslashify()
    - Fix for ALTLinux container creation in all branches
    - utils: lxc_deslashify() free memory
    - Fix spelling of CentOS in the templates
    - Define LXC_DEVEL to detect development releases
    - tools: lxc-checkconfig conditionalize devpts check
  * Drop all cherry-pick patches, now upstream.
  * Update to newer standards. Drop un-needed debian/control field.
  * Address all lintian messages.
  * Revert the previous upload as it caused FTBFS.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 05 Oct 2016 13:56:58 +0200

lxc (2.0.4-0ubuntu5) yakkety; urgency=medium

  * Build-depend on dpkg-dev (>= 1.16.1~) | hardening-wrapper. LP: #1620313.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2016 21:59:35 +0200

lxc (2.0.4-0ubuntu4) yakkety; urgency=medium

  * tests: Depend on dirmngr (LP: #1623424)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Sep 2016 12:30:44 -0400

lxc (2.0.4-0ubuntu3) yakkety; urgency=medium

  * Cherry-pick from upstream (fixes checkpoint/restore):
    - 0003-c-r-use-proc-self-tid-children-instead-of-pidfile.patch
    - 0004-c-r-Fix-pid_t-on-some-arches.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 26 Aug 2016 16:27:18 -0400

lxc (2.0.4-0ubuntu2) yakkety; urgency=medium

  * Cherry-pick from upstream (for 4.6 kernel):
    - 0002-bdev-use-correct-overlay-module-name

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 16 Aug 2016 19:28:50 -0400

lxc (2.0.4-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release (2.0.4):
    - core: Add a prefix to the lxc.pc
    - core: Add flag in mount_entry to skip NODEV in case of a
      persistent dev entry
    - core: Add missing cgroup namespace to ns_info struct
    - core: attach: setns instead of unshare in lxc-attach
    - core: bdev: Add subdirectories to search path
    - core: bdev: Be smarter about btrfs subvolume detection
    - core: cgfsng: Don't pre-calculate path
    - core: cgfsng: Fix is_lxcfs() and is_cgroupfs()
    - core: cgroups: Move cgroup files to common subfolder
    - core: conf: Set pty_info to NULL after free
    - core: Detect if we should send SIGRTMIN+3
    - core: Replace readdir_r() with readdir()
    - core: Set up MTU for vlan-type interfaces.
    - core: tools, tests: Reorganize repo
    - c/r: Add support for CRIU's --action-script
    - c/r: Add support for ghost-limit in CRIU
    - c/r: Drop in-flight connections during CRIU dump
    - c/r: Initialize migrate_opts properly
    - c/r: Make local function static
    - c/r: Replace tmpnam() with mkstemp()
    - c/r: Store criu version
    - c/r: Use PRIu64 format specifier
    - doc: Fix typo found by lintian
    - doc: Update Japanese lxc-attach(1)
    - doc: Update lxc-attach(1)
    - lxc-attach: Add -f option (rcfile)
    - lxc-attach: Cleanup whitespaces
    - lxc-create: Add missing newline in output
    - lxc-ls: Use correct runtime path
    - templates: alpine: Add support for new arch
    - templates: alpine: Mount tmpfs under /run
    - templates: debian: Add more quotes to variables (at least $rootfs
      should now be covered)
    - templates: debian: Avoid noisy perl warnings caused by missing locales
    - templates: debian: fix regression when creating wheezy containers
    - templates: debian: Make shellcheck (Ubuntu: 0.3.7-5 amd64) most
      possible happy
    - tests: Add unit tests for lxc_string_in_array()
    - tests: Add unit tests for lxc_string_replace()

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 15 Aug 2016 23:59:44 -0400

lxc (2.0.3-0ubuntu3) yakkety; urgency=medium

  * lxccontainer: Detect if we should send SIGRTMIN+3. Fixes shutdown with
    current systemd that dropped the SIGPWR downstream unit. Patch
    cherry-picked from upstream master.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Aug 2016 08:08:44 +0200

lxc (2.0.3-0ubuntu2) yakkety; urgency=medium

  * Build-depend on libgnutls28-dev, not libgnutls-dev which was never
    renamed in Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Jul 2016 22:56:04 -0700

lxc (2.0.3-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release (2.0.3):
    - apparmor: Refresh generated file

  * New upstream bugfix release (2.0.2):
    - apparmor: add make-rslave to usr.bin.lxc-start
    - apparmor: Allow bind-mounts
    - apparmor: Allow mount move
    - apparmor: Update mount states handling
    - core: Drop lxc-devsetup as unneeded by current autodev
    - core: Fix redefinition of struct in6_addr
    - core: Include all lxcmntent.h function declarations on Bionic
    - c/r: c/r: use criu's "full" mode for cgroups
    - systemd: start containers in foreground when using the lxc@.service
    - templates: debian: Make sure init is installed
    - templates: oracle: Fix console login
    - templates: plamo: Fix various issues
    - templates: ubuntu: Install apt-transport-https by default
    - travis: ensure 'make install' doesn't fail
    - travis: test VPATH builds
    - upstart: Force lxc-instance to behave like a good Upstart client

  * Tighten versioned dependencies between the various binary packages.
  * Drop lxc-devsetup as it was removed upstream (unneeded with LXC 2.0).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 29 Jun 2016 16:39:06 -0400

lxc (2.0.1-0ubuntu2) yakkety; urgency=medium

  * On yakkety, skip the lxc-test-ubuntu test as it requires root.tar.xz
    images to be available over simplestreams which don't exist anymore.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 23 Jun 2016 15:41:40 -0400

lxc (2.0.1-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release (2.0.1)
    - apparmor: Also allow fstype=fuse for fuse filesystems
    - attach: adapt lxc-attach tests & add test for pty logging
    - attach: don't fail attach on failure to setup a SIGWINCH handler.
    - attach: fix a variety of lxc-attach pts handling issues
    - attach: switch console pty to raw mode (fixes ncurses-based programs)
    - attach: use raw settings of ssh for pty
    - bindings: fixed python-lxc reference to var before assignment in create()
    - bindings: set PyErr when Container.init fails
    - cgfsng: defer to cgfs if needed subsystems are not available
    - cgfsng: don't require that systemd subsystem be mounted
    - core: Added missing type to keys in lxc_list_nicconfigs
    - core: Allow configuration file values to be quoted
    - core: log: remove duplicate definitons and bump buffer size
    - core: sync: properly fail on unexpected message sizes
    - core: Unshare netns after setting the userns mappings
      (fixes ownership of /proc/net)
    - core: various fixes as reported by static analysis
    - c/r: add an option to use faster inotify support in CRIU
    - c/r: rearrange things to pass struct migrate_opts all the way down
    - doc: ignore temporary files generated by doxygen
    - doc: tweak manpage generation date to be compatible with
      reproducible builds
    - doc: update MAINTAINERS
    - doc: update to translated manpages
    - init: add missing lsb headers to sysvinit scripts
    - init: don't make sysv init scripts dependant on distribution specifics
    - init: drop obsolete syslog.target from lxc.service.in
    - lxc-attach: add logging option to manpage
    - lxc-checkconfig: better render when stdout isn't a terminal
    - lxc-create: fix -B best option
    - lxc-destroy: avoid double print
    - lxc-ls: use fewer syscalls when doing ipc
    - templates: Add apt-transport-https to minbase variant of Ubuntu template
    - templates: fix a typo in the capabilities name for Gentoo (sys_resource)
    - templates: logic fix in the Centos template for RHEL7+ support
    - templates: tweak Alpine DHCP configuration to send its hostname
    - templates: tweak to network configuration of the Oracle template

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 May 2016 17:39:23 -0400

lxc (2.0.0-0ubuntu2) xenial; urgency=medium

  * Add a distro-info test dependency as it's needed to get information
    about new Ubuntu releases. (LP: #1572188)

    This is needed to fix the current autopkgtest failures.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 19 Apr 2016 16:06:32 +0100

lxc (2.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0 final)
    - Upstream announcement: https://linuxcontainers.org/lxc/news
    - Change from last rc:
      + Allow bypassing bdev auto detection by setting lxc.rootfs.backend
        This fixes a longstanding performance issue caused by LXC having
        to run through all its backends and forking sub-processes to
        perform the detection.
  * Make new lintian happy:
    - Bump to 3.9.7 standards
    - Update git URL to https
    - Override systemd Documentation field warning (upstream units)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 06 Apr 2016 14:42:39 -0400

lxc (2.0.0~rc15-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0~rc15)
    - lxc-debian: Update supported release names
    - lxc-ubuntu: Fix building on secondary architectures
    - Update .gitignore for *.so.*
    - Use smarter error handling for lxc_strmmap()
    - Use common lxc ordering for included headers
    - Fix possible buffer overflow strncat only returns its first
      argument and not the end of the written string. Thus "buf-pos" is always
      0 and consquently no range check is performed.
    - Use snprintf instead of strncat
    - CRIU: Support using the CRIU page server for faster migrations.
      This optimization isn't used by default, it requires a custom liblxc1
      client.
    - Fix buffer overflow in do_start()
    - Fixed indentation and comments
  * Drop previously cherry-picked change, now upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 31 Mar 2016 18:14:44 -0400

lxc (2.0.0~rc14-0ubuntu2) xenial; urgency=medium

  * Cherry-pick tentative upstream fix:
    - lxc-ubuntu: Fix building on secondary architectures

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 30 Mar 2016 01:29:09 -0400

lxc (2.0.0~rc14-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0~rc14)
    - open_without_symlink: Don't SYSERROR on something else than ELOOP
    - lxc-busybox: Touch /etc/fstab in the container rootfs
    - lxc.spec.in: fixed hardcoded path to lxc-net config file
    - sync: add LXC_SYNC_ERROR to report errors from another process.
    - start: use LXC_SYNC_ERROR to report errors.
    - lxc-busybox: Remove warning for dynamically linked Busybox
    - utils: split null_stdfds() to open_devnull() and set_stdfds()
    - start: open /dev/null from "host" /dev
    - Fix installation of out-of-tree (VPATH) builds
    - Timezone inside the container is not the same as the host
    - use httpredir.debian.org as the default Debian mirror
    - always provide a default mirror for debootstraping Ubuntu
    - only enable Debian's main repository by default
    - start: only use host's /dev/null when absolutely necessary
    - add funs to mmap() files to \0-terminated strings
    - use lxc_mmap() and lxc_munmap()
    - better naming for mmap helpers

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 29 Mar 2016 21:35:55 -0400

lxc (2.0.0~rc13-0ubuntu2) xenial; urgency=medium

  * Fix the bash completion profiles.
    Now that it's in /usr/share, we need it to match the command name,
    so rename the main profile to lxc1 and add a symlink for each supported
    command.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 23 Mar 2016 13:17:02 -0400

lxc (2.0.0~rc13-0ubuntu1) xenial; urgency=medium

  * New usptream release (2.0.0~rc13)
    - c/r: don't pass --ext-mount-map flag when console=none
    - c/r: don't fail if there is no console_fd on restore
    - lxc-checkpoint: make things static when they can be
    - c/r: rename restore & friends to __criu_restore

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 22 Mar 2016 17:24:32 -0400

lxc (2.0.0~rc12-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0~rc12)
    - c/r: print criu's stdout when it fails
    - c/r: log the exact command we exec

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 21 Mar 2016 16:48:24 -0400

lxc (2.0.0~rc11-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0~rc11)
    - download: Bump to compat level 3
    - autodev: don't always create /dev/console
    - cgfsng: two fixes for cgroup-full
    - use hierarchy base path not just controller cgroup
    - cgroups: try to load cgmanager first
    - implement lxc.mount.auto = cgroup for cgfsng
    - Prevent access to pci devices
    - nesting: remove the nesting hint from configuration templates
    - nesting: document how to enable nesting in container configurations
    - c/r: drop lxc.console=none config requirement
    - criu: hide more stuff in criu.c

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 17 Mar 2016 23:26:54 -0400

lxc (2.0.0~rc10-0ubuntu2) xenial; urgency=medium

  * Re-order the systemd | cgroup-lite dependency to be
    cgroup-lite | systemd instead.

    Systems using systemd will already have it installed, satisfying the
    condition and systems that don't have it installed want cgroup-lite
    pulled in instead of systemd.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 11 Mar 2016 12:07:21 -0500

lxc (2.0.0~rc10-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0~rc10)
    - Improve the lxc-attach tests
    - Make the exec_criu function static
    - cgfsng: Fix cgroup_escape for CRIU
    - cgfsng: Return the cgroup path, not the full mounted path
    - cgfsng: Fix mode of tasks and procs
    - cgfsng: Fix cgroup removal on stop

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 11 Mar 2016 01:19:24 -0500

lxc (2.0.0~rc9-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0~rc9)
    - cgfsng: Fix bad readline length.
    - cgfsng: Workaround issue with small size reallocs on i386.
    - cgfsng: Make sure a cgroup does not already exist.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 09 Mar 2016 03:06:27 -0500

lxc (2.0.0~rc8-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0~rc8)
    - Prevent writes to /sys/kernel/debug
    - Fix debug output from cgfsng
    - Set clone_children to 1 in cgfsng (fixes adt)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 08 Mar 2016 17:47:24 -0500

lxc (2.0.0~rc7-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0~rc7)
    - Fix upstream tarball to include lxc-devsetup

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 07 Mar 2016 18:52:29 -0500

lxc (2.0.0~rc6-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0~rc6)
    - Update documentation and manpages
    - Tweak to init scripts
    - Fix lxc-attach pts handling for stderr
    - Add a test for lxc-attach pts handling
    - Implement a new, more reliable cgfs backend
    - Fix to the ALTLinux template
    - Fix to the AppArmor profile for systemd

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 07 Mar 2016 18:23:02 -0500

lxc (2.0.0~rc5-0ubuntu1) xenial; urgency=medium

  * New usptream release (2.0.0~rc5)
    - Fix a number of cgfs issues (LP: #1549363, LP: #1543697, LP: #1552355)
    - Fix attach failing to allocate a tty (LP: #1551960)
    - Fix LXC rebooting the container despite post-stop failure
    - Fix lxc-copy output (LP: #1551935)
    - Documentation, manpagen and manpage translations update
    - Update to the plamo template

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Mar 2016 11:05:25 -0500

lxc (2.0.0~rc4-0ubuntu1) xenial; urgency=medium

  * New usptream release (2.0.0~rc4)
    - Various cgfs fixes
    - Updated documentation

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 26 Feb 2016 22:38:43 -0500

lxc (2.0.0~rc3-0ubuntu3) xenial; urgency=medium

  * Tweak the apparmor part of the lxc postinst:
    - Allow loading on systems without mount mediation (precise backport)
    - Always wipe the apparmor cache before reloading the profiles.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 26 Feb 2016 01:45:48 -0500

lxc (2.0.0~rc3-0ubuntu2) xenial; urgency=medium

  * Cherry-pick bugfix from upstream:
    - cgfs: make sure we use valid cgroup mountpoints

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 25 Feb 2016 14:40:08 -0500

lxc (2.0.0~rc3-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.0.0~rc3)
    - Make the cgfs backend and cgns work without cgmanager
    - Manpage updates
    - Mark lxc-clone and lxc-start-ephemeral deprecated (still included)
  * Set --enable-deprecated so we still ship lxc-clone and lxc-start-ephemeral

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Feb 2016 21:16:50 -0500

lxc (2.0.0~rc2-0ubuntu3) xenial; urgency=medium

  * Use versioned dependencies against the various binary packages.
  * Update lxc-templates to depend on lxc1 not lxc. (LP: #1549136)
  * Move the lxcfs recommends from lxc-templates to liblxc1.
  * Drop cgmanager, use the cgfs backend instead.
  * Have liblxc1 depend on systemd | cgroup-lite for cgfs backend.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 24 Feb 2016 11:34:25 -0500

lxc (2.0.0~rc2-0ubuntu2) xenial; urgency=medium

  * Fix apparmor profile loading order.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 22 Feb 2016 17:24:44 -0500

lxc (2.0.0~rc2-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot (2.0.0~rc2)
    - Support upstream Linux cgns. (LP: #1548440)
  * Move bash completion profile to /usr/share/bash-completion
  * Update a bunch of lintian overrides
  * Update packaging for the LTS
    - Drop lxc-dbg in favor of the dbgsym packages
    - Introduce a new lxc1 package for the old command line tools
    - Turn the lxc package into a transitional package to lxc1
    - Introduce a new lxc-common package for all the bits needed by liblxc1
    - Move apparmor, selinux and binary helpers from lxc to lxc-common
    - Make lxc-dev depend on liblxc1 rather than lxc
    - Move the hooks and template configs from lxc to lxc-templates

  All this moving around of files and new packages will not affect the
  functionality of any existing system, nor the behavior of "apt-get
  install lxc". It will however make it possible for LXD to provide a new
  "lxc2" package which will install a LXD-only experience.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 19 Feb 2016 23:16:23 -0500

lxc (2.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot (2.0.0~rc1)
    - Drop all patches except for the fix for LP: #1509414
  * Add logic to fix bash completion on 12.04 backports.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 18 Feb 2016 12:32:36 -0500

lxc (2.0.0~beta2-0ubuntu2) xenial; urgency=medium

  * Cherry-pick upstream bugfix for lxc-ls behavior.
    This should fix the current juju test regression.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 02 Feb 2016 14:53:40 +0100

lxc (2.0.0~beta2-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot (2.0.0~beta2)
    - Drop all patches except for the fix for LP: #1509414

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 01 Feb 2016 17:25:03 +0100

lxc (1.1.5-0ubuntu6) xenial; urgency=medium

  * Switch recommends from libpam-cgm to libpam-cgfs.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 29 Jan 2016 11:32:16 +0100

lxc (1.1.5-0ubuntu5) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:28 +0000

lxc (1.1.5-0ubuntu4) xenial; urgency=medium

  * Add libpam-cgm to Recommends
  * Cherrypick upstream patches to support starting containers when not all
    cgroups are writeable.
  * Cherrypick upstream patch to avoid null dereference in failure case.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 12 Jan 2016 18:01:07 -0800

lxc (1.1.5-0ubuntu3) xenial; urgency=medium

  * Cherry-pick from upstream:
    - Fix preserve_ns to work on < 3.8 kernels. (LP: #1516971)
    - Fix process title rewrite to not mangle the environment. (LP: #1517107)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Nov 2015 13:30:41 -0500

lxc (1.1.5-0ubuntu2) xenial; urgency=medium

  * Cherry-pick from upstream:
    - Fix ubuntu-cloud template to detect compression algorithm instead
      of hardcoding xz. Also update list of supported releases and use trusty
      as the fallback release. (LP: #1515463)
  * Update lxc-tests description to make it clear that this package is
    meant to be used by developers and by automated testing.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 13 Nov 2015 12:05:36 -0500

lxc (1.1.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release (1.1.5)
    (LP: #1514558, LP: #1497420, LP: #1466458, LP: #1510619)
  * Drop proxy detection from the autopkgtest exercise script.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 09 Nov 2015 14:22:16 -0500

lxc (1.1.4-0ubuntu3) xenial; urgency=medium

  * Revert previous upload as we now have a NetworkManager fix!

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 03 Nov 2015 15:47:55 -0500

lxc (1.1.4-0ubuntu2) xenial; urgency=medium

  * Add a workaround for the broken NetworkManager which breaks lxcbr0
    from under us. (LP: #1512749)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 03 Nov 2015 12:05:10 -0500

lxc (1.1.4-0ubuntu1.1) wily-proposed; urgency=medium

  * lxc-net init script: update to select the default lxc bridge network
    at first service start time rather than install time.  (LP: #1509414)
  * lxc-net init script: also move cleanup() definition as it was undefined
    when called after failed dnsmasq.
  * lxc.preinst:
    - remove code for writing /etc/default/lxc-net (moved to lxc-net service)
    - add code removing just the known-potentially-bad /etc/default/lxc-net
    - if user had deleted /etc/default/lxc-net (intending to disable lxcbr0),
       honor that by creating one which says not to use lxcbr0.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 23 Oct 2015 19:29:23 -0500

lxc (1.1.4-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release (1.1.4)
    - This fixes CVE-2015-1335 (LP: #1476662)
    - Detailed changelog at: https://linuxcontainers.org/lxc/news

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 06 Oct 2015 15:45:15 +0100

lxc (1.1.3-0ubuntu2) wily; urgency=medium

  * Build using libseccomp on all architectures.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 21:02:39 +0200

lxc (1.1.3-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release (1.1.3)
    - Drop all patches (all upstream now)
  * Drop lxc-restore-net from lxc.install as it's no longer needed by CRIU.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 14 Aug 2015 19:45:30 -0400

lxc (1.1.2-0ubuntu5) wily; urgency=medium

  * debian/rules: call dh_systemd_start --no-restart-on-upgrade (LP: #1476691)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 23 Jul 2015 09:35:12 -0500

lxc (1.1.2-0ubuntu4) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 19:00:00 +0000

lxc (1.1.2-0ubuntu3) vivid; urgency=medium

  * Cherry-pick a bunch of bugfixes:
    - 81216170c1c2555498573e9fe200e20d3b433b14 fix integer overflow in setproctitle
    - e310e136b9de89c9f8596c004afa217f308aea3d c/r: no double fclose() of mnts
    - 216113e77331881d3c45bd4e141a4f458c9a4565 fix NULL dereference
    - 53caaac80f6850287251cc5e3a02479fb4a27087 fix dead code
    - 8721f7f43185208e0c1802ff2bc03108fd3e3204 lxc-fedora: manage secondary architectures
    - 3149bd4c0e81973b3db2e1230bd1784dc222a4ed don't compare unsigned values as negative ones
    - 17f48b9679b2bb6d4e5d156fa59e6399f82277d9 Revert (by hand) "logs: introduce a thread-local 'current' lxc_config"

  Those combined will make LXD pass its testsutie (fixing threading bugs).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 14 Apr 2015 18:39:15 -0500

lxc (1.1.2-0ubuntu2) vivid; urgency=medium

  * Cherry-pick a fix from upstream to resolve invalid command message
    on container stop.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 13 Apr 2015 17:02:41 -0500

lxc (1.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release (1.1.2)
    - Drop all patches (all upstream now)
    - Fix checkpoint/restore of vivid containers
    - Fix unprivileged containers under systemd
    - Fix a few race conditions and hangs
    - Update manpages

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 10 Apr 2015 15:24:50 -0400

lxc (1.1.1-0ubuntu4) vivid; urgency=medium

  * Cherry-pick fix for lxc-test-apparmor:
    - fad5004627bebe251228450a8a086500d803b9e4

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 06 Apr 2015 12:32:31 -0400

lxc (1.1.1-0ubuntu3) vivid; urgency=medium

  * Add lxcfs as a test dependency of lxc.
  * Reload apparmor at configure time if the profile helper script isn't
    around and apparmor appears to be installed (ignore errors).

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 30 Mar 2015 12:49:37 -0400

lxc (1.1.1-0ubuntu2) vivid; urgency=medium

  * Cherry-pick fix for attach when stdin isn't a tty:
    - d3b6301135280d21d0c1c7d427e1c587b3177b69

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 17 Mar 2015 15:51:09 -0400

lxc (1.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release (1.1.1)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 Mar 2015 17:09:54 -0400

lxc (1.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 30 Jan 2015 14:17:14 +0100

lxc (1.1.0~rc4-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0~rc4)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 30 Jan 2015 00:04:05 +0100

lxc (1.1.0~rc3-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0~rc3)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Jan 2015 23:35:01 +0100

lxc (1.1.0~rc2-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0~rc2)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 25 Jan 2015 15:55:35 -0500

lxc (1.1.0~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0~rc1)
  * Add lxcfs to lxc-templates recommends. (MIR: #1413405)
  * Build the lua-lxc binding. (MIR: #1413402)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Jan 2015 17:34:45 -0500

lxc (1.1.0~alpha3-0ubuntu1) vivid; urgency=medium

  * New upstream release (1.1.0~alpha3)
    - Drop all patches, they are now all upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 03 Dec 2014 15:31:34 -0500

lxc (1.1.0~alpha2-0ubuntu7) vivid; urgency=medium

  * Cherrypick 0010-apparmor-check-for-mount-feature-at-a-better-time.patch
    from upstream to fix startup failure with certain setups (LP: #1386840)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 11 Nov 2014 14:54:44 -0600

lxc (1.1.0~alpha2-0ubuntu6) vivid; urgency=medium

  * 0009-attach-dont-ignore-sigint-sigkill-if-stdin-is-redirected: cherrypick
    an upstream patch needed to keep lxd from being exited with ctrl-c after
    a lxc shell.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 07 Nov 2014 15:58:58 +0100

lxc (1.1.0~alpha2-0ubuntu5) vivid; urgency=medium

  * cherrypick 0008-cgmanager-fix-attach-with-all-controller from upstream to
    fix regression in attaching to containers.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 03 Nov 2014 17:22:53 +0100

lxc (1.1.0~alpha2-0ubuntu4) vivid; urgency=medium

  * install lxc-restore-net to /usr/share so that it doesn't get overmounted by
    the rootfs in preparation for restore.  (LP: #1384751)

 -- Tycho Andersen <tycho.andersen@canonical.com>  Mon, 27 Oct 2014 19:36:21 -0500

lxc (1.1.0~alpha2-0ubuntu3) utopic; urgency=medium

  * fix usernic and apparmor-mounts tests to not clear out the host's
    /etc/lxc/lxc-usernet
  * fix unprivileged containers when user's cgroup paths are not all
    equivalent, and add a testcase for that.
  * fix broken behavior when configuration has 'lxc.mount.auto ='
    (LP: #1379030)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 09 Oct 2014 12:25:16 -0500

lxc (1.1.0~alpha2-0ubuntu2) utopic; urgency=medium

  * Cherry-pick usptream bugfix for lxc-usernic test.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Oct 2014 15:01:56 -0400

lxc (1.1.0~alpha2-0ubuntu1) utopic; urgency=medium

  * New upstream release (1.1.0~alpha2) (LP: #1376437)
    - Fixes systemd support of lxc-net. (LP: #1312532)
    - Introduces support for Openvswitch bridges
    - Fixes running unprivilged containers on recent kernels
    - Various other bugfixes (LP: #1349918, LP: #1353734, LP: #1354375,
                              LP: #1307215, LP: #1346815, LP: #1271000,
                              LP: #1372878)
  * WARNING: This release changes the default behavior of lxc-start to
    daemonized. If you do need it to stick to the foreground, please pass it
    -F or --foreground. The new -F option has also been pushed to the
    stable 1.0 branch so that scripts can be made to work regardless of
    default behavior.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 01 Oct 2014 17:55:02 -0400

lxc (1.1.0~alpha1-5) unstable; urgency=low

  * Updating default mirrors in preseed files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 29 Jul 2014 00:02:50 +0200

lxc (1.1.0~alpha1-4) unstable; urgency=low

  * Correcting syntax typo in lxc-stuff postinst.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 22 Jul 2014 16:16:29 +0200

lxc (1.1.0~alpha1-3) unstable; urgency=low

  * Switching parent distribution for cairon to jessie.
  * Adding support for LTS repos.
  * Using relative mountpoints for data directories.
  * Updating preseed files.
  * Replacing /etc/mtab with a symlink to /proc/self/mounts.
  * Refreshing manpages.
  * Overwrite container config file when creating new containers.
  * Adjusting lxc directory automatically in debconf handling.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 22 Jul 2014 11:39:29 +0200

lxc (1.1.0~alpha1-2) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding pre-start hook to remove /run files within container.

  [ Nik Lutz ]
  * Mount a tmpfs on containers /run and /dev/shm directories, newer
    systemd (jessie/wheezy-backports) require these directories to be
    mountpoints.

  [ Daniel Baumann ]
  * Ordering mountpoints in systemd-container hook.

  [ Nik Lutz ]
  * Moving execution of late-host-command from Configure_system() to
    Copy_configuration() to be able to adjust the config file via late-
    host-command.

  [ Daniel Baumann ]
  * Trimming lxc.pts in lxc-debconfig.
  * Allowing mac values to be set to none in lxc-debconfig in order to not
    set any mac address in config.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 18 Jul 2014 09:57:50 +0200

lxc (1.1.0~alpha1-1) unstable; urgency=low

  * Merging upstream version 1.1.0~alpha1.
  * Refreshing lsb-init-functions.patch.
  * Refreshing debian-config.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 08 Jul 2014 18:45:01 +0200

lxc (1.1.0~alpha1-0ubuntu5) utopic; urgency=medium

  * d/p/0003-apparmor-also-deny-silent-remount.patch: update to also patch
    container-base.in
  * d/p/0004-apparmor-signal-ptrace-unix-mediation.patch: refine signal and
    ptrace rules and add unix rules for container enforcement (LP: #1373555)
  * debian/rules:
    - don't delete the dbus, ptrace and signal lines, but instead comment them
      out. This is more consistent with the comment in the policy and lets
      people see what the policy would be
    - adjust for unix rules
    - adjust versioned depends

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 26 Sep 2014 10:59:21 -0500

lxc (1.1.0~alpha1-0ubuntu4) utopic; urgency=medium

  * d/p/0003-apparmor-also-deny-silent-remount.patch: newer lxc uses 'silent'
    when remounting on shutdown. Silence that denial too

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 04 Sep 2014 15:24:15 -0500

lxc (1.1.0~alpha1-0ubuntu3) utopic; urgency=medium

  * No-change rebuild to get dbgsyms for all binaries onto
    ddebs.ubuntu.com

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Jul 2014 12:20:43 -0700

lxc (1.1.0~alpha1-0ubuntu2) utopic; urgency=medium

  * d/p/0001-lxc-test-unpriv-usernic.in-make-sure-to-chgrp-as-wel.patch:
    Fix test failures in jenkins.
  * d/p/0002-Remove-mention-of-mountcgroups-in-ubuntu.common-conf.patch:
    Fix the comment in the ubuntu common config about how to support nesting.
    (LP: #1342960)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 17 Jul 2014 16:42:46 -0500

lxc (1.1.0~alpha1-0ubuntu1) utopic; urgency=medium

  * New upstream release (1.1.0~alpha1)
  * Enable ppc64el adt as we now have ppc64el images available for download.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 07 Jul 2014 15:44:27 -0400

lxc (1.0.4-4) unstable; urgency=low

  * Also dropping dac_read_search cap by default.
  * Running subscripts with nowarnings for debconf.
  * Overwriting resolv.conf when updating intermedate system from cache
    with host resolv.conf, solves issues where cache is outdated or
    network environment changed (laptops), thanks to Habegger Andreas
    <andreas.habegger@bfh.ch>.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 30 Jun 2014 20:10:58 +0200

lxc (1.0.4-3) unstable; urgency=low

  * Updating fixes for upstreams systemd file (Closes: #751553).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 14 Jun 2014 12:38:56 +0200

lxc (1.0.4-2) unstable; urgency=low

  [ Scott Kitterman ]
  * Using dh-python3 and python3:Depends to generate correct python
    depends (Closes: #748495).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 13 Jun 2014 21:19:10 +0200

lxc (1.0.4-1) unstable; urgency=low

  * Adding note regarding warnings about memory.use_hierarchy in README
    (Closes: #750029).
  * Merging upstream version 1.0.4.
  * Refreshing lxcinitdir.patch.
  * Refreshing lxc-sysvinit.patch.
  * Refreshing lsb-init-headers.patch.
  * Refreshing lsb-init-functions.patch.
  * Refreshing lsb-init-lock.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 13 Jun 2014 20:23:24 +0200

lxc (1.0.4-0ubuntu2) utopic; urgency=medium

  * Cherry-pick upstream commits to fix testsuite under adt:
    - tests: Avoid the download template when possible
    - tests: Don't fail when HOME isn't defined
    - tests: apparmor: Always end with a newline

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 14 Jun 2014 16:07:18 -0400

lxc (1.0.4-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release.
    - Drop all existing patches (all applied upstream).
  * Depend on either cgmanager or cgroup-lite and recommend cgmanager.
    This should ensure systems get cgmanager by default even if cgroup-lite
    is already installed, yet makes it possible for the user to remove
    cgmanager if they really want to.
  * Remove hardcoded dependency on apparmor, instead generate it from
    rules so that the source package can be backported without changes (the
    right apparmor version will be picked up based on the release number).

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 13 Jun 2014 15:09:04 -0400

lxc (1.0.3-3) unstable; urgency=low

  * Checking for kernel architecture on i386 to support creating amd64
    systems on i386-systems-with-amd64-kernels as well (Closes: #750387).
  * Adding initial Estonian debconf translations from Georg Kahest
    <georg@life.ee> (Closes: #750547).
  * Disabling dbus, signal, and ptrace in the apparmor profiles until
    Debian has a recent enough apparmor version (#746764), thanks to
    Intrigeri <intrigeri@debian.org> (Closes: #750107).
  * Simplifying default bind mounts in lxc-debconfig for shared storage
    data.
  * Updating lxcpath variable in lxc-stuff handling of /etc/lxc/lxc.conf
    (Closes: #750385).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 11 Jun 2014 16:27:27 +0200

lxc (1.0.3-2) unstable; urgency=low

  * Removing lxc-initscript, not needed anymore.
  * Updating autostart handling in various tools to use lxc.start.auto.
  * Building with graphviz (Closes: #749358).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 01 Jun 2014 20:13:48 +0200

lxc (1.0.3-1) unstable; urgency=low

  * Merging upstream version 1.0.3.
  * Refreshing lxc-sigint.patch.
  * Manually passing systemd unit directory to install command since
    upstream fails to do handle that properly.
  * Updating lxc.install for /usr/sbin/init.lxc.
  * Adding update-rc.d integration for sysvinit script.
  * Adding remote_fs depends in irkerhook-lxc initscript.
  * Adding dummy restart target in irkerhook-lxc initscript.
  * Adding dummy force-reload target in irkerhook-lxc initscript.
  * Correcting formating typo in copyright file.
  * Adding lxc-stuff lintian overrides.
  * Updating lxc lintian overrides.
  * Adding patch to add missing shebang in lxc-patch.py.
  * Updating preseed files for live-debconfig 4.0~alpha32-1.
  * Don't mount fuse into the container, will fail if fuse isn't
    installed.
  * Correcting default mode in lxc-debconfig when being run on a plain
    debian system.
  * Updating manpage version and date headers.
  * Dropping automatic enabling of selinux handling in lxc-debconfig
    through live-debconfig.
  * Also automatically preseed openssh-server/lxc-enable for live-
    debconfig in lxc-debconfig.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 06 May 2014 19:48:16 +0200

lxc (1.0.3-0ubuntu5build1) utopic; urgency=medium

  * no-change rebuild to pick up /etc/init.d/ files.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 29 May 2014 11:59:18 -0500

lxc (1.0.3-0ubuntu5) utopic; urgency=medium

  * Cherry-pick upstream commit to fix lxc-attach on 3.15 kernels.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 May 2014 07:51:29 +0200

lxc (1.0.3-0ubuntu4) utopic; urgency=medium

  * Do not start lxc-instance in postinst without any instance specified,
    as that is an invalid request.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 May 2014 15:18:33 +0100

lxc (1.0.3-0ubuntu3) trusty; urgency=medium

  * Add a dependency on the new apparmor to make sure we have the new
    parser around before we attempt to load a profile requiring the new
    stanza support. (LP: #1304167)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 Apr 2014 10:10:40 -0400

lxc (1.0.3-0ubuntu2) trusty; urgency=medium

  * Cherry-pick upstream fix for cgmanager integration. (LP: #1303649)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 11 Apr 2014 12:17:41 -0400

lxc (1.0.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release.
  * Drop debian/patches/apparmor-signal-ptrace.patch, now upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 08 Apr 2014 19:32:40 -0400

lxc (1.0.2-0ubuntu2) trusty; urgency=medium

  * updates for AppArmor signal and ptrace mediation (LP: #1298611)
    - debian/patches/apparmor-signal-ptrace.patch: add signal and ptrace rules
      to abstractions/container-base and abstractions/start-container
    - debian/rules: remove signal and ptrace rules for Ubuntu releases earlier
      than 14.04 LTS

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 03 Apr 2014 07:06:56 -0500

lxc (1.0.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release.
  * Update packaging from daily branch.
    - Build-depend on libcgmanager-dev
    - Build-depend on libseccomp-dev for armhf too
    - Move rsync dependency from lxc to liblxc1
    - Stop recommending cgroup-lite | cgroup-bin (replace by cgmanager)
    - Stop recommending libcap2-bin (lxc-setcap was dropped ages ago)
    - Stop recommending openssl from lxc (only used by templates)
    - Move uidmap recommend from lxc to liblxc1
    - Recommend busybox-static for lxc-templates
    - Add cgmanager as a dependency of liblxc1
    - Enable cgmanager support in LXC (LP: #1279048)
    - Drop cgroup-lite test suite dependency.
    - Update testsuite runner to work inside an unprivileged container.
    - Update testsuite runner to work in the LXC CI environment.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 27 Mar 2014 23:18:11 -0400

lxc (1.0.1-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release. (LP: #1246094, LP: #1277466)
    Changelog at: https://linuxcontainers.org/news
  * Add xz-utils to lxc-templates' dependencies.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 07 Mar 2014 12:18:28 -0500

lxc (1.0.0-10) unstable; urgency=low

  * Removing conflicts to libvirt-bin (Closes: #745169).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 28 Apr 2014 19:29:47 +0200

lxc (1.0.0-9) unstable; urgency=low

  * Adding conflicts to libvirt-bin which messes with cgroups (Closes:
    #745169).
  * Adding updates Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #744854).
  * Configuring systemd service manually since the upstream makefile fails
    to do that (Closes: #745670).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 26 Apr 2014 07:47:09 +0200

lxc (1.0.0-8) unstable; urgency=low

  * Building with libseccomp on amd64, armhf, and i386 only (Closes:
    #744295).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 12 Apr 2014 20:33:08 +0200

lxc (1.0.0-7) unstable; urgency=low

  * Marking lxc/containers debconf default value as non-translatable
    (Closes: #743473).
  * Setting language field in French debconf translation file (Closes:
    #743471).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 05 Apr 2014 11:29:49 +0200

lxc (1.0.0-6) unstable; urgency=low

  * Removing lxc-top until lua-alt-getopt is available.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 02 Apr 2014 22:20:59 +0200

lxc (1.0.0-5) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 21:06:52 +0200

lxc (1.0.0-4) experimental; urgency=low

  * Only run irkerhook when irkerhook is actually installed, not just when
    it's enabled only.
  * Updating todo file.
  * Adding patch from Stefan Siegel <siegel.stefan@gmail.com> to make lxc-
    attach ignore SIGINT (Closes: #740264).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 01 Mar 2014 12:32:54 +0100

lxc (1.0.0-3) experimental; urgency=low

  * Adding initial Italian debconf translation from Gianluigi Tiesi
    <sherpya@netfarm.it> (Closes: #740217).
  * Creating missing lock directory in upstreams sysvinit initscript
    (Closes: #740216).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 27 Feb 2014 12:09:38 +0100

lxc (1.0.0-2) experimental; urgency=low

  * Correcting upstreams wrong lsb headers in sysvinit initscript (Closes:
    #740065).
  * Correcting upstreams wrong lsb functions in sysvinit initscript
    (Closes: #740066).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 25 Feb 2014 19:16:02 +0100

lxc (1.0.0-1) experimental; urgency=low

  * Merging upstream version 1.0.0.
  * Lowering lxc-stuff recommends to suggests.
  * Installing lxc-debconfig as lxc-debian in lxc-stuff only on progress-
    linux.
  * Dropping lxc bash-completion, upstream has stolen^Wtaken without
    credit to its original author, Gaé Lucas <gaetanlcs@gmail.com>, the
    debian version and improved it a bit (*sigh*).
  * Dropping initscript in lxc-stuff now that upstream has one too.
  * Including new systemd files in lxc.
  * Refreshing lxcinitdir.patch.
  * Adding build-depends to doxygen.
  * Including apidoc in lxc-dev.
  * Updating todo file.
  * Correcting wrong default directory for sysvinit scripts.
  * Still uploading to experimental since it's completely untested yet,
    but soon starting migration to unstable (Closes: #739782).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 24 Feb 2014 16:17:41 +0100

lxc (1.0.0-0ubuntu4) trusty; urgency=medium

  * Tweak autopkgtest proxy detection to hopefully detect the right
    proxy on the armhf testers...

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 22 Feb 2014 00:28:50 -0500

lxc (1.0.0-0ubuntu3) trusty; urgency=medium

  * Add debootstrap to autopkgtest dependencies.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 21 Feb 2014 22:24:03 -0500

lxc (1.0.0-0ubuntu2) trusty; urgency=medium

  * Update autopkgtest script to detect:
    - ppc64el
    - running in a container
    - running on an older kernel

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 21 Feb 2014 20:16:44 -0500

lxc (1.0.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0).
  * Replace liblxc0 by liblxc1.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 20 Feb 2014 13:53:18 -0500

lxc (1.0.0~rc4-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~rc4).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 19 Feb 2014 15:04:25 -0500

lxc (1.0.0~rc3-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~rc3).

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 17 Feb 2014 22:16:17 -0500

lxc (1.0.0~rc1-0ubuntu2) trusty; urgency=medium

  * Re-add adt proxy workaround, it should have been fixed in adt but
    apparently it's not, so keep hardcoding the right values for now.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 13 Feb 2014 23:55:59 -0500

lxc (1.0.0~rc1-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~rc1).
  * Drop dont_crash_log_init.patch: upstreamed
  * Drop adt proxy workaround (fixed in adt).
  * Make lxc-templates arch:any since unfortunately lxc-sshd hardcodes
    some paths...

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 13 Feb 2014 18:58:51 -0500

lxc (1.0.0~beta4-0ubuntu2) trusty; urgency=medium

  * debian/patches/dont_crash_log_init.patch: don't crash if no name is passed
    to lxc_log_init(), such as is the case with lxc-autostart. (LP: #1277450)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 07 Feb 2014 07:06:50 -0500

lxc (1.0.0~beta4-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~beta4). (LP: #1273769)
  * Move uidmap from Depends to Recommends.
  * Drop duplicate python3 cflags (LP: #1272948)
  * Tweak adt to use a proxy server.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 06 Feb 2014 19:32:23 -0500

lxc (1.0.0~beta3-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~beta3).
  * Drop Build-conflict and instead pass --disable-lua.
  * Update autopkgtests to dynamically run all upstream tests.
  * Create /etc/lxc/lxc-usernet if missing.
  * Apparmor profiles and upstart jobs are now upstream (drop from packaging).
  * Bash completetion is now upstream.
  * Update lintian overrides.
  * DEPRECATED: lxc-aa-custom-profile has been dropped, instead use the
    examples in the default configuration file.
  * DEPRECATED: lxc-list has been dropped. Use "lxc-ls -f" instead.
  * DEPRECATED: lxc-halt has been dropped. Use "lxc-stop" instead.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 27 Jan 2014 14:40:48 +0000

lxc (1.0.0~beta2-0ubuntu2) trusty; urgency=medium

  * Build python3 extension for all supported python versions. LP: #127236.
  * Build-conflict with lua5.2*, the packaging is not ready for it.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Jan 2014 09:57:03 +0100

lxc (1.0.0~beta2-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~beta2).
  * Removed patches (no remaining):
    - 0000-add-autostart.patch
    - 0001-fix-lxc-usernsexec-regression.patch
  * Update packaging for upstream's implementation of autostart.
  * Allow dbus in lxc-start apparmor profile (needed by the avahi hook).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 15 Jan 2014 20:22:45 -0500

lxc (1.0.0~beta1-6) experimental; urgency=low

  * Choosing default template based on host distribution for lxc-create
    when using lxc wrapper.
  * Correcting creation of mount entry directories.
  * Correcting recommends handling.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 24 Feb 2014 07:39:45 +0100

lxc (1.0.0~beta1-5) experimental; urgency=low

  * Adding support for multiple channels in irkerhook-lxc.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 19 Jan 2014 08:42:08 +0100

lxc (1.0.0~beta1-4) experimental; urgency=low

  * Starting irkerhook-lxc initscript before lxc.
  * Using fancy color for some actions in irc notification.
  * Building without log-path set to /var/log/lxc, it would need to have
    all subdirectories for the containers created.
  * Using lxc wrapper for starting containers in lxc-initscript as well.
  * Relaxing depends of irkerhook-lxc initscript on installed irker.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 18 Jan 2014 10:02:17 +0100

lxc (1.0.0~beta1-3) experimental; urgency=low

  * Correcting lxc-create handling in lxc convenience wrapper.
  * Setting global log-path to /var/log/lxc.
  * Adding irkerhook-lxc initscript.
  * Don't start initscripts on package installation.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 18 Jan 2014 08:42:33 +0100

lxc (1.0.0~beta1-2) experimental; urgency=low

  * Adding irker integration with lxc wrapper.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 17:14:26 +0100

lxc (1.0.0~beta1-1) experimental; urgency=low

  * Merging upstream version 1.0.0~beta1.
  * Refreshing lxcinitdir.patch.
  * Updating copyright notices for 2014.
  * Updating upstream mailinglist reference in copyright file.
  * Using /srv/lxc/containers instead of /var/lib/lxc as default value.
  * Dropping lxc/auto debconf handling in lxc-stuff, if the lxc initscript
    should not be used, it's better to disable it rather than to run it as
    noop.
  * Removing internal lxc-debconfig-with-live-debconfig option.
  * Dropping /etc/default/lxc entirely, directly using upstreams
    /etc/lxc/lxc.conf instead from now on.
  * Moving /srv/share/ to /srv/lxc/data/.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 Jan 2014 17:20:14 +0100

lxc (1.0.0~beta1-0ubuntu3) trusty; urgency=medium

  * Add lxc-container-with-mounting apparmor profile.
  * Add iptables rules to always allow DHCP and DNS from the containers
    to the host.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 01 Jan 2014 14:37:49 +0100

lxc (1.0.0~beta1-0ubuntu2) trusty; urgency=medium

  * d/p/0001-fix-lxc-usernsexec-regression.patch: fix a regression breaking
    lxc-usernsexec and, through that, all unprivileged container use.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 19 Dec 2013 14:04:58 -0600

lxc (1.0.0~beta1-0ubuntu1) trusty; urgency=medium

  * New upstream release (1.0.0~beta1).
  * Removed patches:
    - 0001-lxcapi_clone-set-the-right-environment-variable-for-.patch
    - 0002-don-t-fail-lxc-init-if-we-couldn-t-mount-proc.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 17 Dec 2013 15:52:17 -0500

lxc (1.0.0~alpha3-5) experimental; urgency=low

  * Moving python3 depends to recommends.
  * Adding lua5.2 to recommends (Closes: #731774).
  * Updating stop command in lxc-initscript (Closes: #731667).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 09 Dec 2013 19:05:06 +0100

lxc (1.0.0~alpha3-4) experimental; urgency=low

  * Excluding shell scripts in /etc/lxc/debconfig from debconf prompt with
    list of presed files as well.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 05 Dec 2013 19:25:49 +0100

lxc (1.0.0~alpha3-3) experimental; urgency=low

  * Updating list of special cases in lxc convenience wrapper.
  * Updating generic preseed examples for live-debconfig 4.0~alpha31.
  * Updating distribution specific preseed examples for live-debconfig
    4.0~alpha31.
  * Updating cairon codename for progress-linux.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 05 Dec 2013 14:05:53 +0100

lxc (1.0.0~alpha3-2) experimental; urgency=low

  * Building with disabled rpath.
  * Building with explicitly enabled apparmor.
  * Building with enabled python.
  * Building with enabled selinux.
  * Building with enabled tests.
  * Including lxc-ubuntu again, it apparently was un-broken again as of
    1.0.0~alpha3.
  * Using dedicated directory for temporary rootfs mounts.
  * Dropping superfluous libdir and libexecdir switches in configure call.
  * Adding patch to correct wrong default directory for lxc-init.
  * Sorting configure switches.
  * Building with enabled seccomp.
  * Building with enabled lua.
  * Dropping libcap2-bin from suggests, not usefull anymore.
  * Adding shlibs:Depends to lxc-dev.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Nov 2013 10:01:19 +0100

lxc (1.0.0~alpha3-1) experimental; urgency=low

  * Merging upstream version 1.0.0~alpha3.
  * Dropping ftbfs-sparc.patch, merged upstream.
  * Updating preseed-file for live-debconfig 4.0~alpha30-1.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 21 Nov 2013 08:39:56 +0100

lxc (1.0.0~alpha3-0ubuntu8) trusty; urgency=low

  * Add iptables rule to fix checksum of udp packets for dhcp  (LP: #930962)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 10 Dec 2013 11:27:09 -0600

lxc (1.0.0~alpha3-0ubuntu7) trusty; urgency=low

  * Add a lxc-default-with-mounting profile which allows the container to
    mount block filesystems.  (LP: #1257389)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 09 Dec 2013 13:19:31 -0600

lxc (1.0.0~alpha3-0ubuntu6) trusty; urgency=low

  * lxc-net: detect whether iptables -w flag is supported, so that backports
    won't be broken.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 02 Dec 2013 21:06:47 -0600

lxc (1.0.0~alpha3-0ubuntu5) trusty; urgency=low

  * Add -w to iptables calls in lxc-net (LP: #1257117)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 02 Dec 2013 17:49:28 -0600

lxc (1.0.0~alpha3-0ubuntu4) trusty; urgency=low

  * Build-depend on libgnutls-dev for template checksuming.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 29 Nov 2013 20:16:56 -0500

lxc (1.0.0~alpha3-0ubuntu3) trusty; urgency=low

  * d/p/0002-don-t-fail-lxc-init-if-we-couldn-t-mount-proc.patch: fix
    failure to run lxc-init when lxc.cap.drop=sys_admin.  (LP: #1253669)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 22 Nov 2013 15:57:59 -0600

lxc (1.0.0~alpha3-0ubuntu2) trusty; urgency=low

  * Cherry-pick fix for lxc-clone hook script environment variable.
    0001-lxcapi_clone-set-the-right-environment-variable-for-.patch
    (LP: #1253573)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 21 Nov 2013 10:29:45 -0500

lxc (1.0.0~alpha3-0ubuntu1) trusty; urgency=low

  * New upstream release (1.0.0~alpha3).
  * Removed patches:
    - 0001-debian-template-set-hwaddr
    - 0002-lxc-start-if-we-pass-in-a-config-file-then-don-t-use.patch
    - get_rid_of_lxcpath_anon_idea.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 15 Nov 2013 16:31:01 -0500

lxc (1.0.0~alpha2-6) experimental; urgency=low

  * Also dropping permissions on /var/cache/lxc for consistency
    (eventhough there's only the minimal bootstrap in there).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 06 Nov 2013 13:42:45 +0100

lxc (1.0.0~alpha2-5) experimental; urgency=low

  * Shortening versioned breaks of lxc-stuff against lxc.
  * Adding rsync to lxc recommends, lxc-clone uses it (Closes: #728860).
  * Setting lxc directory permissions to 0700 to avoid unprivileged users
    on the system to abuse setuid binaries in the container rootfs'es.
  * Using dpkg-statoverride to allow local overrides of (otherwise)
    enforced restricted access permissions to /etc/lxc, /var/lib/lxc, and
    /var/log/lxc.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 06 Nov 2013 13:11:09 +0100

lxc (1.0.0~alpha2-4) experimental; urgency=low

  * Updatin lxc-stuff dehelper install file with proper paths (Closes:
    #728435).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 03 Nov 2013 14:16:28 +0100

lxc (1.0.0~alpha2-3) experimental; urgency=low

  * Running second pass of live-debconfig with debconf frontend
    noninteractive and priority critical (Closes: #727705).
  * Updating to standards version 3.9.5.
  * Disabling /dev/kmsg in default container config.
  * Dropping left-over progress-linux apt preconfiguration.
  * Dropping lxc-halt since all 'new' containers can be shutdown by sigpwr
    by default for quite a while already.
  * Renaming lxc-all to lxc-initscript.
  * Making lxc support 'all' as argument in order to run commands on all
    available containers.
  * Updating manpages.
  * Updating wrapping of default config files.
  * Allowing to have architecture set to auto in order to have
    architecture-neutral preseed files.
  * Unmounting any stray bind mounts on failed container creation.
  * Excluding directories and includes in /etc/lxc/debconfig from
    automatic selection dialog.
  * Moving lxc-stuff docs to local directory within sources tree.
  * Moving lxc-stuff initscript to local directory within sources tree.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 29 Oct 2013 15:41:44 +0100

lxc (1.0.0~alpha2-2) experimental; urgency=low

  * Moving local additions to separate binary package lxc-stuff.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 23 Oct 2013 20:39:37 +0200

lxc (1.0.0~alpha2-1) experimental; urgency=low

  * Merging upstream version 1.0.0~alpha2.
  * Dropping ptsmode.patch, included upstream.
  * Updating homepage field.
  * Updating copyright file.
  * Removing currently broken ubuntu template (Closes: #727244).
  * Removing set -e from rules for shell commands, not needed anymore.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 23 Oct 2013 20:26:32 +0200

lxc (1.0.0~alpha2-0ubuntu6) trusty; urgency=low

  * d/p/0002-lxc-start-if-we-pass-in-a-config-file-then-don-t-use.patch
    fix lxc-start -with -f option to not use multiple configuration
    files (LP: #1251352)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 14 Nov 2013 14:19:02 -0600

lxc (1.0.0~alpha2-0ubuntu5) trusty; urgency=low

  [ Serge Hallyn]
  * debian/rules and debian/lxc.postinst: set /var/lib/lxc and /var/cache/lxc
    to be perms 700.  That prevents unprivileged users from running setuid-root
    applications.  Install that way by default, and for any previous versions,
    update the permissions.  After this version, respect the user's choice.
    (LP: #1244635)

  [ Stéphane Graber ]
  * Allow lxc.conf to start even if LXC_AUTO=false so that other jobs
    can depend on it. Also make sure we always load our apparmor profiles.
    (LP: #1227937)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 29 Oct 2013 12:15:21 -0400

lxc (1.0.0~alpha2-0ubuntu4) trusty; urgency=low

  * get_rid_of_lxcpath_anon_idea.patch: allow lxc-stop and lxc-attach to
    work more easily with containers started with a custom config (-f).
    (LP: #1244301)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 24 Oct 2013 11:55:06 -0500

lxc (1.0.0~alpha2-0ubuntu3) trusty; urgency=low

  * Fix syntax error in upstart job.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 21 Oct 2013 18:51:36 -0400

lxc (1.0.0~alpha2-0ubuntu2) trusty; urgency=low

  * Set lxcpath in lxc-instance, that should make the containers visible
    in lxc-ls and other tools again. (LP: #1242074)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 21 Oct 2013 15:27:05 -0400

lxc (1.0.0~alpha2-0ubuntu1) trusty; urgency=low

  * New upstream release (1.0.0~alpha2).
  * Removed patches:
    - 0002-pin_rootfs-be-quiet-and-don-t-fail-container-start.patch
    - 0003-move-monitor-fifo-and-monitor-sock-to-run.patch
    - 0004-hash-lxcname-for-use-in-monitor-unix-socket-sun_path.patch
    - 0005-ignore-ability-to-init-lxc-monitord.log.patch
    - 0006-add-pstore-to-container-fstab.patch
    - 0007-apparmor.c-drop-newline-when-reading-current-profile.patch
    - 0008-Fix-crasher-in-get_ips.patch
    - 0009-lxc-ubuntu-cloud-pass-numeric-owner-and-p-to-untar.patch
    - 0010-lxc-ubuntu-cloud-Cope-with-spaces-in-paths.patch
    - 0011-ubuntu-cloud-prep-hook-fix-debug-helper-to-not-inapp.patch
  * Change website to new URL (http://linuxcontainers.org).
  * Build with the test binaries and introduce a new lxc-tests package.
  * Don't build any of the binary packages on !linux.
  * Enable SELinux support.
  * Add watch file.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 21 Oct 2013 09:17:18 -0400

lxc (1.0.0~alpha1-2) experimental; urgency=low

  * Adding now required --rootfs handling to lxc-debconfig template.
  * Keeping local lxc-list for the time being.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 17 Sep 2013 15:59:32 +0200

lxc (1.0.0~alpha1-1) experimental; urgency=low

  * Merging upstream version 1.0.0~alpha1.
  * Building with autoreconf again.
  * Removing lxc-configuration-path.patch, not needed anymore.
  * Removing lxc-debconfig.patch, not needed anymore.
  * Removing lxc-destroy-symlinks.patch, not needed anymore.
  * Removing lxc-clone-mac.patch, not needed anymore.
  * Removing lxc-init-path.patch, not needed anymore.
  * Removing lxc-quote-arguments.patch, not needed anymore.
  * Removing lxc-unshare-manpage.patch. not needed anymore.
  * Removing lxc-path.patch, not needed anymore.
  * Rediffing ftbfs-sparc.patch.
  * Rediffing ptsmode.patch.
  * Renumbering patches.
  * Removing removal of removed templates in rules.
  * Reincluding lxc-busybox template.
  * Keeping local lxc-list for now, but not as the default lxc-list.
  * Sourcing init-functions in initscript.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 17 Sep 2013 14:40:47 +0200

lxc (1.0.0~alpha1-0ubuntu11) saucy; urgency=low

  * Deny any kind of access to /sys/kernel/security/** as the containers
    have no reason to read that and it's been causing dbus-daemon to think
    it can integrate with apparmor.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 10 Oct 2013 12:58:54 -0400

lxc (1.0.0~alpha1-0ubuntu10) saucy; urgency=low

  [ Serge Hallyn ]
  * Cherrypicking bugfix from upstream
    - 0011-ubuntu-cloud-prep-hook-fix-debug-helper-to-not-inapp.patch

  [ Stéphane Graber ]
  * On saucy and higher, add "dbus," to the container-base profile.
    (done that way as LXC is backported down to 12.04)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 09 Oct 2013 14:04:23 -0400

lxc (1.0.0~alpha1-0ubuntu9) saucy; urgency=low

  * Update patch with current upstream version (LP: #1236726)
    - 0009-lxc-ubuntu-cloud-pass-numeric-owner-and-p-to-untar.patch
  * Cherrypicking bugfix from upstream
    - 0010-lxc-ubuntu-cloud-Cope-with-spaces-in-paths.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 08 Oct 2013 11:11:33 -0400

lxc (1.0.0~alpha1-0ubuntu8) saucy; urgency=low

  * Add a recommends on uuid-runtime to lxc-templates as the
    ubuntu-cloud template uses uuidgen.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 07 Oct 2013 17:35:56 -0400

lxc (1.0.0~alpha1-0ubuntu7) saucy; urgency=low

  * Cherrypicking bugfix from upstream (LP: #1236577)
    - 0009-lxc-ubuntu-cloud-pass-numeric-owner-and-p-to-untar.patch

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 07 Oct 2013 16:17:27 -0500

lxc (1.0.0~alpha1-0ubuntu6) saucy; urgency=low

  * Cherrypicking bugfix from upstream
    - 0008-Fix-crasher-in-get_ips.patch
      (Fixes lxc-list on Ubuntu Touch amongst other cases)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 29 Sep 2013 20:52:53 -0400

lxc (1.0.0~alpha1-0ubuntu5) saucy; urgency=low

  * Cherrypicking bugfix from upstream (LP: #1227313)
    - 0007-apparmor.c-drop-newline-when-reading-current-profile.patch

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 27 Sep 2013 15:14:24 -0500

lxc (1.0.0~alpha1-0ubuntu4) saucy; urgency=low

  * modify 0006-add-pstore-to-container-fstab.patch: make pstore mount
    optional.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 16 Sep 2013 11:50:05 -0500

lxc (1.0.0~alpha1-0ubuntu3) saucy; urgency=low

  * Cherrypick bugfix from upstream
    (pre-mount pstore to avoid mountall hanging at boot time):
    - 0006-add-pstore-to-container-fstab.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 13 Sep 2013 16:57:29 -0400

lxc (1.0.0~alpha1-0ubuntu2) saucy; urgency=low

  * Add allow-stderr to autopkgtst restrictions as the Ubuntu template
    uses policy-rc.d to disable some daemons and that causes a message to
    be printed on stderr when the service tries to start.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 12 Sep 2013 13:57:17 -0400

lxc (1.0.0~alpha1-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1218426)
    - A very long list of bugfixes, including:
      (LP: #1081786, LP: #1029777, LP: #987770, LP: #1212290, LP: #1199146,
       LP: #1124526, LP: #1014916, LP: #1212414, LP: #1168526, LP: #1135871)
  * Removed patches:
    - transition/00-redirect-lxc-halt.patch
    - 0001-fix-race-with-fast-init
    - 0002-lxc-functions-safe-in-dash
    - 0003-python-module-fixes
    - 0004-lxc-ps-handle-cgroup-collisions.patch
    - 0005-cgroup-prevent-DOS-when-a-hierachy-is-mounted-multip.patch
    - 0006-lxc-clone-fix-lvm-blockdev-usage
    - 0007-lxc.conf.doc
    - 0008-ignore-rootfs-pin-fail.patch
    - 0009-conf.c-if-we-don-t-specify-a-rootfs-we-still-need-pr.patch
    - conf.c-always-strdup-rootfs.mount
    - 0011-cgroup-hook-handle-stricter-kernel
    - 0012-add-kernel-filesystems-to-fstab
    - 0013-ubuntu-cloud-fix-hostid
    - 0014-lxc-apparmor-null-terminate-buffer
    - 0015-fix-ipv6-pton
  * Refreshed patches:
    - transition/00-redirect-lxc-list.patch
    - 0000-add-autostart.patch
    - 0001-debian-template-set-hwaddr
  * New patches (fix regression when /var/lib/lxc is read-only):
    - 0002-pin_rootfs-be-quiet-and-don-t-fail-container-start.patch
    - 0003-move-monitor-fifo-and-monitor-sock-to-run.patch
    - 0004-hash-lxcname-for-use-in-monitor-unix-socket-sun_path.patch
    - 0005-ignore-ability-to-init-lxc-monitord.log.patch
  * Updated debian/copyright to reflect reality.
  * Fix lxc-template's short description.
  * Replace the cloud-utils recommends by cloud-image-utils | cloud-utils
    to use the new saucy package and still allow for easy backports.
    (LP: #1224545)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 12 Sep 2013 12:45:05 -0400

lxc (0.9.0-21) experimental; urgency=low

  * Updating lxc-backup/lxc-restore.
  * Changing preseed hiearchy to more suitable includes-before-including
    for one-level of includes only.
  * Removing cgroup-bin conflict, again (Closes: #723130).
  * Correcting variable spelling typo when writing preseeded apt
    preferences for pinning packages.
  * Temporarily building without autoreconf since newer automake fails on
    sub-directories quite unelegantly.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 17 Sep 2013 13:12:17 +0200

lxc (0.9.0-20) experimental; urgency=low

  * Allowing comma seperated list for multiple includes as well as
    whitespace seperated lists.
  * Clarifing comment about reading-in preseed files.
  * Explicitly setting list of enabled component for live-debconfig in
    includable example preseeds for progress-linux to include all used
    components rather than minimal default only.
  * Completing support for multiple preseed files for the first (non-
    chrooted) part of lxc-debconfig, one level of recursion only for now.
  * Adding support for multiple preseed files for the second (chrooted)
    part of lxc-debconfig.
  * Showing error message if updating the cache has failed with note about
    removing the cache.
  * Adding note about hierarchy of preseed files in readme file.
  * Moving preseed examples to subdirectory within
    /usr/share/doc/lxc/examples.
  * Renaming lxc-debconfig preseed file to proper name for use in example
    directory.
  * Adding comments in rules for removed upstream stuff.
  * Updating example preseed files for live-debconfig 4.0~a27-1.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 03 Sep 2013 13:36:36 +0200

lxc (0.9.0-19) experimental; urgency=low

  * Adding preseding support for pinning of local repositories.
  * Adding support for multiple includable preseed files within one
    preseed field, to simple toplevel preseed files rather than requireing
    to use includes in chains.
  * Changing order of include files, included preseed files overwrite the
    including preseed file which is the intuitive order.
  * Removing superfluous colon in progress-linux specific apt preferences.
  * Moving out logic from initscript to dedicated lxc-all script in
    preparation for systemd support.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 21 Aug 2013 12:31:42 +0200

lxc (0.9.0-18) experimental; urgency=low

  * Adding patch from James Cook <bonkabonka@gmail.com> to weaken mode on
    pts for compliance with eglibc 2.18 within containers (Closes:
    #720122).
    The origin of the patch referenced in the bts implies that this allows
    unprivileged users access to the ttys, should that be the case, an
    unprivileged user can access the host systems terminal (read-write),
    thus needs further testing before moving this to unstable.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 20 Aug 2013 10:12:46 +0200

lxc (0.9.0-17) experimental; urgency=low

  * Updating vcs fields.
  * Updating swapaccount parameter in readme for linux 3, thanks to Michal
    Hocko <mstsxfx@gmail.com> (Closes: #719774).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 17 Aug 2013 15:49:51 +0200

lxc (0.9.0-16) experimental; urgency=low

  * Correcting template location.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 31 Jul 2013 16:26:51 +0200

lxc (0.9.0-15) experimental; urgency=low

  * Updating example preseed file.
  * Adding sample includeable preseed files for progress-linux.
  * Moving templates to local subdirectory within packaging.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 31 Jul 2013 16:01:47 +0200

lxc (0.9.0-14) experimental; urgency=low

  * Adding temporary workaround to run chrooted commands in lxc-debconfig
    with 'set -e' until the whole template can be run with 'set -e'
    (Closes: #717717).
  * Adding support of includable preseed files within lxc-debconfig.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Jul 2013 11:50:22 +0200

lxc (0.9.0-13) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Avoid including internal preseed.sh script (Closes: #717714).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 24 Jul 2013 08:27:38 +0200

lxc (0.9.0-12) experimental; urgency=low

  * Including wget in minimal bootstrap set in order to be able to
    bootstrap archive-keys trust paths.
  * Adding three suggestions to improve German debconf translations from
    Helge Kreutzmann <debian@helgefjell.de> (Closes: #715475).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 12 Jul 2013 15:42:10 +0200

lxc (0.9.0-11) experimental; urgency=low

  * Reverting dropping of sys_boot capability, otherwise sysvinit will not
    terminate in some cases on shutdown.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 25 Jun 2013 12:19:51 +0200

lxc (0.9.0-10) experimental; urgency=low

  * Sorting debhelper build-with list in rules.
  * Updating lxc-debconfig for live-debconfig 4.0~a25.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 25 Jun 2013 11:47:22 +0200

lxc (0.9.0-9) experimental; urgency=low

  * Updating for lxc-debconfig for live-debconfig 4.0~a24-1.
  * Adding missing build-depends to pkg-config.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 05 Jun 2013 10:58:01 +0200

lxc (0.9.0-8) experimental; urgency=low

  * Using dh-autoreconf (Closes: #706443).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 04 Jun 2013 18:42:33 +0200

lxc (0.9.0-7) experimental; urgency=low

  * Updating versioning scheme references to match new scheme since
    wheezy.
  * Shortening archive names.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 31 May 2013 13:47:13 +0200

lxc (0.9.0-6) experimental; urgency=low

  * Adding patch from Thomas Nemeth <thomas.nemeth@laposte.net> to fix
    FTBFS on sparc (Closes: #709454).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 29 May 2013 07:37:32 +0200

lxc (0.9.0-5) experimental; urgency=low

  [ Daniel Baumann ]
  * Completing temporary hacks for derivatives wrt/ replacing packages of
    priority essential.

  [ Nik Lutz ]
  * Replacing container tmpfs with cgroup in systemd-container hook to not
    waste memory.

  [ Daniel Baumann ]
  * Setting lxc.autodev depending on initsystem automatically to the
    correct value explicitly in container config files.
  * Running live-debconfig after packages have been installed in lxc-
    debconfig again.
  * Applying parts from a patch from Jeremiah C. Foster
    <jeremiah.foster@pelagicore.com> to improve wording in readme (Closes:
    #709280).
  * De-emphasign note about bridges in readme.
  * Correcting typo in lxc-halt.
  * Correcting multi-default files read-in in init file, thanks to Harald
    Dunkel <harald.dunkel@aixigo.de>.
  * Applying slightly modified patch from Harald Dunkel
    <harald.dunkel@aixigo.de> to add support for lxc-path in local debian
    additions (Closes: #706379).
  * Adding slightly modified patch from Harald Dunkel
    <harald.dunkel@aixigo.de> to add support for lxc-path in upstream
    commands.
  * Enabling configpath log.
  * Cosmetically restrict access to /dev/rtc a bit more in the default lxc
    config.
  * Adding sample device configs for /dev/full, /dev/hpet, and /dev/kvm in
    default container configs.
  * Dropping note about now obsoleted lxc-setcap in readme.
  * Autogenerating preseed example file from debconf files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 May 2013 14:50:34 +0200

lxc (0.9.0-4) experimental; urgency=low

  [ Nik Lutz ]
  * Correcting typo in path when writing hooks for systemd in container
    configs.

  [ Daniel Baumann ]
  * Correcting wrong toolname in lxc-unshare manpage (Closes: #705709).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 19 Apr 2013 15:58:57 +0200

lxc (0.9.0-3) experimental; urgency=low

  [ Daniel Baumann ]
  * Quoting arguments from templates properly in lxc-create, thanks to
    Denys Gavrysh <deg@ciklum.com> (Closes: #705458).

  [ Nik Lutz ]
  * Disabling sysfs mount config for containers with systemd.
  * Adding hooks for systemd support.
  * Enabling hooks for containers with init-system systemd.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 15 Apr 2013 15:39:30 +0200

lxc (0.9.0-2) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating todo file.
  * Also importing base-release keys for progress-linux.

  [ Nik Lutz ]
  * Do not write empty lxc.mount entries for sys and proc-fs if debconf
    value is 'none'.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 14 Apr 2013 11:27:15 +0200

lxc (0.9.0-1) experimental; urgency=low

  * Merging upstream version 0.9.0.
  * Removing lxc-create-template.patch, not needed anymore.
  * Updating archive-key signature validiation to look by default at both
    debian and debian-maintainers keyrings.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 11 Apr 2013 13:48:30 +0200

lxc (0.9.0-0ubuntu23) saucy; urgency=low

  * 0014-lxc-apparmor-null-terminate-buffer: make sure a value we fread is
    null-terminated (LP: #1215386)
  * 0015-fix-ipv6-pton: call inet_pton on the value without the netmask.
    (LP: #1215391)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 23 Aug 2013 11:39:55 -0500

lxc (0.9.0-0ubuntu22) saucy; urgency=low

  * ubuntu-cloud: fix typo keeping --hostid from working (LP: #1197357)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 15 Aug 2013 14:40:58 -0500

lxc (0.9.0-0ubuntu21) saucy; urgency=low

  * Fix autopkgtest failure by unsetting TMPDIR in the test.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 09 Aug 2013 16:30:47 +0200

lxc (0.9.0-0ubuntu20) saucy; urgency=low

  * Build-depend on hardening-wrapper to meet MIR security requirements.
    This is done instead of using the new dpkg-buildflags as those are a pain
    to get to work when building both binaries and libraries when using -PIE.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 09 Aug 2013 14:33:59 +0200

lxc (0.9.0-0ubuntu19) saucy; urgency=low

  * Add variable in /etc/default/lxc-net to optionally resolve .lxc on
    lxcbr0.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 06 Aug 2013 09:03:59 -0500

lxc (0.9.0-0ubuntu18) saucy; urgency=low

  * 0012-add-kernel-filesystems-to-fstab: saucy containers will fail to start
    unless security, debug, and connections are pre-mounted.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 25 Jul 2013 22:01:02 -0500

lxc (0.9.0-0ubuntu17) saucy; urgency=low

  * 0011-cgroup-hook-handle-stricter-kernel: fix the mountcgroups hook in the
    face of new restrictions imposed by the kernel on devices cgroups.
    (LP: #1196518)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 05 Jul 2013 20:44:57 +0200

lxc (0.9.0-0ubuntu16) saucy; urgency=low

  * conf.c-always-strdup-rootfs.mount: prevent segfault when using
    lxc.rootfs.mount.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 01 Jul 2013 15:29:17 -0500

lxc (0.9.0-0ubuntu15) saucy; urgency=low

  * lxc-net: support an optional dnsmasq configuration file.
  * 0010-debian-template-set-hwaddr: set persistent macaddr when creating a
    debian container (LP: #1080681)
  * lxc.apport: add /etc/lxc/{dnsmasq,default,lxc}.conf and
    /etc/default/lxc{,-net}.conf

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 11 Jun 2013 07:47:32 -0500

lxc (0.9.0-0ubuntu14) saucy; urgency=low

  * 0009-conf.c-if-we-don-t-specify-a-rootfs-we-still-need-pr.patch: if
    apparmor is enabled and no rootfs was specified, then re-mount /proc
    so that we can write the requested apparmor profile under /proc/1.
    (LP: #1188501)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 10 Jun 2013 09:27:32 -0500

lxc (0.9.0-0ubuntu13) saucy; urgency=low

  * 0008-ignore-rootfs-pin-fail.patch: don't refuse to start a container
    on readonly fs.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 05 Jun 2013 21:35:40 +0200

lxc (0.9.0-0ubuntu12) saucy; urgency=low

  * 0007-lxc.conf.doc: Fill in missing sections in lxc.conf(5) manual
    page (LP: 1182085)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 28 May 2013 13:23:57 -0500

lxc (0.9.0-0ubuntu11) saucy; urgency=low

  * lxc-net: deal with the fact that some kernels may not have the needed
    network bridge support.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 28 May 2013 10:52:22 -0400

lxc (0.9.0-0ubuntu10) saucy; urgency=low

  * Rebuild-only upload (LP: #1183807)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 24 May 2013 10:51:44 -0500

lxc (0.9.0-0ubuntu9) saucy; urgency=low

  * 0006-lxc-clone-fix-lvm-blockdev-usage: fix use of wrong pathnames for both
    block devices and mount targets in the LVM case.  (LP: #1183354)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 23 May 2013 14:22:38 -0500

lxc (0.9.0-0ubuntu8) saucy; urgency=low

  [ James Hunt ]
  * Add basic DEP-8 tests to ensure a container can be created, started,
    stopped and cloned.

 -- James Hunt <james.hunt@ubuntu.com>  Tue, 21 May 2013 14:44:12 +0100

lxc (0.9.0-0ubuntu7) saucy; urgency=low

  * 0005-cgroup-prevent-DOS-when-a-hierachy-is-mounted-multip.patch: prevent
    DOS when a cgroup hierarchy is mounted multiple times  (LP: #1176287)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 15 May 2013 22:19:59 +0000

lxc (0.9.0-0ubuntu6) saucy; urgency=low

  * debian/lxc.default, debian/lxc.preinst: calculate an open 10.0.x.0 network
    for lxcbr0 to use at package install time.  This allows easier package
    installion when nested.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 14 May 2013 14:34:51 -0500

lxc (0.9.0-0ubuntu5) saucy; urgency=low

  * push 0004-lxc-ps-handle-cgroup-collisions.patch from upstream to handle
    the case where $container's cgroup is
    /sys/fs/cgroup/$cgroup/lxc/$container-1.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 08 May 2013 16:02:44 -0500

lxc (0.9.0-0ubuntu4) saucy; urgency=low

  * Fix lxc-list crashing when passed --nesting with nested containers.
    (LP: #1177408)
  * Fix lxc-ls to show nested containers when using alternate lxcpath.
    (LP: #1177412)
  * Fix python3 API bug leading to parameter corruption in create and start.
    (LP: #1177400)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 May 2013 10:48:40 -0400

lxc (0.9.0-0ubuntu3) raring; urgency=low

  * 0003-python-module-fixes: Cherry pick python module bugfixes from upstream.
  * Update deprecation warning for lxc-halt and lxc-list, moving the
    deprecation from 0.9 to 1.0.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 18 Apr 2013 22:29:39 +0200

lxc (0.9.0-0ubuntu2) raring; urgency=low

  * 0002-lxc-functions-safe-in-dash: stop lxc-clone from silently failing.
    (LP: #1166870)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 09 Apr 2013 12:38:02 -0500

lxc (0.9.0-0ubuntu1) raring; urgency=low

  * New upstream release (0.9.0) (LP: #1166286)
    - New features
        (fixing a regression for 0.8/0.9alpha who relied on --keep-env)
      + lxc-attach: Add --clear-env and --keep-env to lxc-attach
      + lxc-clone: Support 'permanent ephemeral' containers
      + lxc-start-ephemeral: Implement -n to match manpage
    - Bugfix
      + automake: Fix 'make clean'
      + automake: Fix missing files with "make dist"
      + core: API shouldn't be calling create for already defined containers or
        destroy for non defined ones
      + core: Build fixes for ia64
      + core: Make lxc.functions return the default lxcpath if
        /etc/lxc/lxc.conf doesn't provide one
      + core: Properly cleanup network devices if pinning root filesystem
        din't work
      + core: rcfile shouldn't be recorded in lxc_conf if the attempt to load a
        config file fails
      + core: Set all mounts to MS_SLAVE when starting a container without
        a rootfs
      + core: Use $localstatedir/log/lxc for default log path
      + git: Updated gitignore (for lxc-ls)
      + lxc-attach: Set container=lxc in the environment
      + lxc-create: require absolute path for non-standard templates
      + lxc-shutdown  Make all processes exit before timeout if shutdown works
      + lxc-shutdown: Properly handle timeout case
      + manpage: Fixed typo in the main LXC manpage
      + python: Fix runtime failure on armhf
      + ubuntu template: Tweak architecture support (to match what's supported)
  * Removed 0002-fix-armhf-python-failure, merged upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 08 Apr 2013 12:19:32 -0400

lxc (0.9.0~rc1-5) experimental; urgency=low

  * Enabling backports by default for any release except jessie and sid.
  * Updating handling of debian-backports differently for wheezy and newer
    releases.
  * Making proc and sysfs mount entries preseedable in lxc-debconfig to
    support custom options.
  * Correcting automatic directory creation for mount entries, thanks to
    Niels Boehm <schnurzelpieps2000-dbts@yahoo.com> (Closes: #704814).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 06 Apr 2013 10:51:13 +0200

lxc (0.9.0~rc1-4) experimental; urgency=low

  * Dropping ubuntu mode in lxc-debconfig, ubuntu support seems not worth
    to pursue (Closes: #704563).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 03 Apr 2013 12:56:59 +0200

lxc (0.9.0~rc1-3) experimental; urgency=low

  * Correcting same typo in lxc-backup, lxc-halt, and lxc-restore too.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 31 Mar 2013 22:01:26 +0200

lxc (0.9.0~rc1-2) experimental; urgency=low

  * Correcting typo in lxc-ls.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 26 Mar 2013 19:31:54 +0100

lxc (0.9.0~rc1-1) experimental; urgency=low

  * Merging upstream version 0.9.0~rc1.
  * Using lxc.functions in local lxc tools.
  * Updating version numbers in example preseed files.
  * Refreshing local manpages.
  * Updating progress-linux archive references.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 22 Mar 2013 13:26:17 +0100

lxc (0.9.0~rc1-0ubuntu3) raring; urgency=low

  * Add code to postinst to fix any double-migration of /etc/dnsmasq.
    (LP: #1157332)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 27 Mar 2013 16:51:11 -0400

lxc (0.9.0~rc1-0ubuntu2) raring; urgency=low

  * Fix python3-lxc on armhf (LP: #1159817).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 26 Mar 2013 11:21:46 -0400

lxc (0.9.0~rc1-0ubuntu1) raring; urgency=low

  * New upstream release (0.9.0~rc1)
    - New features
      * alpine: template now supports bridges auto-detect and setting hwaddr
      * archlinux: update template to use lxc.stopsignal and lxc.kmsg
      * core: Add example hooks from Ubuntu package
      * core: Add --lxcpath (-P) option to all the tools
      * core: attach: now also changes the apparmor profile
      * core: attach: try to detect the user shell when attaching
      * core: config: add lxc.kmsg (defaults to old enabled behaviour)
      * core: config: add lxc.stopsignal (defaults to old SIGKILL behaviour)
      * core: lxc-ls: Implement support for nested containers
      * core: New exported API function, get_version
      * lenny: Remove deprecated template
      * lxc-ps: New '--host' option
      * opensuse: update template to support 12.2 and 12.3
    - Bugfixes
      * core: Add missing config.h includes.
      * core: af_unix: make sure to keep useful errno
      * core: attach: fixed lxc-attach to deal with user namespaces
      * core: attach: free result before potentially strduping a second time.
      * core: c api -> createl: correctly handle 0 template args
      * core: commands.c: sanity check to not write too-long cgroup path name
      * core: ensure clock_gettime symbol is found
      * core: Fix typos identified by lintian
      * core: fix writing multiple uidmap ranges
      * core: give a hint if old cgroup can't be moved
      * core: improved README
      * core: lxc_id_mapping: don't try to write mappings if there are none
      * core: make [ug]id map ordering consistent with /proc/<nr>/[ug]id_map
      * core: only INFO rcfile if asprintf successfully allocates it
      * core: Remove redundant clearenv call
      * core: Replace deprecated AM_CONFIG_HEADER
      * core: rootfs pin: fix two bugs
      * core: try to set clone_children when setting up cgroups
      * core: Use AC_SEARCH_LIBS instead of hardcoded lists
      * core: userns: handle delayed write errors at fclose
      * legacy: only output appropriate directories/containers in lxc-ls
      * lxc-ubuntu{-cloud}: Config layout tweaking
      * opensuse: fix template to better work with lxc-clone, support shutdown,
      * oracle: template fixes for older releases
      * python: Drop use of hardcoded @LXCPATH@
      * rpm: include hook files and tests in make dist
        various code improvements
  * Remove example hooks from packaging as they have now been upstreamed.
  * Update apparmor profile to allow for lxc-create to work for nested
    precise containers.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 19 Mar 2013 11:32:44 -0400

lxc (0.9.0~alpha3-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:58:58 +0100

lxc (0.9.0~alpha3-1) unstable; urgency=low

  * Updating handling of mount entries to work to do the right thing when
    files are being tried to be bind-mounted instead of directories.
  * Merging upstream version 0.9.0~alpha3.
  * Adding --with-distro=debian when calling configure.
  * Extending manual hack to workaround broken preseeding in tzdata
    (Closes: #701800).
  * Dropping bash.patch, not required anymore.
  * Adding patch for lxc-create to not try to execute directories as
    templates should the user have such a situation and specify it
    (wrongly) (Closes: #701689).
  * Rediffing lxc-clone-mac.patch.
  * Currently hardcoding lxc directory.
  * Defaulting to sysvinit for the time being on progress-linux.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Feb 2013 14:04:06 +0100

lxc (0.9.0~alpha3-0ubuntu3) raring; urgency=low

  * 0001-fix-race-with-fast-init: Before starting lxc_mainloop, check whether
    lxc-init has already exited.  If it has, return immediately to reap it.
    (LP: #1134923) (LP: #1144873)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 11 Mar 2013 10:14:39 -0500

lxc (0.9.0~alpha3-0ubuntu2) raring; urgency=low

  * Remove hardcoded --enable-seccomp from debian/rules as seccomp isn't
    present on armhf and powerpc, leading to FTBFS on those two architectures.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 18 Feb 2013 19:01:38 -0500

lxc (0.9.0~alpha3-0ubuntu1) raring; urgency=low

  * New upstream release (0.9.0~alpha3)
  * NOTE: We took the opportunity of this new upstream release bringing
    its lot of significant changes to reduce the amount of custom code that's
    shipped in the packages and hasn't been submitted upstream.
    If you strongly feel about any of those, please submit a cleaned up version
    to upstream LXC for inclusion.

    The following tools/templates have been dropped:
      - lxc-debconf (upstream ships lxc-debian and lxc-lenny)
      - lxc (use the lxc-* commands directly)
      - lxc-backup (was just a wrapper on rsync using hardcoded paths)
      - lxc-restore (was just a wrapper on rsync using hardcoded paths)

    And the following are provided through compatibility symlinks and will be
    dropped in final 0.9:
      - lxc-list (equivalent of lxc-ls --fancy)
      - lxc-halt (replaced by lxc-shutdown)

    This release also deprecates the following tools as they were considered
    mostly broken and the user namespace support makes them mostly useless:
      - lxc-setcap
      - lxc-setuid

  * The following patches were included upstream:
    - 0013-lxc-create-use-default-config.patch
    - 0030-ubuntu-template-fail.patch
    - 0031-ubuntu-template-resolvconf.patch
    - 0044-lxc-destroy-rm-autos
    - 0045-fix-other-templates
    - 0046-lxc-clone-change-hwaddr
    - 0047-bindhome-check-shell
    - 0049-ubuntu-template-sudo-and-cleanup
    - 0050-clone-lvm-sizes
    - 0052-ubuntu-bind-user-conflict
    - 0053-lxc-start-pin-rootfs
    - 0054-ubuntu-debug
    - 0055-ubuntu-handle-badgrp
    - 0056-dont-watch-utmp
    - 0057-update-manpages
    - 0058-fixup-ubuntu-cloud
    - 0059-reenable-daily-cloudimg
    - 0060-lxc-shutdown
    - 0061-lxc-start-apparmor
    - 0062-templates-relative-paths
    - 0063-check-apparmor-enabled
    - 0064-apparmor-mount-proc
    - 0065-fix-bindhome-relpath
    - 0066-confile-typo
    - 0067-templates-lxc-profile
    - 0068-fix-lxc-config-layout
    - 0069-ubuntu-cloud-fix
    - 0070-templates-rmdir-dev-shm
    - 0071-ubuntu-cloud-fix-image-extraction
    - 0072-lxc-shutdown-help
    - 0073-lxc-destroy-waits-before-destroy
    - 0074-lxc-execute-find-init
    - 0075-lxc-ls-bash
    - 0076-fix-sprintfs
    - 0077-execute-without-rootfs
    - 0078-lxc-clone-quote-line
    - 0079-quantal-support
    - 0080-drop-maverick
    - 0081-fix-multiarch-install
    - 0082-umount-old-proc
    - 0083-ubuntu-simplify-template
    - 0084-lxc-ubuntu-drop-duplicate-code.patch
    - 0085-pivot-dir
    - 0086-lxc-unshare-zero-args
    - 0087-lxc-ls-dash
    - 0088-ubuntu-template-flock
    - 0089-lxc-netstat-exec
    - 0090-lxc-ubuntu-use-dpkg-add-architecture
    - 0091-introduce-container-hooks.patch
    - 0092-clone-no-dhclient.conf-update-when-not-hardcoded
    - 0093-lxc-clone-copy-fstab
    - 0094-fix-dev-shm-check
    - 0095-lxc-clone-change-uuid-on-xfs.patch
    - 0096-lxc-wait-add-timeout.patch
    - 0097-seccomp
    - 0098-config-file-includes
    - 0099-cleanup-after-template-help
    - 0100-template-cleanup-cache
    - 0101-template-empty-apt-cache
    - 0102-lxc-start-d-check-privs
    - 0103-make-rootfs-location-optional
    - 0104-add-option-to-lxc-attach-to-select-ns
    - 0105-lxc-attach-add-R-option
    - 01-lxc-directories.patch
    - 0200-liblxc
    - 0201-fix-mkdir-race
    - 0202-make-api-start-reliable
    - 0203-python-lxc
    - 0204-ubuntu-cloud-userdata-path
    - 0205-lxc-ls-manpage-document-two-lines
    - 0206-lxc-wait-initialize-timeout
    - 0207-ubuntu-cloud-fixes.patch
    - 0208-fix-getitem-utsname-segv
    - 0209-reload-conf-after-create
    - 0210-fix-debian-templates
    - 0211-add-hooks-to-manpage
    - 0213-add-premount-hook.patch
    - 0214-give-pclose-errno
    - 0215-lxc-clone-name-arg
    - 0216-hook-kmsg-to-console
    - 0217-lxc-clone-fix-fstab
    - 0218-api-shutdown-fix-doublestop
    - 0219-python-module-improvements
    - 0220-getitem-per-hook-type
    - 0221-make-nonflush-upgrades-robust
    - 0222-debian-dhcp3-package
    - 0223-ubuntu-template-user-msg
    - 0225-ubuntu-cloud-numeric-owner
    - 0226-add-lxc-autodev
    - 0227-ubuntu-cloud-parsing
    - 0228-ignore-kmsg-setup-failure
    - 0229-lxc-clone-mount-fix
    - 0230-autodev-makedev-console
    - 02-lxc-distclean.patch
    - 03-lxc-configuration-path.patch
    - 04-lxc-create-template-name.patch
    - 05-doc-ip-address.patch
    - 06-bash.patch
    - 07-lxc-netstat.patch
    - 08-lxc-debconf.patch
    - 09-lxc-create-trap-name.patch
    - 10-lxc-clone-trap-name.patch
    - 11-lxc-console-escape.patch
    - 12-lxc-create-rootfs.patch
    - compilecleanups/0001-replace-HOOK-define-with-proper-code.patch
    - compilecleanups/0002-add-prototype-for-clone-2-as-per-manpage.patch
    - compilecleanups/0003-check-chdir-return-value.patch
    - compilecleanups/0004-Fix-passing-non-const-char-in-for-const-char.patch
    - compilecleanups/0005-return-nonvoid
    - compilecleanups/0006-unused-var
    - compilecleanups/0007-tests-check-return-values
    - seccompapi/0001-seccomp-free-conf-seccomp-filename-char.patch
    - seccompapi/0002-README-fix-typo-in-example-script.patch
    - seccompapi/0003-support-new-libseccomp-api.patch

  * New patches:
    - transition/00-redirect-lxc-halt.patch: Show warning when lxc-halt is
      called as lxc-shutdown now replaces it.
    - transition/01-redirect-lxc-list.patch: Show warning when lxc-list is
      called as lxc-ls now replaces it. Default to --fancy in this mode.
    - 0000-add-autostart.patch: Add autostart support to lxc-destroy and
      lxc-ls.

  * Disable the test binaries, those are only useful in the dailies.
  * Drop lxc.manpages, all the needed manpages are now upstream.
  * Transition /etc/lxc/lxc.conf to /etc/lxc/default.conf.
  * Drop debian/*.in as they didn't contain any variable anymore.
  * Drop outdated sysvinit script. We use upstart and don't intend to maintain
    the sysvinit script in Ubuntu.
  * Drop lxc.config and po/*. We've never used debconf for lxc in Ubuntu.
  * Fix some bugs in the ecryptfs hook.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 18 Feb 2013 18:25:18 -0500

lxc (0.9.0~alpha2-10) unstable; urgency=low

  * Adding support for systemd in lxc-debconfig.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 09 Feb 2013 07:55:46 +0100

lxc (0.9.0~alpha2-9) unstable; urgency=low

  * Dropping audit_control, audit_write, linux_immutable, setpcap,
    sys_pacct, sys_rawio, and sys_time capabilities by default too.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 07 Feb 2013 14:33:35 +0100

lxc (0.9.0~alpha2-8) unstable; urgency=low

  * Added commented set -e in lxc-debconfig as reminder to support that at
    some point.
  * Setting umask to 0022 by default within lxc-debconfig, thanks to Ivan
    Vilata i Balaguer <ivan@selidor.net> (Closes: #699816).
  * Dropping sys_boot capability by default too.
  * Still adding commented entries about capabilties to be dropped in lxc
    config for reference purpose even when no capability is actualy
    dropped.
  * Updating manpage date and version numbers.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 07 Feb 2013 13:14:35 +0100

lxc (0.9.0~alpha2-7) unstable; urgency=low

  * Updating example preseeding files for live-debconfig 4.0~a17-1.
  * Using variable for sysfs mount options for consistency.
  * Creating mountpoint for automatically detected shared directories.
  * Also removing archive-key signatures after importing them.
  * Setting bash shebang until we'll get a fixed lxc-checkconfig for dash
    in the next upstream release (Closes: #698956).
  * Using 4 digit prefixes for patches.
  * Tightening diff headers in patches.
  * Adding dpkg-source local-options.
  * Executing late-command and late-host-command indirectly to preserve
    amps and other things.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 31 Jan 2013 09:08:47 +0100

lxc (0.9.0~alpha2-6) unstable; urgency=low

  * Mounting /proc within container read-only by default.
  * Correcting dist typo for chairon.
  * Updating filenames for archive key names for progress-linux.
  * Checking signatures on progress-linux archive keys on import against
    debian-keyring, if available.
  * Improve usability of initial preseed file selection dialog in lxc-
    debconfig.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 26 Jan 2013 22:45:02 +0100

lxc (0.9.0~alpha2-5) unstable; urgency=low

  * Updating standards to version 3.9.4.
  * Dropping dpkg-source compression levels.
  * Dropping bash.patch, not worth the hassle (Closes: #698730).
  * Renumbering patches.
  * Updating version in local files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 24 Jan 2013 19:59:16 +0100

lxc (0.9.0~alpha2-4) unstable; urgency=low

  * Updating example preseeding file for lxc-debconfig.
  * Don't show root password dialog when crypted root password via live-
    debconfig has been preseeded.
  * Enforcing keeping of old configuration files on dpkg when installing
    packages after live-debconfig and using noninteractive debconf
    frontend.
  * Before reworking the initial preseed file selection, let's improve the
    wording a bit for those that do not want to use a preseed file at all.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 19 Jan 2013 07:59:45 +0100

lxc (0.9.0~alpha2-3) unstable; urgency=low

  * Correcting spelling typo when getting lxc-debconfig/lxc-debconfig-
    with-live-debconfig from debconf.
  * Correcting debconf field name for live-debconfig root passwd.
  * Updating live-debconfig version number in lxc-debconfig example
    preseed files.
  * Undoing special handling for live-debconfig script names for live-
    debconfig 4.0~a15-1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 18 Jan 2013 20:50:19 +0100

lxc (0.9.0~alpha2-2) unstable; urgency=low

  * Updating bash.patch (Closes: #696921).
  * Correcting mirror typo in preseed example files.
  * Adding suggests to live-config-doc.
  * Introducing LXC_DEBCONFIG_WITH_LIVE_DEBCONFIG variable in
    /etc/default/lxc in order to allow the local admin to not use live-
    debconfig to configure the chroot but do whatever he wants to do
    instead (be it manually configuring it, or running late-commands via
    lxc-debconf).
  * Adding support for /etc/default/lxc.d/* files which overwrite
    definitions in /etc/default/lxc if used.
  * Automatically shortening veth names exceeding 15 characters to match
    limitations in linux for the interface name lenghts.
  * Updating bash patch to set shell to /bin/bash in lxc-checkconfig.
  * Disallowing access to /dev/fuse in the default config, but keep it
    commented in the config file so the local admin can enable it easily.
  * Adding commented entries in config for loop device nodes.
  * Adding patch to correct path to lxc-init in the sshd template (Closes:
    #697267).
  * Correcting harmless typo in bash patch regarding if statements in lxc-
    destroy.
  * Adding comment about the problem of running live-debconfig before
    packages have been installed.
  * Temporarily don't enable backports on wheezy by default as the debian-
    backports repositores for wheezy are not available yet.
  * Correcting spelling typo in fieldname for live-debconfigs script
    selection.
  * Correcting wrong preseed value for live-debconfig scripts that need to
    be dereferenced.
  * Also support internal preseeding for lxc-debconfig-with-live-
    debconfig, not just the global switch via /etc/default.
  * Updating live-debconfig run command for version 4.0~a14-1.
  * Updating copyright file for packaging files.
  * Updating year in copyright notices for 2013.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 18 Jan 2013 15:28:46 +0100

lxc (0.9.0~alpha2-1) unstable; urgency=low

  * Correcting wrong example in local lxc(1) manpage.
  * Updating live-debconfig initialization for version 4.0~a11.
  * Updating reference to future passwd support in live-debconfig within
    lxc-debconfig.
  * Renaming local archive preseed values for consistency with live-build.
  * Updating some leftovers from eth to eth-ipv4 renaming (in preparation
    for ipv6).
  * Merging upstream version 0.9.0~alpha2.
  * Dropping lxc-distclean.patch, solved upstream.
  * Dropping lxc-checkconfig modifications in bash.patch, not worth the
    constant hassle when new upstream releases appear.
  * Dropping lxc-create modifications in bash.patch, merged upstream.
  * Rediffing lxc-destroy modifications in bash.patch.
  * Removing lxc-ls modifications from bash.patch, lxc-ls is python now.
  * Rediffing lxc-netstat modifications in bash.patch.
  * Rediffing lxc-ps modifications in bash.patch.
  * Dropping lxc-setcap modifications in bash.patch, merged upstream.
  * Dropping lxc-setuid modifications in bash.patch, merged upstream.
  * Dropping lxc-version modifications in bash.patch, merged upstream.
  * Rediffing lxc-debconfig.patch.
  * Rediffing lxc-destroy-symlinks.patch.
  * Rediffing lxc-clone-mac.patch.
  * Removing lxc-kmsg.patch, included upstream.
  * Renumbering patches.
  * Updating docbook build-depends for new upstream.
  * Updating date and version headers in local manpages.
  * Updating example preseed files for pretty-much final preseed layout
    for jessie (additions only, no renames).
  * Prefering local preseeding of live-debconfig over the automatic one
    from lxc-debconfig.
  * Changing live-debconfig invokation to also work with locally preseeded
    live-debconfig script multiselect.
  * Simplifying live-debconfig preseeding initialization by using live-
    debconfig-set-selections.
  * Adding note about late reconfiguring all packages of priority
    essential.
  * Using live-debconfigs passwd script for user creation rather than too
    limited user-setup from debian-installer.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Dec 2012 10:31:55 +0100

lxc (0.8.0-5) unstable; urgency=low

  * Updating live-debconfig initialization for version 4.0~a10.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 06 Dec 2012 21:22:59 +0100

lxc (0.8.0-4) unstable; urgency=low

  * Updating initscript to handle variables in its internal lxc loop
    function (Closes: #695098).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 05 Dec 2012 13:06:41 +0100

lxc (0.8.0-3) unstable; urgency=low

  * Using tar to copy bootstrapped systems to target, thanks to Marc
    Fournier <marc.fournier@camptocamp.com> (Closes: #683837, #687767).
  * Temporarily keeping lxc-ps as a bash script (Closes: #694448).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 28 Nov 2012 12:09:02 +0100

lxc (0.8.0-2) unstable; urgency=low

  * Adding patch to use debian essential stuff rather than openssl to
    generate random mac address in lxc-clone.
  * Adding rsync to suggests (Closes: #693932).
  * Adding Brazilian Portugese debconf translations from Adriano Rafael
    Gomes <adrianorg@gmail.com> (Closes: #693381).
  * Adding patch from Serge Hallyn <serge.hallyn@ubuntu.com> to not fail
    on failure to link kmsg (Closes: #694472).
  * Using lxc-shutdown in initscript rather than lxc-halt (Closes:
    #694337).
  * Using flock without -n in lxc-debconfig.
  * Updating todo file.
  * Replacing lxc-ubuntu with lxc-debconfig.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 26 Nov 2012 21:43:10 +0100

lxc (0.8.0-1) unstable; urgency=low

  * Correcting email address in previous changelog entry.
  * Merging upstream version 0.8.0.
  * Building with apparmor support.
  * Removing lxc-directories.patch, merged upstream.
  * Rediffing lxc-configuration-path.patch.
  * Removing lxc-create-template-name.patch, merged upstream.
  * Removing doc-ip-address.patch, merged upstream.
  * Rediffing and updating bash.patch.
  * Removing lxc-netstat.patch, merged upstream.
  * Rediffing lxc-debconfig.patch.
  * Removing lxc-create-trap-name.patch, merged upstream.
  * Removing lxc-clone-trap-name.patch, merged upstream.
  * Removing lxc-console-escape.patch, merged upstream.
  * Removing lxc-create-rootfs.patch, merged upstream.
  * Removing lxc-setcap-paths.patch, not needed anymore after merging
    lxc-directories.patch.
  * Renumbering patches.
  * Rebuilding manpages.
  * Dropping conditional multiarch support, not needed anymore for
    jessie and wheezy backports.
  * Renaming progress mode to progress-linux to match the used naming
    scheme.
  * Dropping lxc-shutdown alternative for lxc-halt and lxc-stop as
    upstream added an own lxc-shutdown command.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 12 Nov 2012 14:19:43 +0100

lxc (0.8.0~rc1-14) unstable; urgency=low

  * Removing suggests on lxctl.
  * Updating todo file.
  * Adding note about live-debconf requirement when building legacy
    distributions.
  * Adding note about veth not removed on container stop in readme.
  * Disabling access to network devices in lxc config when no network is
    configured throuhg lxc-debconfig.
  * Running live-debconfig with the same debconf frontend and priorities
    as the rest of the template, respecting any preseeds.
  * Updating debconf variableswithin chrooted setups.
  * Adding /usr/share/lxc/includes for including random content after
    container creation.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 31 Oct 2012 15:31:16 +0100

lxc (0.8.0~rc1-13) unstable; urgency=low

  * Suggesting a random MAC by default in lxc-debconfig.
  * Renaming leftover internal variables from lxc-debconf to lxc-
    debconfig in lxc-debconfig for consistency.
  * Using 4 digits as script prefix rather than two for consistency.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 30 Aug 2012 17:37:03 +0200

lxc (0.8.0~rc1-12) unstable; urgency=low

  * Correcting email addres in previous changelog entry.
  * Using http.debian.net for debian and debian-backports mirrors in
    lxc-debconfig for debian mode.
  * Sourcing /etc/lxc/default for lxc directory in lxc-backup and lxc-
    restore, if available.
  * Reworking lxc convenience wrapper to work with the different lxc
    programs that do or do not require container arguments.
  * Updating todo file.
  * Adding support for jessie in lxc-debconfig.
  * Completing support for baureo and baureo-backports in lxc-debconfig.
  * Adding support for chairon and chairon-backports in lxc-debconfig.
  * Setting debian default distribution to wheezy in lxc-debconfig.
  * Setting progress default distribution to baureo in lxc-debconfig.
  * Correcting debconf fieldnames for bridge and mac in lxc-debconfig
    templates and examples.
  * Importing the proper archive keys beyond artax for the respective
    progress release in lxc-debconfig.
  * Correcting initscript to not make noise about container configs in
    /etc/lxc/auto without having an existing container for it.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 30 Aug 2012 15:32:44 +0200

lxc (0.8.0~rc1-11) unstable; urgency=low

  * Avoid superfluous asking twice of debconf questions (Closes:
    #685602).
  * Renaming lxc-debconf to lxc-debconfig for consistency with live-
    debconfig.
  * Updating base-files hack for dpkg origins.
  * Installing additional packages after live-debconfig in order to
    provide an already preconfigured system for configuration packages
    to act upon.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 29 Aug 2012 12:57:33 +0200

lxc (0.8.0~rc1-10) unstable; urgency=low

  * Adding some lxc related boot parameters in readme (Closes: #683999).
  * Correcting spelling typo in previous changelog entry.
  * Adding note about lxc directory in readme.
  * Sourcing /etc/default/lxc in lxc-ls (Closes: #684124).
  * Listing attached consoles in lxc-list.
  * Using printf in lxc-list to produce a table output.
  * Adding updated Danish debconf translations from Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #684572).
  * Mounting /proc with hidepid=2 on progress by default.
  * Also removing auto symlink when destroying containers.
  * Protecting multiarch queries since install files are run with set -
    e.
  * Adding missing live-config preseedings in lxc-debconf (Closes:
    #680469).
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 22 Aug 2012 09:01:11 +0200

lxc (0.8.0~rc1-9) unstable; urgency=low

  * Updating todo file.
  * Correcting freudian typo in lxc directory removal in postrm (Closes:
    #679842).
  * Adding updated Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #679681).
  * Using split out live-debconfig now.
  * Adding patch to correct paths to lxc-init in lxc-setcap (Closes:
    #682790).
  * Adding Japanese debconf translations from Kenshi Muto
    <kmuto@debian.org> (Closes: #683123).
  * Using relative mount paths for /proc and /sys in container
    configurations produced by lxc-debconf (Closes: #683444).
  * Shortening name of dpkg.cfg.d configuration file used during chroot
    operations.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 04 Aug 2012 10:38:43 +0200

lxc (0.8.0~rc1-8) unstable; urgency=low

  * Removing comments in lxc-debconf debconf templates, apparently
    that's no longer supported (Closes: #679849).
  * Removing lxc directory in postrm (Closes: #679842).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 04 Jul 2012 00:24:59 +0200

lxc (0.8.0~rc1-7) unstable; urgency=low

  * Updating email address in copyright headers for local additions.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 30 Jun 2012 14:08:11 +0200

lxc (0.8.0~rc1-6) unstable; urgency=low

  * Adding copyright headers to local debian additions.
  * Create /etc/lxc/auto when creating symlinks for the unlikely event
    that user has it removed.
  * Switching to xz compression.
  * Updating GPL boilerplate in copyright file.
  * Simplyfing backports compatible use of multiarch debhelper install
    files.
  * Adding prerm script to remove alternatives (Closes: #668438).
  * Correcting spelling typo in readme.
  * Clarify in readme the name of the symlinks in /etc/lxc/auto.
  * Deriving container name from parent directory of the configuration
    file, not from the name of the configuration file (Closes: #673552).
  * Tidying up initscripts start sequence.
  * Adding explicit docbook build-depends.
  * Updating lintian overrides.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 30 Jun 2012 00:05:28 +0200

lxc (0.8.0~rc1-5) unstable; urgency=low

  * Updating todo file.
  * Prefering iputils-ping over inetutils-ping in lxc-progress.cfg
    example.
  * Temporarily including bzip2 manually when bootstrapping until
    #657560 has been fixed in unstable.
  * Only show experimental as a valid optional archive choice in lxc-
    debconf for sid, rather than security, volatile, backports, and
    proposed-updates (which all are evidently unavailable for unstable).
  * Adding updated Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #671053).
  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #677404).
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #673889).
  * Adding updated Portuguese debconf translations from Miguel
    Figueiredo <elmig@debianpt.org> (Closes: #674950).
  * Adding updated Dutch debconf translations from Jeroen Schot
    <schot@a-eskwadraat.nl> (Closes: #673776).
  * Correcting incorrect lxc-netstat.patch, thanks to Serge Hallyn
    <serge.hallyn@canonical.com> (Closes: #677124).
  * Updating lxc-directories.patch (Closes: #664764).
  * Updating base-files hack for newer versions of base-files (sid).
  * Moving away from linux-container and use live-config instead.
  * Replacing linux-container debconf prefix with lxc-debconf for
    outside template preseeding.
  * Updating some remaining leftover cruft from linux-container in
    variable namespacing.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 14 Jun 2012 10:15:53 +0200

lxc (0.8.0~rc1-4ubuntu50) raring; urgency=low

  * Create /etc/dnsmasq.d when missing.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 08 Feb 2013 16:25:44 -0500

lxc (0.8.0~rc1-4ubuntu49) raring; urgency=low

  * Don't directly write/remove /etc/dnsmasq.d/lxc as that's causing problems
    when removing and reinstalling lxc.
    Instead have dnsmasq ship /etc/dnsmasq.d-available/lxc and create/remove
    a symlink in /etc/dnsmasq.d/. (LP: #1113821)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 06 Feb 2013 16:13:18 -0500

lxc (0.8.0~rc1-4ubuntu48) raring; urgency=low

  * debian/patches/seccompapi/: update the seccomp usage to handle the
    >= 1.0.0 libseccomp api.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 11 Dec 2012 12:46:08 -0600

lxc (0.8.0~rc1-4ubuntu47) raring; urgency=low

  * 0230-autodev-makedev-console: Run MAKEDEV(console) before creating
    consoles in the container.  This is to make up for the fact that
    userspace (i.e. mountall) won't be doing so, since it otherwise
    would overwrite the consoles set up by lxc.  (LP: #1075717)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 28 Nov 2012 16:08:37 -0600

lxc (0.8.0~rc1-4ubuntu46) raring; urgency=low

  * 0229-lxc-clone-mount-fix: fix wrong handling of lxc.mount entries in
    lxc-clone.  (LP: #1084089)
  * debian/apparmor/abstractions-lxc-container-base: deny read/write under
    /sys/firmware/efi/efivars.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 28 Nov 2012 11:04:17 -0600

lxc (0.8.0~rc1-4ubuntu45) raring; urgency=low

  [ Stéphane Graber ]
  * Allow the container to mount efivars on /sys/firmware/efi/efivars.
    efivars is automatically mounted by mountall on UEFI systems, failure to
    do so leads to a complete boot failured.
  * Allow mounts and pivot_roots under /usr/lib/lxc/root/ for compatibility
    with nested precise lxc hosts (quantal -> precise -> containers).

  [ Serge Hallyn ]
  * update 0227-ubuntu-cloud-parsing to catch a doc typo stgraber had found
    in the upstream review.
  * 0228-ignore-kmsg-setup-failure: ignore failure to set up kmsg, since that
    is not critical.

  [ Christian Kampka ]
  * Have upstart run lxc instances (LP: #1049908)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 27 Nov 2012 22:52:10 -0600

lxc (0.8.0~rc1-4ubuntu44) raring; urgency=low

  [ Scott Moser ]
  * 0225-ubuntu-cloud-numeric-owner: use --numeric-owner when extracting root
    filesystems with tar (LP: #1066084)

  [ Serge Hallyn ]
  * Remove 0224-ubuntu-templates-devtmpfs  (LP: #1070914)
  * 0226-add-lxc-autodev: implement automatic mount and populate of /dev.
  * 0227-ubuntu-cloud-parsing: fix some option parsing bugs in ubuntu-cloud
    template (LP: #1076031)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 26 Nov 2012 10:11:00 -0600

lxc (0.8.0~rc1-4ubuntu43) raring; urgency=low

  * Fix debian/lxc.install.in to drop /var/lib/lxc/{cache|packages|templates}
    as they've been moved to the new lxc-templates package.
  * Bump Breaks/Replaces/Depends/Recommends versions to ubuntu43.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 13 Nov 2012 12:09:30 -0500

lxc (0.8.0~rc1-4ubuntu42) raring; urgency=low

  * Add --dhcp-authoritative and --dhcp-leasefile options to lxc-net's dnsmasq.
    This should help LXC keep IPs consistent accross reboots.
  * Wrap-and-sort debian/control and debian/lxc.install
  * Split templates out of the lxc binary package into a new lxc-templates
    package. Have python3-lxc and lxc recommend the new package and have it
    depend on lxc as a few templates use the command line tools.
  * Move template related Depends/Recommends/Suggests to the new lxc-templates
    package.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 12 Nov 2012 17:28:12 -0500

lxc (0.8.0~rc1-4ubuntu41) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:15:42 +0000

lxc (0.8.0~rc1-4ubuntu40) raring; urgency=low

  * Add the multiarch include path for python3.3.
  * Use dpkg-buildflags.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Oct 2012 19:34:54 +0200

lxc (0.8.0~rc1-4ubuntu37) quantal; urgency=low

  * update 0222-debian-dhcp3-package: use dhcp3-client, not server!
  * 0224-ubuntu-templates-devtmpfs: mount devtmpfs in ubuntu containers.
    (LP: #1060404)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 04 Oct 2012 12:06:02 -0500

lxc (0.8.0~rc1-4ubuntu36) quantal; urgency=low

  * 0222-debian-dhcp3-package: fix install of debian testing containers.
    (LP: #1052972)
  * 0223-ubuntu-template-user-msg: don't say default user is ubuntu when
    it isn't.  (LP: #1052315)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 19 Sep 2012 11:58:53 -0500

lxc (0.8.0~rc1-4ubuntu35) quantal; urgency=low

  * 0220-getitem-per-hook-type: support clear_item for specific hooks.
    (LP: #1050719)
  * 0221-make-nonflush-upgrades-robust: be more robust about out of date
    container caches.  (LP: #942862)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 14 Sep 2012 11:45:46 -0500

lxc (0.8.0~rc1-4ubuntu34) quantal; urgency=low

  [ Serge Hallyn ]
  * 0214-give-pclose-errno: help debug pclose failures when lxc runs scripts.
  * 0215-lxc-clone-name-arg: fix incorrect checking for --name argument.
    (LP: #1049914)
  * 0216-hook-kmsg-to-console: link /dev/kmsg to /dev/console so init log
    messages can be seen.  (LP: #1049926)
  * 0217-lxc-clone-fix-fstab: fix check for lxc.mount in lxc-clone
    (LP: #1049987)
  * 0218-api-shutdown-fix-doublestop: don't call c->stop() when already
    stopped (LP: #1050001)
  * Update lxc-start-container apparmor abstraction to allow ecryptfs mounts
    from the pre-mount script.  Remove the instruction to add that line from
    the example hook.
  * Update lxc-start-container apparmor abstraction to allow mounts to paths
    under /var/lib/lxc/$container/, so that pre-mount hooks can stage mounts
    there.  Also update the mountecryptfs example premount hook to use that.
    (LP: #1050469)
  * debian/rules: remove parsing of apparmor.in files.

  [ Stéphane Graber ]
  * Update lxc-start-container apparmor abstraction to allow aufs and overlayfs
    mounts from the pre-mount scripts. This is required by some hooks and will
    be needed by the new lxc-start-ephemeral.
  * Remove multi-arch path in lxc-start-container apparmor abstraction and
    instead just allow /usr/lib/*/lxc/ so nested containers running on a
    different architecture don't get blocked by apparmor.
  * Cherry-pick python-lxc fixes from upstream:
    - Minor PEP-8 syntax fix
    - Return an exception when getting Container instance as non-root
    - Automatically convert any state string passed to wait() to its uppercase
      equivalent.
    - Replace test.py by a full example of the API.
    - Remove zombie handler function from C module as it's no longer required
      and causes weird bugs when used with the hooks.

  [ William Grant ]
  * lxc-start-ephemeral: exit with the command's status, not always 0.
    (LP: #1050351)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 13 Sep 2012 12:02:45 -0500

lxc (0.8.0~rc1-4ubuntu33) quantal; urgency=low

  [ Serge Hallyn ]
  * 0206-lxc-wait-initialize-timeout: initialize timeout to -1 so lxc-wait
    will, by default, wait for the container to enter the requested state.
  * debian/patches/compilecleanups/* - fix compile time warnings.
  * lxc.lxc-net.upstart: tell iptables not to masquerate packets between
    containers.  (LP: #1045947)
  * 0208-fix-getitem-utsname-segv: fix seg fault when doing get_item(utsname)
    on newly created container.
  * 0209-reload-conf-after-create: add ability to free a lxc_conf.  Use that
    after calling Container->Create() to completely reload the newly created
    config.
  * 0211-add-hooks-to-manpage: document lxc.hook in the lxc.conf manpage.
  * 0212-lxc-destroy-rm-symlink: If rootfs is a symbolic link to a directory,
    remove it.  (LP: #1046117)
  * 0213-add-premount-hook.patch: add a premount hook to support encrypted
    filesystems.  (LP: #1043052)

  [ Scott Moser ]
  * 0207-ubuntu-cloud-fixes.patch: cleanups to lxc-ubuntu-cloud.in
    fix for quantal images that do not have user 'ubuntu' present
    (LP: #1045955)

  [ Rex Tsai ]
  * 0210-fix-debian-templates: Fix lxc-shutdown/lxc-restart in Debian
    containers and fix lxc.utsname for lenny containers.
    (LP: #1046684, LP: #1046696)

  [ Stéphane Graber ]
  * lxc.lxc-net.upstart: Make the iptables call more consistent (LP: #1045947)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 30 Aug 2012 11:32:06 -0500

lxc (0.8.0~rc1-4ubuntu32) quantal; urgency=low

  * 0204-ubuntu-cloud-userdata-path: Fix broken behavior when a relative
    path is passed into '--userdata' argument.  (LP: #1043582)
  * 0205-lxc-ls-manpage-document-two-lines: Document the default two-line
    output format of lxc-ls.  (LP: #1043018)
  * lxc-start-ephemeral: support fedora and centos  (LP: #1042431)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 30 Aug 2012 10:05:06 -0500

lxc (0.8.0~rc1-4ubuntu31) quantal; urgency=low

  * Previous upload had documentation turned off, making it FTBFS on i386,
    this was a leftover change from a test build, revert that bit.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 28 Aug 2012 06:07:05 -0400

lxc (0.8.0~rc1-4ubuntu30) quantal; urgency=low

  * Fix long description's spelling of Python.
  * Make python-lxc a patch against the upstream tree and integrate with
    autotools instead of maintaining in debian/python-lxc.
    Resulting binary package has been checked to be identical, this is to
    done to make it easier to push upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 28 Aug 2012 05:55:05 -0400

lxc (0.8.0~rc1-4ubuntu29) quantal; urgency=low

  [ Serge Hallyn ]
  * fix lxcapi_start to not return true when it container failed to start.
  * 0201-fix-mkdir-race: don't raise error if mkdir fails with EEXIST.
  * 0202-make-api-start-reliable: have daemonized start through the api
    wait until the container is RUNNING before returning true.  If a 5
    second timeout is hit before the container is RUNNING, return false.

  [ Stéphane Graber ]
  * python-lxc: in get_ips() if timeout is 1 don't wait one second before
    returning.
  * python-lxc: Add import time warning that the API isn't yet stable and
    so may change at any point in the future.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 25 Aug 2012 12:44:17 -0400

lxc (0.8.0~rc1-4ubuntu28) quantal; urgency=low

  [ Stéphane Graber ]
  * Merge liblxc changes:
    - Build-depend on automake as autogen.sh is now run at build time.
    - Introduce new liblxc0 binary package
    - Make lxc to depend on liblxc0
    - Move library to the new binary package
    - Change libdir to be the public multi-arch path
    - Build with --disable-rpath
    - Move all the test binaries to a lxc-test-* namespace
  * Merge python3-lxc changes:
    - Introduce new python3-lxc binary package
    - Update debian/rules to build the python3 code
  * Update lxc-start-ephemeral:
    - Replace tabs by 4 spaces, fix indentation
    - Fix code to work properly as non-root (calling sudo where needed)

  [ Serge Hallyn ]
  * confile.c: support hooks in save_config().
  * conf.h: Add array of hook names

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 22 Aug 2012 11:50:51 -0400

lxc (0.8.0~rc1-4ubuntu27) quantal; urgency=low

  * Add patches from mailing list to support per-namespace attach with
    lxc-attach.
    - 0104-add-option-to-lxc-attach-to-select-ns
    - 0105-lxc-attach-add-R-option

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 21 Aug 2012 16:10:08 -0500

lxc (0.8.0~rc1-4ubuntu26) quantal; urgency=low

  * 0100-template-cleanup-cache: clean up template cache if interrupted
    during build. (LP: #1037331)
  * 0101-template-empty-apt-cache: do an apt-cache clean after creating
    a new cache.  (LP: #1037626)
  * 0102-lxc-start-d-check-privs: exit early (with failure) if starting a
    daemonized container with insufficient privilege.  (LP: #918327)
  * 0103-make-rootfs-location-optional: allow custom location for a
    container rootfs to be specified.  (LP: #1019398)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 17 Aug 2012 09:44:02 -0500

lxc (0.8.0~rc1-4ubuntu25) quantal; urgency=low

  * debian/control: only depend on libseccomp-dev on i386 and amd64, and
    switch to upstream-submitted seccomp patch (LP: #1037701)
  * debian/rules: add '--with autoreconf' to force recreation of
    configure from configure.ac
  * 0099-cleanup-after-template-help: don't leave a partially created
    container when -h is passed after '--'.  (LP: #1031043)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 16 Aug 2012 17:03:07 -0500

lxc (0.8.0~rc1-4ubuntu24) quantal; urgency=low

  * lxc-start-ephemeral: use unionfs only for the rootfs itself
    (LP: #959352)
  * allow config files to include other config files.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 14 Aug 2012 13:11:24 +0000

lxc (0.8.0~rc1-4ubuntu23) quantal; urgency=low

  * fix FTBFS
    - add libseccomp to build-deps
    - add autoreconf to build-deps to regenerate Makefile.in at build time.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 08 Aug 2012 18:11:21 -0500

lxc (0.8.0~rc1-4ubuntu22) quantal; urgency=low

  [ Stéphane Graber ]
  * Fix call to echo in lxc-start-ephemeral that was literally showing
    '$LXC_BASE' instead of the variable's value.

  [ Serge Hallyn ]
  * Introduce support for seccomp.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 08 Aug 2012 10:43:06 -0500

lxc (0.8.0~rc1-4ubuntu21) quantal; urgency=low

  [ Stéphane Graber ]
  * Fix lxc-ubuntu and lxc-ubuntu-cloud to fix the /dev/shm workaround to only
    trigger when /dev/shm is not a symlink. (LP: #974584)

  [ Serge Hallyn ]
  * lxc.lxc-net.upstart: replace the check for USE_LXC_BRIDGE (which could be
    changed from true to false after starting lxc-net) with one for the
    existence /var/run/lxc.  (LP: #1019290)
  * 0095-lxc-clone-change-uuid-on-xfs.patch: give each cloned xfs-backed
    lvm partition a unique uuid so they can be mounted simultaneously.
    (LP: #1013549)
  * 0096-lxc-wait-add-timeout.patch: patch submitted upstream to add a timeout
    option to lxc-wait.  (LP: #1020179)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 26 Jul 2012 17:40:36 +0000

lxc (0.8.0~rc1-4ubuntu20) quantal; urgency=low

  [ Stéphane Graber ]
  * debian/apparmor/lxc-default-with-nesting: allow mounting /proc and /sys
    so containers can be created.

  [ Serge Hallyn ]
  * 0093-lxc-clone-copy-fstab: fix updating of lxc.mount entries in lxc-clone

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 20 Jul 2012 09:38:35 -0500

lxc (0.8.0~rc1-4ubuntu19) quantal; urgency=low

  * Move /etc/apparmor.d/abstractions/lxc-* to /etc/apparmor.d/abstractions/lxc/
    - Rename lxc-container-default to container-base
    - Rename lxc-start-container to start-container
    - Update references
  * Allow write access to /proc/sys/kernel/shm* as these are namespaced (IPC).

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 05 Jul 2012 12:02:19 -0400

lxc (0.8.0~rc1-4ubuntu18) quantal; urgency=low

  * Patch lxc-clone to stop messing with dhclient.conf when it contains a
    placeholder (<hostname> or gethostname()). Fixes cases where dpkg will
    prompt for modified config file on upgrade.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 03 Jul 2012 17:57:27 -0400

lxc (0.8.0~rc1-4ubuntu17) quantal-proposed; urgency=low

  [ Stéphane Graber ]
  * 0090-lxc-ubuntu-use-dpkg-add-architecture: Update lxc-ubuntu
    template to use "dpkg --add-architecture" in containers running
    dpkg >= 1.16.2. (LP: #1017862)

  [ Serge Hallyn ]
  * 0091-introduce-container-hooks.patch: introduce container hooks at several
    points in the container life-cycle.
  * Add copyright statement to lxc-aa-custom-profile
  * Add debian/hooks/mountcgroups as an example (installed under
    /usr/share/lxc/hooks)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 26 Jun 2012 13:04:01 -0500

lxc (0.8.0~rc1-4ubuntu16) quantal; urgency=low

  * Update debian/local/lxc-list to only list every container once
    and to support both the Debian and Ubuntu way of marking a container
    as auto-started.
  * Depend on adduser as it's being used in postinst.
  * Fix lintian-overrides syntax and silence no-debconf-templates.
  * Only run dh_apparmor against the lxc package.
  * Don't override /var/log/lxc as 700, there's no good reason for that.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 25 Jun 2012 15:00:01 -0400

lxc (0.8.0~rc1-4ubuntu15) quantal; urgency=low

  [ Serge Hallyn ]
  * Add 'lxc-aa-custom-profile' command to make it easier to start using a
    cusom profile for a container.

  [ Stéphane Graber ]
  * Update apparmor profiles to fix nesting:
    - Allow fstype=cgroup mounts for lxc-default-with-nesting
    - Only prevent mounting devpts for lxc-default and not
      in lxc-default-with-nesting as it's required to spawn containers.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 25 Jun 2012 01:34:12 -0400

lxc (0.8.0~rc1-4ubuntu14) quantal; urgency=low

  * Apparmor profile update:
    - Move lxc-start profile content to abstractions/lxc-start-container
    - Move lxc-default profile content to abstractions/lxc/container-default
    - Include the abstractions
    - Update lxc-default-with-nesting to include both abstractions
    - Allow fstype=fuse.*, for all containers

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 19 Jun 2012 15:13:23 +0000

lxc (0.8.0~rc1-4ubuntu13) quantal; urgency=low

  * 0086-lxc-unshare-zero-args: fix lxc-unshare segfaulting when no command
    is given (LP: #1011603)
  * 0087-lxc-ls-dash: fix lxc-ls for containers whose names start with a
    dash  (LP: #1006332)
  * 0088-ubuntu-template-flock: don't fail when flock is busy, just wait,
    so concurrent lxc-creates don't break.  (LP: #1007483)
  * 0089-lxc-netstat-exec: fix lxc-netstat errors (LP: #1011739)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 11 Jun 2012 15:46:25 +0000

lxc (0.8.0~rc1-4ubuntu12) quantal; urgency=low

  * Fix broken logic in lxc-ubuntu template where lxc.devttydir would be
    set to 'lxc' only for releases that don't support it. (LP: #1007493)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 01 Jun 2012 11:57:44 -0400

lxc (0.8.0~rc1-4ubuntu11) quantal; urgency=low

  * add apport hook

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 01 Jun 2012 08:13:03 -0500

lxc (0.8.0~rc1-4ubuntu10) quantal; urgency=low

  [ Serge Hallyn ]
  * 0084-lxc-ubuntu-drop-duplicate-code.patch: drop some duplicate code from
    the ubuntu template. (LP: #1004118)
  * 0085-pivot-dir: use a directory other than /mnt to put the pivot_root
    old dir into (LP: #986385)

  [ Stéphane Graber ]
  * Ship /etc/dnsmasq.d/lxc to configure an eventual system wide
    dnsmasq daemon not to listen on the LXC bridge interface. (LP: #928524)
  * Drop rm calls from postrm for apparmor rules, these were in the purge
    target so didn't really serve any purpose.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 29 May 2012 16:56:25 -0400

lxc (0.8.0~rc1-4ubuntu9) quantal; urgency=low

  * debian/lxc-net.upstart: don't put '()' after call to cleanup.
    (LP: #1000174)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 21 May 2012 08:26:25 -0700

lxc (0.8.0~rc1-4ubuntu8) quantal; urgency=low

  * Update lxc-ubuntu:
    - Update list of extra packages for debootstrap to only include vim
      and ssh. The others were only relevant when we were still using the
      minbase variant. (LP: #996839)
    - Drop any hardcoded Ubuntu version check and replace by feature
      checks instead.
    - Format lxc-ubuntu to consistently use 4-spaces indent instead of
      mixed spaces/tabs.
    - Update default /etc/network/interfaces to include the header.
    - Update default /etc/hosts to match that of a regular Ubuntu system.
    - Drop support for end-of-life releases (gutsy on sparc).
    - Make sure /etc/resolv.conf is valid before running any apt command.
    - Update template help message for release and arch parameters.
    - Switch default Ubuntu version from lucid to precise.
  * Update lxc-start-ephemeral:
    - Remove lxc-ip and replace it by a call to "ip netns" until we have
      an extended lxc-attach we can use for that.
    - Fix a race in lxc-start-ephemeral where the container isn't yet
      running when trying to get its IPs.
    - Update a few calls so that lxc-start-ephemeral can be called as a
      user (ensure consistent usage of sudo across the script).
  * Add new lxc-default-with-nesting apparmor profile, allowing nested
    containers.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 18 May 2012 19:05:44 -0400

lxc (0.8.0~rc1-4ubuntu7) quantal; urgency=low

  [ Francesco Banconi ]
  * Introduced lxc-ip: retrieve the ip addresses of a container.
  * lxc-start-ephemeral: use lxc-ip to ssh to the container (LP: #994752).

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 16 May 2012 10:46:21 -0500

lxc (0.8.0~rc1-4ubuntu6) quantal; urgency=low

  * debian/control: add apparmor to lxc Depends (LP: #997681)
  * debian/local/lxc-start-ephemeral: quote $line so its contents don't get
    expanded (LP: #997687)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 10 May 2012 09:04:29 -0700

lxc (0.8.0~rc1-4ubuntu5) quantal; urgency=low

  * 0082-umount-old-proc: fix proc auto-mount.  If /proc is already mounted,
    make sure that /proc/self points to 1, since we are container init.
    Otherwise, assume proc is an old one, and umount it and remount our own.
    If we keep the old proc mounted, apparmor transitions will by tried for
    wrong task and fail.  Also move check for whether apparmor is enabled so
    that it is called by lxc-execute.  (LP: #993706)
  * update 0074-lxc-execute-find-init to look for lxc-init in
    LXCINITDIR/lxc/lxc-init
  * debian/control: add cloud-utils to lxc Recommends, as lxc-ubuntu-cloud
    needs it.  (LP: 995361)
  * debian/lxc.upstart: load apparmor profiles before auto-starting containers.
    (LP: #989853)
  * pop 06-bash.patch and 0075-lxc-ls-bash.  lxc-clone also has bashims, just
    stick to using bash until upstream is also converted (so we are safe
    against patches).

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 07 May 2012 21:22:26 +0000

lxc (0.8.0~rc1-4ubuntu4) quantal; urgency=low

  * Fix Ubuntu template to install the host architecture of the required
    mutli-arch packages (when using qemu-user-static) instead of hardcoded
    "amd64" version.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 04 May 2012 23:21:22 -0400

lxc (0.8.0~rc1-4ubuntu3) quantal; urgency=low

  * Add support for quantal in lxc-ubuntu and lxc-ubuntucloud
  * Drop support for maverick in lxc-ubuntu and lxc-ubuntucloud

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 02 May 2012 21:28:11 -0400

lxc (0.8.0~rc1-4ubuntu2) quantal; urgency=low

  * lxc-clone: put quotes around $line to avoid expansion (LP: #993515)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 02 May 2012 15:23:52 -0500

lxc (0.8.0~rc1-4ubuntu1) quantal; urgency=low

  * Merge from unstable.  Remaining changes:
    - control:
      - update maintainer
      - Build-Depends: add dh-apparmor and libapparmor-dev
      - lxc Depends: add bridge-utils, dnsmasq-base, iptables, rsync
      - lxc Recommends: add cgroup-lite | cgroup-bin, openssl
      - lxc Suggests: add btrfs-tools, lvm2, qemu-user-static
      - lxc Conflicts: remove (cgroup-bin)
    - Add lxc-start-ephemeral and lxc-wait to debian/local
    - apparmor:
      - add lxc.apparmor, lxc-containers.apparmor,
        lxc-default.apparmor, and new lxc.apparmor.in
    - add debian/lxc.conf (default container creation config file)
    - debian/lxc.install.in:
      * add lxc-start-ephemeral
      * add debian/lxc.conf
      * skip lxc-debconf*
      * skip lxc-ls (Use upstream's)
    - debian/lxc*.install.in: use '*', not @DEB_HOST_MULTIARCH@
    - Use our own completely different lxc.postinst and lxc.postrm
    - remove lxc.templates
    - debian/rules:
      * add DEB_DH_INSTALLINIT_ARGS = --upstart-only
      * don't do debconf stuff
      * add debian/*.apparmor.in to files processed under
        override_dh_auto_clean
      * don't comment out ubuntu or busybox templates
      * do apparmor stuff and install our own lxc-wait under override_dh_install
      * install our upstart scripts in override_dh_installinit
    - add lxc.default, lxc.lxc-net.upstart, lxc.upstart under
      debian/

  * patches kept:
    - 0013-lxc-create-use-default-config.patch (needed manual rebase)
    - 0030-ubuntu-template-fail.patch
    - 0031-ubuntu-template-resolvconf.patch
    - 0044-lxc-destroy-rm-autos
    - debian/patches/0045-fix-other-templates
    - debian/patches/0046-lxc-clone-change-hwaddr
    - debian/patches/0047-bindhome-check-shell
    - debian/patches/0049-ubuntu-template-sudo-and-cleanup
    - debian/patches/0050-clone-lvm-sizes
    - debian/patches/0052-ubuntu-bind-user-conflict
    - debian/patches/0053-lxc-start-pin-rootfs
    - debian/patches/0054-ubuntu-debug
    - debian/patches/0055-ubuntu-handle-badgrp
    - debian/patches/0056-dont-watch-utmp
    - debian/patches/0057-update-manpages
    - debian/patches/0058-fixup-ubuntu-cloud
    - debian/patches/0059-reenable-daily-cloudimg
    - debian/patches/0060-lxc-shutdown
    - debian/patches/0061-lxc-start-apparmor
    - debian/patches/0062-templates-relative-paths
    - debian/patches/0063-check-apparmor-enabled
    - debian/patches/0064-apparmor-mount-proc
    - debian/patches/0065-fix-bindhome-relpath
    - debian/patches/0066-confile-typo
    - debian/patches/0067-templates-lxc-profile
    - debian/patches/0068-fix-lxc-config-layout
    - debian/patches/0069-ubuntu-cloud-fix
    - debian/patches/0070-templates-rmdir-dev-shm
    - debian/patches/0071-ubuntu-cloud-fix-image-extraction
    - debian/patches/0072-lxc-shutdown-help
    - debian/patches/0073-lxc-destroy-waits-before-destroy
    - mark all patches which have been forwarded as such, refresh all
  * 0074-lxc-execute-find-init: lxc-init had moved.  Introduce a function in
    lxc-execute to go find it.  Otherwise lxc-execute for any older releases
    will fail.
  * 0075-lxc-ls-bash: lxc-ls needs bash, not sh
  * add debian/lxc.apparmor.in so DEB_HOST_MULTIARCH can be expanded
  * 0076-fix-sprintfs:  - check return values for all sprintfs and snprintfs
    which could overflow (LP: #988918)
  * 0077-execute-without-rootfs: let lxc-execute succeed with no rootfs
    (LP: #981955)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 26 Apr 2012 15:18:35 -0500

lxc (0.8.0~rc1-4) unstable; urgency=low

  * Correcting spelling typo in debconf templates (Closes: #663547).
  * Adding updated French debconf translations from Christian Perrier
    <bubulle@debian.org> (Closes: #663546).
  * Moving architecture independent files from /usr/lib/*/lxc to
    /usr/share/lxc (Closes: #664160).
  * Correcting multiarch conditional typo in rules.
  * Creating lxc directories in a dangling symlink proof way in order to
    respect sysadmins decisions for temporary incomplete deployments.
  * Adding patch to avoid messing with rootfs directory creation in lxc-
    create where its not required (Closes: #664159).
  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #665366).
  * Adding updated Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #665370).
  * Also setting libexedir via configure argument which in turn will set
    lxcinitdir properly on multiarch (Closes: #664764).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 10 Apr 2012 20:04:36 +0200

lxc (0.8.0~rc1-3) unstable; urgency=low

  * Adding pre-depends to multiarch-support (Closes: #663274).
  * Updating lintian overrides.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 10 Mar 2012 09:51:28 +0100

lxc (0.8.0~rc1-2) unstable; urgency=low

  * Helping to migrate lxc-shutdown debconf setting for alternative on
    upgrades from 0.7.5 to 0.8.0.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 09 Mar 2012 15:27:21 +0100

lxc (0.8.0~rc1-1) unstable; urgency=low

  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #658362).
  * Adding patch from Ivan Vilata i Balaguer <ivan@selidor.net> to allow
    the escape prefix to escape itself in lxc-console (Closes: #659011).
  * Adding late host command in addition to late command in lxc-debconf.
  * Setting default action for lxc shutdown to halt as it's almost
    always safe and better for data integrity (e.g. some database
    servers need a regular sysvinit shutdown).
  * Replacing configuration variable in /etc/default/lxc for default
    shutdown method with a alternative /usr/bin/lxc-shutdown, pointing
    to either /usr/bin/lxc-halt or /usr/bin/lxc-stop.
  * Updating todo file.
  * Disabling numbered backups for the time being in lxc-backup and lxc-
    restore, they are for simple prototyping only anyway.
  * Adding Dutch debconf translations from Jeroen Schot <schot@a-
    eskwadraat.nl> (Closes: #659694).
  * Merging upstream version 0.8.0~rc1.
  * Rediffing lxc-libdir.patch.
  * Rediffing lxc-configuration-path.patch.
  * Rediffing bash.patch.
  * Rediffing lxc-debconf.patch.
  * Rediffing lxc-create-trap-name.patch.
  * Rediffing lxc-clone-trap-name.patch.
  * Removing currently unsupported lxc-ubuntu until lxc-debconf also
    supports ubuntu (Closes: #660764).
  * Updating packaging for multiarch.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 09 Mar 2012 13:05:03 +0100

lxc (0.7.5-24) unstable; urgency=low

  * Switching to cdn.archive.progress-linux.org in lxc-debconf as
    default mirror for progress.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 03 Feb 2012 22:23:00 +0100

lxc (0.7.5-23) unstable; urgency=low

  * Also listing frozen containers in lxc-list.
  * Adding example entry about translations in apt.conf of progress mode
    in lxc-debconf.
  * Not upgrading users /etc/default/lxc file and leave any unused cruft
    in there to rot (Closes: #657654).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 27 Jan 2012 21:38:14 +0100

lxc (0.7.5-22) unstable; urgency=low

  * Handling dangling symlinks to config files in init script.
  * Correcting wrong preseed file reference when checking for tzdata in
    lxc-debconf.
  * Using noninteractive frontend and critical priority for tzdata
    reconfiguration in lxc-debconf.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 24 Jan 2012 12:17:31 +0100

lxc (0.7.5-21) unstable; urgency=low

  * Disabling console log by default in lxc-debconf again, might confuse
    users too much.
  * Automatically creating directories specified in mount entries in
    lxc-debconf.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 23 Jan 2012 11:19:56 +0100

lxc (0.7.5-20) unstable; urgency=low

  * Correcting and simplyfing creation of lxc directories in /etc.
  * Enabling console log file in default config of lxc-debconf.
  * Allowing to use a global cache from /usr/lib/lxc/cache rather than
    local ones only in /var/lib/cache.
  * Updating bash.patch to cover lxc-checkconfig more extensively in
    getting rid of bashisms, thanks to Philipp Matthias Hahn
    <pmhahn@debian.org> (Closes: #655902).
  * Allowing system cache to be an unpacked directory too, not just
    tarballs only.
  * Updating to debhelper version 9.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 21 Jan 2012 17:32:18 +0100

lxc (0.7.5-19) unstable; urgency=low

  * Updating lintian overrides.
  * Calling apt-get clean after upgrading caches in lxc-debconf.
  * Using systems apt cache in lxc-debconf.
  * Correcting s/parent-archives-areas/parent-archive-areas/ typo in
    lxc-debconf (Closes: #655176).
  * Renaming lxc-create.patch to lxc-create-template-name.patch.
  * Adding patch to correct signal names in lxc-create trap (Closes:
    #655173).
  * Adding patch to correct signal names in lxc-clone trap.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 09 Jan 2012 16:13:39 +0100

lxc (0.7.5-18) unstable; urgency=low

  * Updating lxc-debconf example preseed files.
  * Updating lxc bash completion.
  * Avoid using debconf frontend names with capital letter in lxc-
    debconf.
  * Adding 'automatic' mount entries for shared directories in lxc-
    debconf only if no manual one has being preseeded.
  * Correct wrong debconf handling for mount entries in lxc-debconf.
  * Reconfigure tzdata when using preseeding in lxc-debconf.
  * Updating year in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 08 Jan 2012 13:30:37 +0100

lxc (0.7.5-17) unstable; urgency=low

  * Adding updated French debconf templates from Christian Perrier
    <bubulle@debian.org> (Closes: #653340).
  * Replacing incomplete patch for fixing lxc-ls and ship an own and
    simple lxc-ls instead.
  * Removing sorting from lxc-list since lxc-ls now already provides
    output sorted.
  * Using stderr for error messages in local lxc commands.
  * Adding support for preseedable mount entries in config for lxc-
    debconf.
  * Correcting incorrect defaults choices when asking for archive areas
    in lxc-debconf.
  * Adding support for fine graned archive control wrt/ security,
    volatile, and backports in lxc-debconf.
  * Shuffling stuff around to keep cache minimal and allow archive
    selection to be effective for postconfig in lxc-debconf.
  * Correcting some defaults in lxc-debconf.
  * Removing /etc/hostname prior postconfig in order to actually set the
    hostname in postconfig in lxc-debconf.
  * Also setting architecture in config of lxc-debconf even if container
    is i386 and host is i386 too, to ensures that i386 containers on
    i386 hosts can be moved to amd64 without needing to touch the config
    file.
  * Creating empty /etc/lxc/debconf directory.
  * Correcting handling of debconf defaults for internal options in lxc-
    debconf.
  * Updating preseed example files.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 28 Dec 2011 08:10:28 +0100

lxc (0.7.5-16) unstable; urgency=low

  * Only looking in lxc-debconf for files in /etc/lxc/debconf if the
    directory exists.
  * Adding patch to avoid using bash in lxc commands.
  * Adding patch to lxc-netstat to use -- as seperator, otherwise -n
    from lxc-netstat collides with netstats -n option (Closes: #641251).
  * Adding patch for lxc-create to not give vendor specific template
    advice.
  * Removing openssh-server from progress default package list in lxc-
    debconf.
  * Removing lenny support from lxc-debconf as lenny is going to be
    unsupported really soon now.
  * Avoid asking for security mirror and backports mirror for progress
    and use normal mirror for it in lxc-debconf.
  * Correcting wrong fallback defaults if user removes suggested value
    in debconf question when asking parent mirrors in lxc-debconf.
  * Simplyfing automatic fallback defaults for child security and child
    backports mirror in lxc-debconf.
  * Not including tap in lxc-debconf default config.
  * Adding support for archive area selection in lxc-debconf.
  * Adding updated Russian debconf templates from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #652430).
  * Adding patch to only list directories in lxc-ls (Closes: #629409).
  * Regenerating debconf files.
  * Adding preseed only option for capabilties dropping in lxc config
    files of lxc-debconf.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 26 Dec 2011 12:13:07 +0100

lxc (0.7.5-15) unstable; urgency=low

  * Adding updated bash completion for lxc from Gaé Lucas
    <gaetanlcs@gmail.com> which now includes completion for the lxc
    convenience wrapper.
  * Replacing tabs with one whitespace in preseed examples for lxc-
    debconf as there seems to be some problems with it otherwise.
  * Avoid compressing preseed example files.
  * Stopping to support both container configs with and without .conf
    suffix in /etc/lxc/auto, in order to have unique configs they should
    be named exactely like the container with no artificial suffix.
  * Letting user choose from existing preseed files from
    /etc/lxc/decbonf in lxc-debconf.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 12 Dec 2011 12:14:28 +0100

lxc (0.7.5-14) unstable; urgency=low

  * Adding quotes in some eval calls in lxc-debconf to make sure values
    with whitespaces are treated correctly.
  * Using LC_ALL=C when executing calls in chroot of lxc-debconf.
  * Also including ftp_proxy and http_proxy in lxc-debconfs chroot
    environment (Closes: #651477).
  * Correcting copy/paste error in lxc-debconf when setting empty
    default mac address.
  * Updating preseed examples for lxc-debconf.
  * Adding bash completion for lxc from Gaé Lucas <gaetanlcs@gmail.com>.
  * Streamlining bash-completion file a bit.
  * Correcting wrong auto variable in lxc-debconf.
  * Simplyfing architecture detection in lxc-debconf which is always
    running on debian based systems anyway.
  * Adding support for creating i386 containers on amd64 in lxc-debconf
    (Closes: #651616).
  * Reorder entries to drop capabilities in default config of lxc-
    debconf.
  * Updating guessing for shared directories in default config of lxc-
    debconf.
  * Reorder entry for console log in default config of lxc-debconf.
  * Updating preseeding examples for lxc-debconf.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 10 Dec 2011 23:20:40 +0100

lxc (0.7.5-13) unstable; urgency=low

  [ Nik Lutz ]
  * Correcting wrong variable for debconf preseed file in lxc-debconf.
  * Reordering debconf handling to respect preseed files in lxc-debconf.
  * Inserting preseeded bridge and mac in lxc config file for lxc-
    debconf.
  * Limiting network interface name to 12 characters in lxc-debconf.

  [ Daniel Baumann ]
  * Streamlining lxc-debconf a bit.
  * Enabling access to /dev/tty, this is required for e.g. ssh-ing out
    from the container in lxc-debconf.
  * Prefering user specified preseed file from commandline option over
    debconf question in lxc-debconf.
  * Correcting typo in debconf field for the preseeding file in lxc-
    debconf.
  * Removing distribution switch from lxc-debconf, this can be either
    preseeded or choosen through the debconf frontend.
  * Adding preseed handling for internal options in lxc-debconf.
  * Correcting option handling for internal options in lxc-debconf.
  * Asking user for root password (with a random password as suggestion)
    in lxc-debconf rather than unconditionally set the random one.
  * Correct order for entirely non-interactive preseeding in lxc-
    debconf.
  * Adding debconf handling for mac and bridge when using multiple
    interfaces in lxc-debconf.
  * Adding preseed handling for veth name in lxc-debconf.
  * Updating lxc-debconf example preseeding files.
  * Using single hash for sources.list.d comments in lxc-debconf.
  * Enabling comments for network devices in config for lxc-debconf.
  * Adding support for mtu in in lxc-debconf.
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #651346).
  * Adding support for automatically adding symlinks to /etc/lxc/auto in
    lxc-debconf.
  * Adding stub manpage for lxc-debconf.
  * Adding late command to supported preseeding options in lxc-debconf.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 08 Dec 2011 14:31:16 +0100

lxc (0.7.5-12) unstable; urgency=low

  * Updating preseeding examples for lxc-debconf.
  * Using volatile only for lenny and squeeze in lxc-debconf.
  * Avoid asking parent mirrors in debian mode of lxc-debconf.
  * Allowing access to /dev/pts/* in lxc-debconf default config.
  * Correcting yet another occurence of a wrong volatile default mirror
    in lxc-debconf.
  * If /dev/pts is granted, apparently, access to the tty devices nodes
    is not longer necessary (Closes: #650399).
  * Adding -n and --name option to lxc-halt to better integrate with the
    rest of the lxc tools.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 02 Dec 2011 07:16:07 +0100

lxc (0.7.5-11) unstable; urgency=low

  * Adding /dev/tun in default lxc config in lxc-debconf in ubuntu mode.
  * Adding updated Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #649121).
